==================== Changes in man-pages-2.00 ====================

Released: 2004-12-16

Contributors
------------

The following people contributed notes, ideas, or patches that have
been incorporated in changes in this release:

Alberto Bertogli <albertogli@telpin.com.ar>
Anand Kumria <wildfire@progsoc.org>
Andrey Kiselev <dron@ak4719.spb.edu>
Andries Brouwer <Andries.Brouwer@cwi.nl>
Chris Green <cmg@dok.org>
Branden Robinson <branden@debian.org>
Emmanuel Colbus <emmanuel.colbus@ensimag.imag.fr>
Enrico Zini <enrico@debian.org>
Eric Estievenart <eric.estievenart@free.fr>
Fabian Kreutz <kreutz@dbs.uni-hannover.de>
Florian Weimer <fw@deneb.enyo.de>
Jan Kuznik <kuznik@gepro.cz>
Joey (Martin) Schulze <joey@infodrom.org>
Johannes Berg <johannes@sipsolutions.de>
John V. Belmonte <jbelmonte@debian.org>
Karel Kulhavy <clock@twibright.com>
Luis Javier Merino Morán <ljmerino@pandasoftware.es>
Martin Pool <mbp@sourcefrog.net>
Richard Kreckel <Richard.Kreckel@ginac.de>
Vasya Pupkin <ptushnik@gmail.com>

Apologies if I missed anyone!

Global changes
--------------

Various pages
    Fabian Kreutz
        Many math pages had their synopses compressed, as per suggestion
        from Fabian Kreutz.

Various pages
    Fabian Kreutz / aeb
        Many minor content and formatting bug fixes were made to the math
        pages, following suggestions from Fabian Kreutz (who recently
        translated many of the 1.70 math pages into German) and
        Andries Brouwer.

Various pages
    mtk
        For consistency, all instances of "super-user" were changed
        to the more common "superuser".

Various pages
    Vasya Pupkin / mtk
        After a note from Vasya Pupkin, I added <errno.h> to the SYNOPSIS
        of several Section 2 pages using the _syscallN() macros.

        In addition:
            -- erroneous semicolons at the end of _syscallN() were removed
               on various pages.

            -- types such as "uint" in syscallN() declarations were changed
               to "unsigned int", etc.

            -- various other minor breakages in the synopses were fixed.

        The affected pages are:

                getdents.2
                gettid.2
                llseek.2
                mmap2.2
                modify_ldt.2
                pivot_root.2
                quotactl.2
                readdir.2
                sysctl.2
                syslog.2
                tkill.2

Typographical or grammatical errors have been corrected in several
other places.

Changes to individual pages
---------------------------

bind.2
    Florian Weimer
        Added 'const' to declaration of 'my_addr' in prototype.
        as per http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=239762.

fcntl.2
    Martin Pool
        Added O_NOATIME to list of flags that can be changed via F_SETFL.
    mtk/aeb
        Noted F_GETOWN bug after suggestion from aeb.
        See also:
        http://marc.theaimsgroup.com/?l=linux-kernel&m=108380640603164&w=2

getrlimit.2
    mtk
        Material on getrusage.2 has been separated out into its own page.
        Rewrote discussion on RLIMIT_MEMLOCK to incorporate kernel
        2.6.9 changes.
        Added note on RLIMIT_CPU error in older kernels.
        Added RLIMIT_SIGPENDING.
        Also made a few other minor changes.

getrusage.2
    mtk
        This page is new(ish) -- it was created by splitting
        getrlimit.2.

        Repaired note on SIGCHLD behavior to note that the
        POSIX non-conformance has been fixed in 2.6.9.

kill.2
    Modified after suggestion from Emmanuel Colbus
        Changed wording of sentence under NOTES describing
        when signals can be sent to init(1).

mlock.2
munlock.2
mlockall.2
munlockall.2
        These have been consolidated into a single mlock.2 page.
        In the process, much duplication was eliminated
        and new information was added about RLIMIT_MEMLOCK
        and the changes in memory locking in kernel 2.6.9,

mmap.2
    mtk
        Added cross-ref to setrlimit(2) concerning memory locking limits.
    Eric Estievenart
        Note that MAP_FIXED replaces existing mappings

msgctl.2
    mtk
        Substantial language and formatting clean-ups.
        Added msqid_ds and ipc_perm structure definitions.

msgget.2
    mtk
        Substantial language and formatting clean-ups.
        Added notes on /proc files.

msgop.2
    mtk
        Substantial language and formatting clean-ups.
        Added notes on /proc files.

open.2
    Martin Pool
        Added O_NOATIME (new in Linux 2.6.8)
    mtk
        Reordered list of 'flags' description alphabetically

personality.2
    2004-11-03 applied patch from Martin Schulze

semctl.2
    mtk
        Substantial language and formatting clean-ups.
        Rewrote semun text.
        Added semid_ds and ipc_perm structure definitions.

semget.2
    mtk
        Substantial language and formatting clean-ups.
        Added notes on /proc files.
        Rewrote BUGS note about semget()'s failure to initialize
        semaphore values.

semop.2
    mtk
        Substantial language and formatting clean-ups.
        Added notes on /proc files.

shmctl.2
    mtk
        Substantial language and formatting clean-ups.
        Updated shmid_ds structure definitions.
        Added information on SHM_DEST and SHM_LOCKED flags.
        Noted that CAP_IPC_LOCK is not required for SHM_UNLOCK
        since kernel 2.6.9.
        Added notes on 2.6.9 RLIMIT_MEMLOCK changes.
        Added RLIMIT_SIGPENDING (new in Linux 2.6.8)

shmget.2
    mtk
        Substantial language and formatting clean-ups.
        Added notes on /proc files.

shmop.2
    mtk
        Substantial language and formatting clean-ups.
        Changed wording and placement of sentence regarding attachment
        of segments marked for destruction.

sigaction.2
    mtk
        Added mention of SIGCONT under SA_NOCLDSTOP.
        Added SA_NOCLDWAIT.
        Updated discussion for POSIX.1-2001 and SIGCHLD and sa_flags.
        Noted that CLD_CONTINUED is supported since Linux 2.6.9.
        Added SI_TKILL (new in Linux 2.4.19).
        Other minor changes.

signal.2
    mtk
        Removed text on ignoring SIGCHLD; replaced with pointer
        to sigaction.2.

sigwaitinfo.2
    After bug report from Andrey Kiselev
        Fixed prototype: "timeout" --> "*timeout"
        as per: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=222145

stat.2
    Enrico Zini
        Added text to clarify that S_IS*() macros should be applied to
        st_mode field.
        as per: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=249698

swapon.2
    After Debian bug report from Anand Kumria
        Added "no swap space signature" to EINVAL error.
    mtk
        Added EINVAL error for swapoff() ("not currently a swap area").
        Added EBUSY error for swapon().
        A few formatting fixes.

times.2
    mtk
        In Linux 2.6, the return value of times changed; it is no
        longer time since boot, but rather:

            boot_time + 2^32 / HZ - 300

        Repaired note on SIGCHLD behavior to note that the
        POSIX non-conformance has been fixed in 2.6.9.
        Some formatting fixes.

undocumented.2
    After bug report from Johannes Berg
        Changed
            .TH UNIMPLEMENTED
        to:
            .TH UNDOCUMENTED
        as per http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=220741

wait.2
    mtk
        Added waitid(2).
        Added WCONTINUED and WIFCONTINUED (new in 2.6.10).
        Added text on SA_NOCLDSTOP.
        Updated discussion of SA_NOCLDWAIT to reflect 2.6 behavior.
        Much other text rewritten.

wait4.2
    mtk
        Rewrote this page, removing much duplicated information,
        and replacing with pointers to wait.2.
    Luis Javier Merino Morán / mtk
        CONFORMING TO said "SVr4, POSIX".  Changed to "4.3BSD"

waitid.2
    mtk
        New link to wait.2

assert.3
    After bug report from Branden Robinson
        The assert() failure message goes to stderr not stdout.
        As per http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=284814

ctime.3
    mtk
        Noted that 0 in tm_mday is interpreted to mean the last day
        of the preceding month.

getnameinfo.3
    http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=229618
        getnameinfo() does not set errno, it returns a non-zero
        value indicating the error.
    mtk
        added EAI_OVERFLOW error

killpg.3
    mtk
        Minor changes to SEE ALSO and CONFORMING TO.

lseek64.3
    aeb
        New page by Andries Brouwer

tzset.3
    Richard Kreckel
        Change "NULL" to "empty" when talking about the value of TZ.
        http://sources.redhat.com/bugzilla/show_bug.cgi?id=601

printf.3
    After bug report from Jan Kuznik
        http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=205736
        Fixed bad realloc() use in snprintf() example

realpath.3
    mtk
        Added discussion of resolved_path == NULL.

random.4
    After bug report from John V. Belmonte
        Updated init and quit scripts to reflect kernel 2.4/2.6 reality
        (Scripts taken from drivers/char/random.c)
        as per http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=247779

proc.5
    mtk
        Updated description of /proc/loadavg to include
        nr_running(), nr_threads, last_pid.

        rtsig-max and rtsig-nr went away in 2.6.8

        updated statm, and fixed error in order of list

boot.7
    applied patch from Martin Schulze

capabilities.7
    mtk
        Added O_NOATIME for CAP_FOWNER

netdevice.7
    Karel Kulhavy and AEB
        Formatting fix after note from Karel Kulhavy and AEB, plus a
        few wording fixes.

signal.7
    mtk
        /proc/sys/kernel/rtsig-* were superseded by RLIMIT_SIGPENDING
        in kernel 2.6.8.

tcp.7
    mtk/aeb
        Updated details of interaction of TCP_CORK and TCP_NODELAY.

==================== Changes in man-pages-2.01 ====================

Released: 2004-12-20

Contributors
------------

The following people contributed notes, ideas, or patches that have
been incorporated in changes in this release:

Carsten Hey <c.hey@web.de>
Johannes Berg <johannes@sipsolutions.de>
Joshua Kwan <joshk@triplehelix.org>
Marek Habersack <grendel@debian.org>
Martin Schulze <joey@infodrom.org>
Matthew Dempsky <jivera@flame.org>
Matthew Gregan <kinetik@orcon.net.nz>
Pedro Zorzenon Neto <pzn@terra.com.br>
Tony Crawford <tony@klosterdorf.de>

Apologies if I missed anyone!

Global changes
--------------

accept.2
close.2
send.2
setsid.2
socket.2
closedir.3
initgroups.3
mkstemp.3
opendir.3
readdir.3
telldir.3
    Matthew Dempsky, mtk
        triggered by http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=283179
        The wording describing how errno is set was fixed up in these pages.

Typographical or grammatical errors have been corrected in several
other places.

Changes to individual pages
---------------------------

sendfile.2
    mtk
        Adjusted descriptions of argument file types to be closer to
        2.6 reality.
        Wording and formatting changes.

ctan.3
ctanh.3
    Tony Crawford
        As per http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=270817
        Formulae on the pages should be T = S / C not T = C / S.

errno.3
    Martin Schulze, mtk
        Removed errno declaration from prototype, added notes
        on historical need for this declaration.
        http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=174175

aio_return.3
    as per http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=224953
        Changed erroneous "aio_return(2)" to "aio_return(3)".

posix_openpt.3
    mtk
        New by mtk

ptsname.3
    mtk
        Added description of ptsname_r().
        Added ERRORS.

ptsname_r.3
    mtk
        New link to ptsname.3.

shm_open.3
    Matthew Gregan
        add <fcntl.h> to synopsis
        as per http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=271243

strcasecmp.3
    Marek Habersack
            .SH "CONFORMING TO"
            -BSD 4.4
            +BSD 4.4, SUSv3
        as per http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=234443

strfry.3
    Joshua Kwan
        Added _GNU_SOURCE to prototype
        as per http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=213538

strftime.3
    Cartsen Hey
        as per http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=276248

        Changed range for "%S" from 0..61 to 0..60.

        SUSv3 says 0..60.  I think the manual page probably says
        0..61, because that's what SUSv2 said.
        (Some other implementations' man pages also say 0..61 --
        e.g., Solaris 8 & 9, Tru64 5.1B; FreeBSD 5.1 says 0..60.)

        The glibc manual currently says 0..60.

        Given that SUSv3 says 0..60, I've changed the
        manual page to also say this:

            -The second as a decimal number (range 00 to 61).
            +The second as a decimal number (range 00 to 60).
            +(The range is up to 60 to allow for occasional leap seconds.)

sysconf.3
    Johannes Berg
        See http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=226974
        -.BR POSIX2_FORT_RUN " - " _SC_2_FORT_DEV
        +.BR POSIX2_FORT_DEV " - " _SC_2_FORT_DEV

system.3
    Pedro Zorzenon
        as per http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=242638
        Noted use of _XOPEN_SOURCE to get macros from <stdlib.h>
        for wait(2).

    mtk
        Changed name of argument from 'string' to 'command' (like POSIX).

        Noted that glibc does nowadays explicitly check for the existence
        of the shell if 'command' is NULL, rather than the older behavior
        of assuming the shell exists and always returning 1 if
        'command' is NULL.

        Other wording and formatting clean-ups.

undocumented.3
    Remove some functions names that *are* documented.


==================== Changes in man-pages-2.02 ====================

Released: 2005-04-14

Contributors
------------

The following people contributed notes, ideas, or patches that have
been incorporated in changes in this release:

Andries Brouwer <Andries.Brouwer@cwi.nl>
Branden Robinson <branden@debian.org>
Colin Watson <cjwatson@debian.org>
David Lloyd <dmlloyd@tds.net>
Gordon Jin <gordon.jin@intel.com>
Heikki Orsila <shd@modeemi.cs.tut.fi>
Jamie Lokier <jamie@shareable.org>
Johan Walles
Kai Makisara <Kai.Makisara@kolumbus.fi>
Marko Kohtala <marko.kohtala@gmail.com>
Martin Pool <mbp@sourcefrog.net>
Martin (Joey) Schulze <joey@infodrom.org>
Matthias Lang <matthias@corelatus.se>
Michael Haardt <michael@moria.de>
Michael Mühlebach <michael@anduin.ch>
Mike Frysinger <vapier@gentoo.org>
Sasa Stevanovic <mg94c18@alas.matf.bg.ac.yu>
Serguei Leontiev <leo@sai.msu.ru>

Apologies if I missed anyone!

Global changes
--------------

ctime.3
tzselect.8
zdump.8
zic.8
    Martin (Joey) Schulze
        Removed SEE ALSO reference to nonexistent newctime(3).
        See http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=236884

Typographical or grammatical errors have been corrected in several
other places.

Changes to individual pages
---------------------------

clone.2
    mtk
        Noted the PID caching behavior of NPTL's getpid()
        wrapper under BUGS.

        Added futex(2), set_thread_area(2), set_tid_address(2),
        tkill(2) under SEE ALSO.

epoll_ctl.2
epoll_create.2
    Marko Kohtala  / mtk
        Improved various error descriptions.

epoll_wait.2
    David Lloyd / Mike Frysinger, Marko Kohtala
        Added EINTR to errors.

fcntl.2
    Jamie Lokier / mtk
        Improved discussion of F_SETOWN and F_SETSIG with respect to
        multi-threaded programs.
        Generally cleaned up the discussion of F_SETOWN.

        Updated CONFORMING TO to note that F_GETOWN and F_SETOWN are
        now in POSIX.

link.2
    mtk
        Noted discrepancy between Linux and POSIX.1 when oldpath
        is a symbolic link.
        See: http://bugs.linuxbase.org/show_bug.cgi?id=367
        and: http://www.opengroup.org/austin/mailarchives/ag/msg08152.html

    Michael Haardt / mtk
        Clarified EXDEV error description: it isn't possible to link
        across mount points, even if the mount points refer to the same
        file system.

mincore.2
    mtk, after note from Gordon Jin
        Updated ERRORS.

pipe.2
    As per message from Serguei Leontiev
        Removed SVr2, AT&T, and BSD from CONFORMING TO, since
        a pipe on those systems is actually bidirectional.
        (Pipes are implemented as STREAMS on the former, and
        sockets on the latter.)

posix_fadvise.2
    mtk
        Noted kernel version where posix_fadvise() appeared and
        noted bug in handling of 'len' in kernels < 2.6.6.

rename.2
    Michael Haardt
        Clarified EXDEV error description: it isn't possible to rename
        a file across mount points, even if the mount points refer to
        the same file system.

semop.2
    mtk
        Noted kernel version numbers for semtimedop().

setitimer.2
    Matthias Lang, mtk
        Noted MAX_SEC_IN_JIFFIES ceiling.
        Added note about treatment of out-of-range tv_usec values.

sigqueue.2
    Johan Walles, Martin (Joey) Schulze
        Added sigqueue.2 to SEE ALSO.

times.2
    mtk
        Added notes on non-standard behavior: Linux allows 'buf' to
        be NULL, but POSIX.1 doesn't specify this and it's non-portable.

uselib.2
    Andries Brouwer
        Improved DESCRIPTION; clarified distinction between
        EACCES and ENOEXEC.

bcopy.3
    Heikki Orsila
        bcopy() handles overlapping case, but memcpy() does not,
        so for consistency memmove() should be also mentioned.

getmntent_r.3
    Martin (Joey) Schulze
        New link to man3/getmntent.3.

memcpy.3
    Small wording change after suggestion from Sasa Stevanovic.

strcasestr.3
    mtk
        Created as link to strstr.3.

strftime.3
    mtk
        Noted that SUSv2 allowed a range of 00 to 61 for %S specifier.

strstr.3
    mtk
        Added description of strcasestr().

random.4
    aeb
        Improved description of read from /dev/urandom.

st.4
    Kai Makisara
        Substantial updates.

man.7
    Martin Schulze
    Branden Robinson
    Colin Watson
        Mention the .URL macro more verbosely.


==================== Changes in man-pages-2.03 ====================

Released: 2005-06-02

Contributors
------------

The following people contributed notes, ideas, or patches that have
been incorporated in changes in this release:

Andries Brouwer <Andries.Brouwer@cwi.nl>
Joey (Martin) Schulze <joey@infodrom.org>
Johannes Nicolai <johannes.nicolai@hpi.uni-potsdam.de>
Justin Pryzby <justinpryzby@users.sourceforge.net>
Klaus Ethgen <Klaus@Ethgen.de>
Pavel Heimlich <tropikhajma@seznam.cz>
Ross Boylan <RossBoylan@stanfordalumni.org>
Vincent Fourmond <vincent.fourmond@9online.fr>

Apologies if I missed anyone!

Global changes
--------------

console.4
console_ioctl.4
mouse.4
tty.4
vcs.4
    Pavel Heimlich
        Change `ttys(4)' to `ttyS(4)'.

Typographical or grammatical errors have been corrected in several
places.

Changes to individual pages
---------------------------

clone.2
    mtk
        Substantially enhanced discussion of CLONE_THREAD.

        Added CLONE_SYSVSEM, CLONE_UNTRACED, CLONE_STOPPED.

        Other minor fixes.

execve.2
    aeb
        Noted effect of ptracing when execing a set-UID program.

fcntl.2
    Johannes Nicolai / mtk
        Noted F_SETOWN bug for socket file descriptor in Linux 2.4
        and earlier.

        Added text on permissions required to send signal to owner.

flock.2
    mtk
        Noted that lock conversions are not atomic.

getrusage.2
    mtk
        ru_nswap has never contained useful information.
        Kernel 2.6.6 clarified that with a patch
        ("[PATCH] eliminate nswap and cnswap").  See also:
        http://www.ussg.iu.edu/hypermail/linux/kernel/0404.1/0720.html

kill.2
    mtk
        Clarified wording of the 'pid == -1' case.

mount.2
    mtk
        Added MNT_EXPIRE, plus a few other tidy-ups.

sched_setaffinity.2
    mtk
        Added text to note that sched_setaffinity() will migrate the
        affected process to one of the specified CPUs if necessary.

        Added a NOTE to point out that the affinity mask is actually a
        per-thread attribute that can be adjusted independently for
        each thread in a thread group.

shmctl.2
    mtk
        Noted aberrant Linux behavior with respect to new attaches to a
        segment that has already been marked for deletion.

        Noted changes in permissions required for SHM_LOCK/SHM_UNLOCK.

wait.2
    mtk
        Noted that the __W* flags can't be used with waitid().

confstr.3
    mtk
        Added _CS_GNU_LIBC_VERSION and _CS_GNU_LIBPTHREAD_VERSION.

hosts.5
    Ross Boylan / Martin Schulze
        various changes as per
        http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=304242

proc.5
    mtk
        Minor changes to discussion of /proc/PID/stat signal fields.
        Added 'rt_priority' and 'policy' to /proc/PID/stat.

capabilities.7
    mtk
        1,$s/inherited/inheritable/g

regex.7
    Vincent Fourmond / Joey (Martin) Schulze
        Removed discussion of `[[:<:]]' and `[[:>:]]' since they do
        not seem to be in the glibc implementation.
        As per http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=295666

tzselect.8
    Joey (Martin) Schulze / Klaus Ethgen
        The default zoneinfo directory is now /usr/share/zoneinfo.
        (was: /usr/local/etc/zoneinfo)
        As per http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=267471


==================== Changes in man-pages-2.04 ====================

Released: 2005-06-21

Contributors
------------

The following people contributed notes, ideas, or patches that have
been incorporated in changes in this release:

Andries Brouwer <Andries.Brouwer@cwi.nl>
Baurjan Ismagulov <ibr@ata.cs.hun.edu.tr>
Dave Love <d.love@dl.ac.uk>
Dieter Brueggemann <dieter.brueggemann@entitec.de>
Geoff Clare <gclare@gclare.org.uk>
Guido Trotter <ultrotter@debian.org>
kabloom <kabloom@ucdavis.edu>
Kevin Ryde <user42@zip.com.au>
Justin Pryzby <justinpryzby@users.sourceforge.net>
Mike Furr <mfurr@debian.org>
Olivier Croquette <ocroquette@free.fr>
Olivier Guilyardi <ylf@xung.org>
Peter Cordes <peter@llama.nslug.ns.ca>
Philipp Spitzer <philipp@toastfreeware.priv.at>
Tanaka Akira <akr@m17n.org>
Thierry Excoffier <exco@bat710.univ-lyon1.fr>
Thomas Hood <jdthood@yahoo.co.uk>
Vincent Lefevre <vincent@vinc17.org>
Walter Harms <walter.harms@informatik.uni-oldenburg.de>

Apologies if I missed anyone!

Global changes
--------------

Various pages
    mtk
        For consistency across pages:

            1,$s/nonzero/non-zero/g

Typographical or grammatical errors have been corrected in several
places.


New pages
---------

pthreads.7
    mtk
        An overview of the Linux implementations of POSIX threads.


Changes to individual pages
---------------------------

_exit.2
    mtk
        Various minor changes.

epoll_ctl.2
    Mike Furr
        BUGS: In kernels < 2.6.9, EPOLL_CTL_DEL required a non-NULL
        'event', even though this argument is ignored.
        As per http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=306517

flock.2
    mtk / Kevin Ryde
        Clarified semantics of relationship between flock() locks
        and open file entries and file descriptors.
        See http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=291121

getitimer.2
    Olivier Croquette, Thierry Excoffier
        Noted the existence of the short sleep bug (up to 1 jiffy).

getrlimit.2
    mtk
        RLIMIT_RSS only has affect "in 2.4.x", not "in 2.4 and later".

getrusage.2
    Geoff Clare
        Since Linux 2.6, the ru_nvcsw and ru_nivcsw fields are used.

nice.2
    mtk / Guido Trotter
        Rewrote description of return value.
        As per http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=296183

open.2
    Walter Harms
        O_DIRECT needs _GNU_SOURCE.
    mtk
        O_ASYNC works for pipes and FIFOs in Linux 2.6.
        Various minor fixes.

atexit.3
    mtk
        Various minor changes.

exit.3
    mtk
        Various minor changes.

getopt.3
    mtk / Philipp Spitzer
        Fix description of return value.
        See http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=308359

hsearch.3
    mtk
        Changed (char *) to (void *) in example.
        See http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=313607

log1p.3
    Justin Pryzby
        Make log(3) SEE ALSO log1p(3),
        as per http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=309578

makecontext.3
    Tanaka Akira
        Fix description of RETURN VALUE for makecontext(),
        as per http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=311800

on_exit.3
    mtk
        Various minor changes.

rand.3
    kabloom
        Small fix to a code example,
        as per http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=194842

realpath.3
    mtk / Thomas Hood
        When specifying resolved_path as NULL, realpath()
        will (still) only allocate up to PATH_MAX bytes.
        Plus other minor changes.
        See also http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=239424

rcmd.3
    Dave Love
        The required header file for these functions on Linux is <netdb.h>,
        as per http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=311680

scanf.3
    Olivier Guilyardi
        Arg for %p is a pointer to _a pointer to_ void,
        as per http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=263109

stdin.3
    Vincent Lefevre
        freopen() can change the descriptors associated with
        stdin/stdout/stderr, as per
        http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=295859

strerror.3
    Baurjan Ismagulov
        strerror_r(3) requires #define _XOPEN_SOURCE 600,
        as per http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=290880

sysconf.3
    Peter Cordes / mtk
        Fix typo: "_SC_2_DEV" should be "_SC_2_C_DEV".

proc.5
    mtk
        Added pointers under /proc/sys/net to tcp.7 and ip.7.

ip.7
    mtk
        Various wording and formatting fixes.
        Reordered /proc/sys/net/ipv4/ip_* file descriptions alphabetically.

tcp.7
    Dieter Brueggemann / mtk
        Fixes to the discussion of SIOCATMARK and tcp_stdurg.
    mtk
        Various wording and formatting fixes.
        Incorporated some new /proc/sys/net/ipv4/tcp_* file descriptions
        from the 2.6.12 source file Documentation/networking/ip-sysctl.txt.


==================== Changes in man-pages-2.05 ====================

Released: 2005-06-27

Contributors
------------

The following people contributed notes, ideas, or patches that have
been incorporated in changes in this release:

A Costa <agcosta@gis.net>
Andries Brouwer <Andries.Brouwer@cwi.nl>
Bas Zoetekouw <bas@debian.org>
Dan Jacobson <jidanni@jidanni.org>
Delian Krustev <krustev@krustev.net>
Dora Anna Volgyesi <volgyesi@elte.hu>
Martin (Joey) Schulze <joey@infodrom.org>
Ove Kaaven <ovek@arcticnet.no>

Apologies if I missed anyone!

Global changes
--------------

Typographical or grammatical errors have been corrected in several
places.  (Special thanks to A Costa.)


Changes to individual pages
---------------------------

_exit.2
    mtk / aeb
        Reversed 2.04 introduction of the term "process termination
        function".

close.2
    mtk
        Clarified what type of lock close() affects.
        Minor formatting changes.

dup.2
    mtk
        Consistent use of terms "open file description",
        "file status flags", and "file descriptor flags".
        Removed mention of lock sharing -- it was not accurate.
        Minor formatting fixes.

fcntl.2
    mtk
        Consistent use of terms "open file description",
        "file status flags", and "file descriptor flags".
        Some rewriting of discussion of file descriptor flags
        Under F_DUPFD, replaced some text duplicated in dup.2
        with a cross ref to dup.2
        Minor wording and formatting fixes.

fpclassify.3
    mtk / Martin (Joey) Schulze / Bas Zoetekouw
        The return value of isinf() changed in glibc 2.02
        to differentiate positive and negative infinity.
        See: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=285765

getgid.2
getuid.2
    Delian Krustev
        Remove confusing text describing real and effective IDs.
        As per http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=285852

getitimer.2
    mtk
        The short sleep bug (up to 1 jiffy) that was newly noted in
        man-pages-2.04 has just been fixed in 2.6.12.

getpriority.2
    mtk
        Changed range documented in main text from -20..20 to -20..19.
        Noted that the range is -20..20 on some systems.

open.2
    mtk / aeb
        Clarification of term "open file description" along with
        explanation of what information it maintains.
        Other wording improvements.
        Various minor wording changes.

atexit.3
    mtk / aeb
        Reversed 2.04 introduction of the term "process termination
        function".
    mtk
        Noted use of atexit() for establishing function to be invoked on
        shared library unload.
        Noted that atexit()-registered functions are not invoked on
        abnormal termination.
        Formatting fixes.

exit.3
    mtk / aeb
        Reversed 2.04 introduction of the term "process termination
        function".
    mtk
        Minor rewording and formatting changes.

getloadavg.3
    mtk
        Added #define _BSD_SOURCE to prototype.

log2.3
    Martin (Joey) Schulze
        Add ERANGE error.

readdir.3
    mtk
        Added definition of Linux dirent structure.
        Some formatting cleanups.

strtod.3
    Dora Anna Volgyesi / mtk
        strtold() and strtof() need _ISOC99_SOURCE or _XOPEN_SOURCE=600
        As per http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=246668

tdestroy.3
    mtk
        New link to tsearch.3.

tsearch.3
    mtk
        Added tdestroy to .TH line.

mem.4
    mtk
        Change "chown root:mem /dev/mem" to "chown root:kmem /dev/mem".

null.4
    mtk
        Change "chown root:mem /dev/null /dev/zero" to
        "chown root:root /dev/null /dev/zero".

vcs.4
    Dan Jacobson / Martin (Joey) Schulze
        Replaced "selection(1)" by "gpm(8)" under SEE ALSO
        See http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=253515

signal.7
    Ove Kaaven
        SA_SIGACTION should be SA_SIGINFO
        As per http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=305369

urn.7
    mtk
        New link to uri.7


==================== Changes in man-pages-2.06 ====================

Released: 2005-07-15

Contributors
------------

The following people contributed notes, ideas, or patches that have
been incorporated in changes in this release:

Alain Portal <aportal@univ-montp2.fr>
Andries Brouwer <Andries.Brouwer@cwi.nl>
Bhavesh P Davda <bhavesh@avaya.com>
Clau Weber <claus@jambit.com>
Dov Murik <dov@dv-networks.com>
David Lloyd <dlloyd@microbits.com.au>
Frederik Deweerdt <frederik.deweerdt@gmail.com>
Justin Pryzby <justinpryzby@users.sourceforge.net>
Lars Wirzenius <liw@iki.fi>
Martin Pool <mbp@sourcefrog.net>
Mike Frysinger <vapier@gentoo.org>
Petter Reinholdtsen <pere@hungry.com>
Steven Murdoch <Steven.Murdoch@cl.cam.ac.uk>
Walter Harms <walter.harms@informatik.uni-oldenburg.de>

Apologies if I missed anyone!

Global changes
--------------

Typographical or grammatical errors have been corrected in several
places.

Many uses of hyphens and dashes were corrected.


New pages
---------

canonicalize_file_name.3
    Walter Harms / mtk

Removed Pages
-------------

sstk.2
    mtk
        AFAIK, this system call has never actually done anything (other
        than be a stub) on any Unix.

Changes to individual pages
---------------------------

accept.2
    mtk
        Various wording and formatting fixes.

bind.2
    mtk
        Minor formatting changes

clone.2
    mtk
        Various minor wording improvements; some formatting fixes

connect.2
    mtk
        Various wording and formatting fixes.

epoll_create.2
    Bhavesh P Davda
        s/positive/non-negative/      [for file descriptor]

getrlimit.2
    mtk
        Documented RLIMIT_MSGQUEUE limit.
        RLIMIT_RSS ceased to have any effect in 2.4 in kernel 2.4.30.
        (It already didn't have any effect in 2.2.x and 2.6.x.)
        s/MADVISE_WILLNEED/MADV_WILLNEED/

listen.2
    mtk
        Removed historic comment on BSD backlog ceiling.
        Minor wording and formatting changes.

semop.2
    mtk
        Added BUG: in some circumstances, a process that is
        waiting for a semaphore to become zero is not woken
        up when the value does actually reach zero.
        http://marc.theaimsgroup.com/?l=linux-kernel&m=110260821123863&w=2
        http://marc.theaimsgroup.com/?l=linux-kernel&m=110261701025794&w=2

socket.2
    mtk
        Various minor wording improvements

umask.2
    mtk
        Added mkdir(2) to discussion, made term "file mode creation
        mask" clearer.
        Various, mostly small, wording changes

errno.3
    Martin Pool
        Change description for ESTALE
        As per http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=237344

fgetgrent.3
getgrent.3
getgrent_r.3
    David Lloyd
        Added SEE ALSO putgrent(3)
        See http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=211336

getgrent.3
getgrnam.3
getpwent.3
getpwnam.3
    Lars Wirzenius / mtk
        Replace mention of /etc/{passwd,group} by references to
        "passwd/group database", and LDAP and NIS.
        As per http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=316117
    mtk
        Miscellaneous wording improvements
        Consistent DESCRIPTION and ERRORS wording across these pages.

getnameinfo.3
    mtk
        Relocate misplaced text describing gai_strerror().

getnetent.3
    Petter Reinholdtsen
        s/endservent/endnetent/
        As per http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=316517

getspnam.3
    Lars Wirzenius / mtk
        Replace mention of /etc/shadow by references to
        "shadow password database", and LDAP and NIS.
        As per http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=316117
    mtk, Claus Weber
        Miscellaneous wording improvements
        Consistent DESCRIPTION wording vis-a-vis getpwnam.3 etc.

hsearch.3
    Frederik Deweerdt
        Fix hsearch_r() prototype

scanf.3
    Justin Pryzby / mtk
        Fix description of RETURN VALUE
        As per http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=317037
    mtk
        various parts substantially rewritten; added description of
        %n$ form; various text incorporated from the GNU C library
        documentation ((C) The Free Software Foundation).

shm_open.3
    mtk
        Modified details of how user and group ownership of a new
        object are set.
        Various minor wording and formatting cleanups.

elf.5
    Mike Frysinger
        tweaked the short description to include definition of 'ELF'
        add ELFOSABI_NONE to the ELFOSABI_ list
        tweak/add more machines to EM_ list for ehdr->e_machine
        fix indenting to be consistent
        tweak the display of the ELF_ST_* macros
        document the Elf_Dyn structure

proc.5
    mtk
        Updated discussion of /proc/stat.
        Added text on the /proc/sys/fs/mqueue/* files.

ip.7
    Steven Murdoch
        Change protocol in UDP prototype.
        As per http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=182635

tcp.7
    Dov Murik
        The first sentence under NOTES about SO_KEEPALIVE and SIGPIPE
        makes no grammatical sense (and possibly also no technical sense).
        It has been removed.


==================== Changes in man-pages-2.07 ====================

Released: 2005-07-19

Contributors
------------

The following people contributed notes, ideas, or patches that have
been incorporated in changes in this release:

Andries Brouwer <Andries.Brouwer@cwi.nl>
Mike Frysinger <vapier@gentoo.org>

Apologies if I missed anyone!

Global changes
--------------

Various pages
    mtk
        The terms "set-user-ID" and "set-group-ID" are now used
        consistently (no abbreviations) across all manual pages.

Various pages
    mtk
        Consistent use of "saved set-user-ID" and "saved set-group-ID"
        (no more "saved user ID", "saved effective UID",
        saved group ID", etc.)

Various pages
    mtk
        Global fixes in textual descriptions:

            uid --> UID
            gid --> GID
            pid --> PID
            id --> ID

Various pages
    mtk
        Consistent use of st_atime, st_ctime, st_mtime, with
        explanatory text, instead of atime/ctime/mtime.

Various pages
    mtk
        Classical BSD versions are now always named x.yBSD (formerly
        there was a mix of x.yBSD and BSD x.y).

Typographical or grammatical errors have been corrected in several
places.


Changes to individual pages
---------------------------

setresuid.2
    mtk
        Some rewording.

stat.2
    Mike Frysinger
        Improve description of st_dev and st_rdev.
    mtk
        Various wording and formatting improvements.

truncate.2
    mtk
        Some formatting fixes


==================== Changes in man-pages-2.08 ====================

Released: 2005-09-21

Contributors
------------

The following people contributed notes, ideas, or patches that have
been incorporated in changes in this release:

Adrian Bunk <bunk@stusta.de>
Alain PORTAL <aportal@univ-montp2.fr>
Andrew Pimlott <andrew@pimlott.net>
Andries Brouwer <Andries.Brouwer@cwi.nl>
Baurzhan Ismagulov <ibr@radix50.net>
Bernhard R. Link <brlink@debian.org>
Bodo Stroesser <bstroesser@fujitsu-siemens.com>
David N. Welton <davidw@eidetix.com>
Dov Murik <dov@dv-networks.com>
Heikki Orsila <shd@modeemi.cs.tut.fi>
Hasso Tepper <hasso@estpak.ee>
Hrvoje Niksic <hniksic@xemacs.org>
Justin Pryzby <justinpryzby@users.sourceforge.net>
Ludovic Courtes <ludovic.courtes@laas.fr>
Mike Frysinger <vapier@gentoo.org>
Nicolas François <nicolas.francois@centraliens.net>
Norbert Buchmuller <norbi.spam@nix.hu>
Paul Brook <paul@nowt.org>
Ramiro Aceves <ea1abz@gmail.com>
Tommy Pettersson <ptp@lysator.liu.se>
Walter Harms <walter.harms@informatik.uni-oldenburg.de>

Apologies if I missed anyone!

Global changes
--------------

Various pages
    mtk
        RFC references are now always written as "RFC\ nnn"
        (not "RFC nnn" or "RFCnnn").

Typographical or grammatical errors have been corrected in several
places.


Changes to individual pages
---------------------------

du.1
    Mike Frysinger
        To get an effect like "-h", BLOCKSIZE must start with "human",
        not "HUMAN".

time.1
    Mike Frysinger
        s/standard output/standard error/

clone.2
    Paul Brook / mtk
        Fix small error in description of CLONE_PARENT_SETTID

connect.2
    Heikki Orsila
        Add EINTR error
        See http://lkml.org/lkml/2005/7/12/254

getpriority.2
    mtk
        Expanded discussion of relationship between user and kernel
        representations of the nice value.

        Added discussion of RLIMIT_NICE and a cross reference to
        getrlimit.2 under the description of the EACCES error.

        Noted 2.6.12 change in credentials checking for setpriority().

getrlimit.2
    mtk
        Added description of RLIMIT_RTPRIO

        Added description of RLIMIT_NICE

mmap.2
    mtk
        Noted bug in MAP_POPULATE for kernels before 2.6.7.

mremap.2
    mtk
        Added _GNU_SOURCE to prototype.
        Rewrote description of MREMAP_MAYMOVE.
        Rewrote description of EAGAIN error.
        Added discussion of resizing of memory locks.
        Added entries to SEE ALSO.
        Some formatting fixes.

msgctl.2
    mtk
        Added IPC_INFO, MSG_INFO, MSG_STAT descriptions.

nanosleep.2
    Baurzhan Ismagulov
        Add to prototype: define _POSIX_C_SOURCE 199309
        As per http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=314435

nice.2
    mtk
        Added sentence noting that range of the nice value is described
        in getpriority.2.
        Added cross-reference to setrlimit(2) for discussion on
        RLIMIT_NICE.

outb.2
    David N. Welton / Justin Pryzby / mtk
        Clarified the order of value and port arguments;
        As per http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=263756

pause.2
    mtk
        Added SEE ALSO for sigsuspend.2
        Some formatting fixes.

poll.2
    Tommy Pettersson
        nfds should be prototyped as nfds_t
        As per http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=322934

    mtk
        Some wording and formatting improvements.

prctl.2
    mtk
        Since kernel 2.6.13 PR_SET_DUMPABLE can also have the value 2.

rand.3
    Hrvoje Niksic / mtk
        Remove misleading text describing FreeBSD's sranddev() function.
        As per debian bug 328629

readv.2
    mtk / Walter harms
        Added LINUX NOTES on trickery performed by glibc when
        vector size exceeds IOV_MAX.

        Formatting clean-ups.

remap_file_pages.2
    mtk
        Added text to note that start and size are both rounded downward.

sched_setparam.2
    mtk
        Modified discussion of privileges; added pointer to
        sched_setscheduler.2 for a discussion of privileges and
        resource limits.

sched_setscheduler.2
    mtk
        Modified discussion of privileges; added discussion of RLIMIT_RTPRIO.

semctl.2
    mtk
        Added IPC_INFO, SEM_INFO, SEM_STAT descriptions.

shmctl.2
    mtk
        Added IPC_INFO, SHM_INFO, SHM_STAT descriptions.

sigaction.2
    mtk
        Split sigpending(), sigprocmask(), and sigsuspend() out
        into separate new pages.

        Other minor changes

    mtk
        NOTES: described SA_NODEFER / sa_mask bug which was present in
                all kernels up to and including 2.6.13.
        See http://marc.theaimsgroup.com/?l=linux-kernel&m=112360948603171&w=2
        and http://marc.theaimsgroup.com/?l=linux-kernel&m=112362164911432&w=2
        List:       linux-kernel
        Subject:    Signal handling possibly wrong
        From:       Bodo Stroesser
        Date:       2005-08-09 17:44:06

signal.2
    mtk
        Updated SEE ALSO to reflect splitting of sigaction.2 into
        sigaction.2, sigsuspend.2, sigpending.2, sigprocmask.2

sigpending.2
    mtk
        New page created by splitting out from sigaction.2
        Changed CONFORMING TO.

sigprocmask.2
    mtk
        New page created by splitting out from sigaction.2
        Added text on effect of NULL for 'set' argument.
        Added text noting effect of ignoring SIGBUS, SIGFPE, SIGILL,
                and SIGSEGV.
        Noted that sigprocmask() can't be used in multithreaded process.
        Fixed EINVAL error diagnostic.
        Changed CONFORMING TO.

sigsuspend.2
    mtk
        New page created by splitting out from sigaction.2
        Added NOTES on usage.
        Added new text to DESCRIPTION.
        Changed CONFORMING TO.

stat.2
    Mike Frysinger
        Improve st_blocks description.

carg.3
    Ramiro Aceves / aeb
        Change:
                One has carg(z) = atan(creal(z) / cimag(z))
        to:
                One has tan(carg(z)) = cimag(z) / creal(z)

        As per http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=326720

cmsg.3
    mtk
        s/SOL_TCP/IPPROTO_TCP/          (POSIX standard name)

dlopen.3
    Alain Portal
        s/-nostartupfiles/-nostartfiles/

getaddrinfo.3
    mtk
        Nowadays (since 2.3.4) glibc only sets the first ai_canonname
        field if AI_CANONNAME was specified (the current behavior
        is all that SUSv3 requires).

        1,$s/PF_/AF_/g

        Added descriptions of AI_ALL, AI_ADDRCONFIG, AI_V4MAPPED,
        and AI_NUMERICSERV.

        Some wording and formatting fixes.

getpwnam.3
    Bernhard R. Link / mtk
        Add NOTES text describing relationship of pw_dir and HOME and
        pointing out that applications should preferentially inspect HOME.

inet.3
    Mike Frysinger
        Mention "little endian" and "big endian".
        Added note about octal and hex interpretation of
             numbers-and-dots notation.

rpc.3
    mtk / Ludovic Courtes
        Commented out references to rpc_secure(3) -- we don't currently
        have such a page in the man-pages set.
        In response to http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=325115

setenv.3
    mtk
        glibc 2.3.4 fixed the "name contains '='" bug.

strnlen.3
    Mike Frysinger
        Added "#define _GNU_SOURCE" to prototype.

initrd.4
    Norbert Buchmuller / mtk
        Added text noting that the use or real-root-dev for changing
        the root device is obsolete, in favor of pivot root.
        (However, the page still needs to be rewritten to actually
        describe the pivot_root method...)
        As per http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=323621

proc.5
    mtk
        Improve text describing /proc/sys/fs/mqueue/* files.

        Describe /proc/sys/fs/suid_dumpable (new in 2.6.13).

        Added placeholder mention of /proc/zoneinfo (new in 2.6.13).
        More needs to be said about this file.

        Repaired earlier cut and paste mistake which resulted
        in part of the text of this page being duplicated.

utmp.5
    Mike Frysinger
        Added text on biarch details for ut_session and ut_tv.

capabilities.7
    mtk
        Added CAP_AUDIT_CONTROL and CAP_AUDIT_WRITE.

ip.7
    mtk / Andrew Pimlott
        Add a couple of words to make it clear that port is a 16-bit number.
        Reformat long source lines (no text changed).

        s/SOL_IP/IPPROTO_IP/            (POSIX standard name)

    Hasso Tepper
        Fix discussion of IPC_RECVTTL / IP_TTL.

signal.7
    mtk
        Updated SEE ALSO to reflect splitting of sigaction.2 into
        sigaction.2, sigsuspend.2, sigpending.2, sigprocmask.2.

socket.7
    mtk
        Clarified details of use of SO_PEERCRED.

tcp.7
    mtk
        s/SOL_TCP/IPPROTO_TCP/          (POSIX standard name)
        s/SOL_IP/IPPROTO_IP/            (POSIX standard name)

udp.7
    mtk
        Added description of UDP_CORK socket option.

        s/SOL_UDP/IPPROTO_UDP/          (POSIX standard name)
        s/SOL_IP/IPPROTO_IP/            (POSIX standard name)


==================== Changes in man-pages-2.09 ====================

Released: 2005-10-13

Contributors
------------

The following people contributed notes, ideas, or patches that have
been incorporated in changes in this release:

Justin Pryzby <pryzbyj@justinpryzby.com>
Peter Chubb <peterc@gelato.unsw.edu.au>
Samuel Thibault <samuel.thibault@ens-lyon.org>
Tomas Pospisek <tpo_deb@sourcepole.ch>
Trond Myklebust <trond.myklebust@fys.uio.no>

Apologies if I missed anyone!

Global changes
--------------

ptsname.3
getpt.3
unlockpt.3
openpty.3
posix_openpt.3
grantpt.3
pts.4
tty_ioctl.4
    mtk
        Added SEE ALSO for new pty.7 page.

Typographical or grammatical errors have been corrected in several
places.


New pages
---------

pty.7
    mtk
        Overview of Unix 98 and BSD pseudo-terminals.


Changes to individual pages
---------------------------

ldd.1
    mtk
        Remove "-V" option (fix from Fedora man-pages-2.07-7).

fcntl.2
    Peter Chubb / Trond Myklebust / mtk
        Since kernel 2.6.10, a read lease can only be placed on a
        file descriptor that is opened read-only.
        See the following LKML thread of Aug 2005
        ("fcntl(F GETLEASE) semantics??"):
        http://marc.theaimsgroup.com/?l=linux-kernel&m=112371777712197&w=2
        http://marc.theaimsgroup.com/?l=linux-kernel&m=112374818213000&w=2
        http://marc.theaimsgroup.com/?l=linux-kernel&m=112376335305284&w=2
        http://marc.theaimsgroup.com/?l=linux-kernel&m=112377294030092&w=2

mprotect.2
    mtk
        Add new text to ENOMEM error.

mremap.2
    mtk
        Added description of MREMAP_FIXED and 'new_address' argument
        under NOTES.
        Revised text of EINVAL error.

read.2
    Samuel Thibault / mtk
        read() can fail with EINVAL when using O_DIRECT
    mtk
        Added open(2) to SEE ALSO.

shmget.2
    mtk
        s/int/size_t/ for type of 'size' argument (fix from
        Fedora man-pages-2.07-7).

write.2
    Samuel Thibault / mtk
        write() can fail with EINVAL when using O_DIRECT

atanh.3
    mtk
        Fix: s/acosh/atanh/ (fix from Fedora man-pages-2.07-7).

fopen.3
    mtk
        Improved "a+" description (fix from Fedora man-pages-2.07-7).

getrpcent.3
    mtk
        s/getrpcent/setrpcent/ (fix from Fedora man-pages-2.07-7).

stdio.3
    mtk / Justin Pryzby
        Removed references to fropen() and fwopen(), which are
        BSDisms that don't appear in glibc.
        As per http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=331174

strftime.3
    mtk
        Typo fix: %Ry ==> %Ey [SUSv3 mentions...] (fix from
        Fedora man-pages-2.07-7).

nsswitch.conf.5
    mtk
        s/network/networks/ (fix from Fedora man-pages-2.07-7).

proc.5
    mtk
        Added description of /proc/sys/vm/legacy_va_layout.

socket.7
    mtk
        Update description of SO_RCVLOWAT and SO_SNDLOWAT.
        (fix derived from Fedora man-pages-2.07-7).


==================== Changes in man-pages-2.10 ====================

Released: 2005-10-19

Global changes
--------------

The changes in this release consist *solely* of formatting fixes, with
the aim bringing greater consistency to the manual pages according to
the following rules:

-- Function name references should *always* be followed by
   parentheses, "()" (possibly containing a manual page section
   number).

-- The parentheses following a function name should *not* be
   formatted.  Thus, for example, instead of:

       .B name()

   one should write:

       .BR name ()

Much of the change was automated using two scripts:
add_parens_for_own_funcs.sh and unformat_parens.sh.
For the (possible) benefit of downstream manual page maintainers and
translators, I have placed these scripts in a new subdirectory 'scripts'.

NOTE THE FOLLOWING POINTS WELL:

-- These scripts provide a computer-assisted solution to the above
   two goals.  However, they are not perfect, and their output should
   be scanned by a human.  (To see what changes the two scripts
   *would* make, without making them, use the "-n" command line option.)

-- The scripts do not fix all instances that violate the above rules:
   some manual fixes are required.  Two further scripts are provided
   to help find remaining instances of function names without
   following "()": find_dots_no_parens.sh and find_slashes_no_parens.sh.

The following changes were made:

-- add_parens_for_own_funcs.sh was applied to the pages in Sections
   2 and 3.

-- unformat_parens.sh was applied to pages in Sections 2, 3, 4, and 7
   (the only sections where such changes were required).

-- further changes (not so very many) were performed by hand.
   (found places to fix with the assistance of find_dots_no_parens.sh
   and find_slashes_no_parens.sh).


==================== Changes in man-pages-2.11 ====================

Released: 2005-10-24

Contributors
------------

The following people contributed notes, ideas, or patches that have
been incorporated in changes in this release:

Alain PORTAL <aportal@univ-montp2.fr>

Apologies if I missed anyone!

Global changes
--------------

Various pages
    mtk
        Most instances of the constant "NULL" are not formatted (bolded) in
        man pages, but a few are.  For consistency, formatting on "NULL" has
        been removed where it occurred.

        Many minor formatting fixes were made.

Typographical or grammatical errors have been corrected in several
places.


Changes to individual pages
---------------------------

getrlimit.2
    mtk
        Added EINVAL error for rlim_cur > rlim_max when calling setrlimit().

path_resolution.2
    mtk
        Repaired discussion of capabilities and file system UID, which
        mistakenly had involved exec() in the discussion.

prctl.2
    mtk
        Removed text saying there is no library interface.  There
        is nowadays.

mkfifo.3
    mtk
        Minor change to RETURN VALUE text.

sk98lin.4
    Alain Portal
        Formatting fixes.

capabilities.7
    mtk
        Minor changes.


==================== Changes in man-pages-2.12 ====================

Released: 2005-10-31

Contributors
------------

The following people contributed notes, ideas, or patches that have
been incorporated in changes in this release:

Akihiro MOTOKI <amotoki@dd.iij4u.or.jp>
Andries Brouwer <Andries.Brouwer@cwi.nl>
Brian M. Carlson <sandals@crustytoothpaste.ath.cx>
herbert <herbert@gondor.apana.org.au>
Martin Landers <martin.landers@treibgut.net>
Michael Benedict <benedict@starbak.net>

Apologies if I missed anyone!

Global changes
--------------

Typographical or grammatical errors have been corrected in several
places.


Changes to individual pages
---------------------------

mlock.2
    mtk
        Reworded text around PAGESIZE, noting also that
        sysconf(_SC_PAGESIZE) can be used.

path_resolution.2
    mtk / aeb
        Removed words "as well" (added in 2.11) from the phrase
        "and it gets these last five capabilities if its fsuid is 0 as well"
        since there are (unusual) situations in which fsuid can be 0 while
        the effective UID is not.

        Reworked (cut down) discussion of capabilities, moving part of
        it into capabilities.7

setresuid.2
    mtk
        Add text to note that setresuid() always modifies the file
        system UID, and setresgid() likewise always modifies the file
        system GID.

shmget.2
    mtk
        Added (brief) description of SHM_HUGETLB.

sigaltstack.2
    mtk / Martin Landers
        Noted that ss_sp is automatically aligned by the kernel.

byteorder.3
    Brian M. Carlson  / herbert
        Change <netinet/in.h> to <arpa/inet.h> in prototype; add text
        explaining that some systems need the former header.
        As per http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=265244

capabilities.7
    mtk
        Reworked part of the discussion of exec() and capabilities.
        Added sub-section "Effect of User ID Changes on Capabilities".
        Reworked discussion of CAP_SYS_ADMIN and file-max.


==================== Changes in man-pages-2.13 ====================

Released: 2005-11-03

This release consists entirely of formatting and typographical fixes.

Global changes
--------------

Typographical or grammatical errors have been corrected in several
places.

Various pages
    mtk
        Function and page cross references that were italicized were
        made bold (which is how the majority of function and page
        cross references were already done).

Various pages
    mtk
        Instances of things like "NULL-terminated string" were changed to
        "null-terminated string".

Various pages
    mtk
        Pathnames, structures, arguments, and <header-files> that were
        bold were changed to italics.

Various pages
    mtk
        Instances of the constant "NULL" that were bold-faced were made
        unformatted (which is how most instances of "NULL" were already
        formatted.)


==================== Changes in man-pages-2.14 ====================

Released: 2005-11-17

Contributors
------------

The following people contributed notes, ideas, or patches that have
been incorporated in changes in this release:

Angelo <ang3l0@katamail.com>
Avery Pennarun <apenwarr@nit.ca>
Justin Pryzby <justinpryzby@users.sourceforge.net>
Martin (Joey) Schulze <joey@infodrom.org>
Stefan Brüns <stefan.bruens@rwth-aachen.de>
Volker Reichelt <reichelt@igpm.rwth-aachen.de>

Apologies if I missed anyone!

Global changes
--------------

Typographical or grammatical errors have been corrected in several
places.

New pages
---------

rexec.3
    mtk / Justin Pryzby
        This page is taken as is from the FreeBSD 5.4 distribution.
        (Not checked against Linux reality, but likely things are
        the same.)
        See also http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=336875

Changes to individual pages
---------------------------

arch_prctl.2
    mtk
        Updated discussion about lack of prototype in glibc.

execve.2
    mtk
        Improved description of E2BIG error: it relates to the sum
        of the bytes in both environment and argument list.

fcntl.2
    mtk
        Clarified parts of the discussion of file leases,
        noting effect of open(O_NONBLOCK), interruption
        by signal handler, or termination by signal in
        lease breaker.  In response to
        http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=339037

stat.2
    mtk / Stefan Brüns
        Added LINUX NOTES describing nanosecond timestamps.

frexp.3
    Volker Reichelt / mtk
        Fixed to point out that frexp() returns a number whose
        *absolute* value is >= 0.5 and < 1.  Amended the example
        program to demonstrate this.

open.2
    mtk / Avery Pennarun
        Add EWOULDBLOCK error for file leases.
        In response to
        http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=339037

putenv.3
    mtk
        Although the glibc implementation returns -1 on error (and some
        other man pages (e.g., the BSDs) also document that value for
        error returns), SUSv3 merely says "non-zero" (and this is
        what manual pages on many implementations also say).

posix_memalign.3
    mtk
        Formerly, the page said that all systems declare memalign() in
        <malloc.h>.  In fact, many declare it in <stdlib.h>.

strtok.3
    mtk
        Almost a complete rewrite after Angelo pointed out
        that the existing page was deficient.

sd.4
    Martin Schulze
        Remove SEE ALSO for nonexistent scsi.4.

proc.5
    mtk
        Updated discussion of /proc/sys/kernel/pid_max.

signal.7
    mtk
        Added pthreads.7 to SEE ALSO.

ld.so.8
    mtk
        Fix typo: s/LD_DEBUG_OUTPUT/LD_PROFILE_OUTPUT/


==================== Changes in man-pages-2.15 ====================

Released: 2005-11-30

Contributors
------------

The following people contributed notes, ideas, or patches that have
been incorporated in changes in this release:

Andries Brouwer <Andries.Brouwer@cwi.nl>
James Vega <jamessan@debian.org>
Malcolm Scott <mas90@io.malc.org.uk>
Senthil Kumar <senthilkumar_sen@hotpop.com>

Apologies if I missed anyone!

Global changes
--------------

Typographical or grammatical errors have been corrected in several
places.

New pages
---------

sigvec.3 -- for details, see below.

sigset.3 -- for details, see below.

Changes to individual pages
---------------------------

kill.2
    mtk
        Added text describing the 2.6.[0-7] EPERM bug that occurred
        when sending signals to a process group.

sigaction.2
    mtk
        Noted that si_signo is unused on Linux.

sigpending.2
    mtk
        Added BUGS noting wrapper function problem that existed
        in glibc versions <= 2.2.1.

sigpause.2
    mtk
        Moved to section 3; see also sigpause.3 below.

sigsetops.3
    mtk
        Added a GLIBC NOTES section describing sigisemptyset(),
        sigandset(), and sigorset().

sigvec.2
sigblock.2
    mtk
        These pages have been deleted, and replaced by a new sigvec.3
        man page that more fully describes the BSD signal API.

siggetmask.2
sigmask.2
sigsetmask.2
    mtk
        These links to the now-deleted sigblock.2 have been also been
        deleted.  They are replaced by corresponding links in Section 3:
        sigmask.3, sigsetmask.3, siggetmask.3.

sigvec.3
    mtk
        This new page is provides a fuller description of the
        BSD signal API than was provided in the now-deleted sigvec.2
        and sigblock.2.

sigblock.3
siggetmask.3
sigmask.3
sigsetmask.3
    mtk
        Created as links to sigvec.3.

sigpause.3
    mtk
        Moved here from Section 2.

        Some minor wording fixes; clarified System V origins of
        X/Open flavor of this function.

sigset.3
    mtk
        New page describing the System V signal API: sigset(), sighold(),
        sigrelse(), sigignore().

strftime.3
    James Vega
        Add further text clarifying that %+ specifier is not supported in
        glibc2.
    mtk
        Added GLIBC NOTES section describing optional 'flag' and 'width'
        components of conversion specifiers.
        Some wording changes to bring terminology closer to SUSv3.
        Added an example program.

vm86old.2
    mtk / aeb
        Add as new link to vm86.2.

intro.7
    mtk
        Added a few words to reflect the fact that several of the section
        7 pages provide overviews of various topics.

signal.7
    mtk
        Added some SEE ALSO entries.

socket.7
    Senthil Kumar / mtk
        Added text noting that select()/poll() do not respect SO_RCVLOWAT.

udp.7
    Malcolm Scott
        s/tcp_socket/udp_socket/ in example
        Fixes http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=340927


==================== Changes in man-pages-2.16 ====================

Released: 2005-12-02

Contributors
------------

The following people contributed notes, ideas, or patches that have
been incorporated in changes in this release:

Alan Stern <stern@rowland.harvard.edu>
Andries Brouwer <Andries.Brouwer@cwi.nl>
Urs Thuermann <urs@isnogud.escape.de>

Apologies if I missed anyone!

Global changes
--------------

Typographical or grammatical errors have been corrected in several
places.


Changes to individual pages
---------------------------

HOWTOHELP
    Urs Thuermann
        Added instructions for finding maintainer in Debian package.

poll.2
    mtk
        Added NOTES about INFTIM constant provided on some other
        implementations.

shmop.2
    Alan Stern
        The -1 error return of shmat() should be cast "(void *)".

strftime.3
    aeb
        Remove junk text (actually intended as source code comment
        in page).

ip.7
    Urs Thuermann
        Fix a typo: s/SOCK_RAW/SOCK_PACKET/

packet.7
    Urs Thuermann
        Clarification: s%SOCK_PACKET%PF_INET/SOCK_PACKET%


==================== Changes in man-pages-2.17 ====================

Released: 2005-12-13

Contributors
------------

The following people contributed notes, ideas, or patches that have
been incorporated in changes in this release:

Justin Pryzby <justinpryzby@users.sourceforge.net>
Michael Haardt <michael@moria.de>
Urs Thuermann <urs@isnogud.escape.de>
Walter Harms <walter.harms@informatik.uni-oldenburg.de>

Apologies if I missed anyone!


Global changes
--------------

Typographical or grammatical errors have been corrected in several
places.


New pages
---------

fmemopen.3
    Walter Harms / mtk
        New documentation for the glibc-specific fmemopen() and
        open_memstream().  Based on glibc info page.

pipe.7
    mtk (with prompting and suggestions for improvements by
    Michael Haardt)
        New page providing overview of pipes and FIFOs.


Changes to individual pages
---------------------------

HOWTOHELP
    mtk
        Added notes on how to write example programs for manual pages.

fork.2
    mtk
        Added pointers to examples of fork() in wait.2 and pipe.2.

pipe.2
    mtk
        Added an example program.
        Added SEE ALSO for new pipe.7 page.

wait.2
    mtk
        Added example program demonstrating use of fork() and waitpid().

carg.3
    Justin Pryzby
        Delete line that should have been deleted when applying
        2.08 fix for this page.

getaddrinfo.3
    mtk
        Rearranged EAI_* list alphabetically.

inet.3
    mtk
        Added GLIBC NOTES describing feature test macros required
        to expose declaration of inet_aton().

open_memstream.3
    mtk
        New link to new fmemopen.3.

fifo.4
    mtk
        Added SEE ALSO for new pipe.7 page.

environ.5
    mtk
        Removed BROWSER, since it seems not in fact to be common.

socket.7
    Urs Thuermann
        Added documentation of SO_TIMESTAMP.

tcp.7
    mtk
        Noted 200 millisecond ceiling imposed on TCP_CORK.

udp.7
    mtk
        Rearranged options into something approximating alphabetical order.


==================== Changes in man-pages-2.18 ====================

Released: 2005-12-15

Contributors
------------

The following people contributed notes, ideas, or patches that have
been incorporated in changes in this release:

Justin Pryzby <justinpryzby@users.sf.net>
Karsten Sperling <karsten.sperling@stud.uni-karlsruhe.de>
Martin (Joey) Schulze <joey@infodrom.org>
Mike Frysinger <vapier@gentoo.org>
Stefan Puiu <stefanpuiuro@yahoo.com>

Apologies if I missed anyone!


Global changes
--------------

Typographical or grammatical errors have been corrected in several
places.


Changes to individual pages
---------------------------

bind.2
    mtk
        Added mention of AF_INET6 address family.
        Added discussion of sockaddr structure and an example in the
        Unix domain.

recv.2
    mtk
        Put 'flags' list in alphabetical order.

send.2
    mtk
        Added cross-reference from discussion of MSG_MORE to UDP_CORK
        in udp(7).

        Put 'flags' list in alphabetical order.

err.3
    mtk
        Added CONFORMING TO section noting that these are
        non-standard BSDisms.

errno.3
    Justin Pryzby
        Added SEE ALSO for err.3.
        As per http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=306867

gethostbyname.3
    Martin (Joey) Schulze / mtk
        Added references to nsswitch.conf(5); remove cross references
        to resolv+(8).
        See also http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=308397

perror.3
    Justin Pryzby
        Added SEE ALSO for err.3 .
        http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=306867

resolver.3
    mtk / Martin (Joey) Schulze
        Remove cross references to resolv+(8); add cross references to
        resolv.conf(5).
        See also http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=214892

        Added SEE ALSO entry for resolver(5);
        see http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=251122

strerror.3
    mtk / Stefan Puiu
        Rewrote and extended the discussion of the two flavors of
        strerror_r(), and added some additional information on
        strerror().
    Justin Pryzby
        Added SEE ALSO for err.3, as per
        http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=306867


elf.5
    Mike Frysinger
        Fix three typos in identifier names.

operator.7
    Karsten Sperling
        The + operator should be in the list of unary operators.

raw.7
    mtk
        Small wording changes around discussion of SO_BSDCOMPAT.
        Fixed a couple of wording errors elsewhere.
        Reformatted some long lines.

socket.7
    mtk, after a note by Stefan Puiu
        Updated discussion of SO_BSDCOMPAT.

        Reformatted some long lines.

        Noted the Linux-specific feature whereby setsockopt() doubles
        the value given for SO_SNDBUF and SO_RCVBUF.

        Noted kernel-imposed minimum values for SO_SNDBUF and SO_RCVBUF.

udp.7
    mtk, after a note by Stefan Puiu
        Updated discussion of SO_BSDCOMPAT.

unix.7
    mtk
        Added new (UN)SUPPORTED FEATURES section in which it is noted
        that Unix domain sockets do not support MSG_OOB or MSG_MORE.

        Noted details of SO_SNBUF and SO_RCVBUF support for
        Unix domain sockets.


==================== Changes in man-pages-2.19 ====================

Released: 2005-12-23

Contributors
------------

The following people contributed notes, ideas, or patches that have
been incorporated in changes in this release:

Andries Brouwer <Andries.Brouwer@cwi.nl>
Walter Harms <walter.harms@informatik.uni-oldenburg.de>
Stefan Puiu <stefanpuiuro@yahoo.com>

Apologies if I missed anyone!


Global changes
--------------

Typographical or grammatical errors have been corrected in several
places.


Changes to individual pages
---------------------------

HOWTOHELP
    mtk
        Minor changes.

bind.2
    Stefan Puiu / mtk
        Remove text under EINVAL error: "This may change in the future:
        see linux/unix/sock.c for details."  This behavior has been
        unchanged for a long time, and seems unlikely to change.

        Add EADDRINUSE to errors.

send.2
    aeb
        Add cmsg(3) to SEE ALSO.

fopen.3
    Walter Harms / mtk
        Added description of 'x' mode character (exclusive open).

pipe.7
    mtk / aeb
        Some wording changes to description of pipes.


==================== Changes in man-pages-2.20 ====================

Released: 2006-01-03

Global changes
--------------

Typographical or grammatical errors have been corrected in several
places.


Changes to individual pages
---------------------------

sigaltstack.2
    mtk
        Added some text to explain the usual scenario in which
        sigaltstack() is employed.

getloadavg.3
    mtk
        Noted that this function is available since glibc 2.2.

strcpy.3
    mtk
        s/nulls/null bytes/

capabilities.7
    mtk
        Noted that capability bounding set appeared with kernel 2.2.11.

arp.7
icmp.7
ip.7
ipv6.7
netdevice.7
packet.7
raw.7
rtnetlink.7
socket.7
tcp.7
unix.7
udp.7
    mtk
        The only changes to these pages have been for formatting:
            -- Structure definitions were changed to K&R style
            -- Some long source lines were broken to fit into ~70
               character lines.
        No changes were made to the content of these pages (yet...).


==================== Changes in man-pages-2.21 ====================

Released: 2006-01-16

Contributors
------------

The following people contributed notes, ideas, or patches that have
been incorporated in changes in this release:

Andries Brouwer <Andries.Brouwer@cwi.nl>
Falk Hueffner <falk@debian.org>
Mike Frysinger <vapier@gentoo.org>
Senthil Kumar <senthilkumar_sen@hotpop.com>
Stefan Puiu <stefanpuiuro@yahoo.com>

Apologies if I missed anyone!


Global changes
--------------

dd.1 cp.1
truncate.2 gethostname.2 lseek.2 listxattr.2 readlink.2
sysfs.2 stat.2 ustat.2 uname.2 getdomainname.2
argz_add.3 asprintf.3 confstr.3 bstring.3 bzero.3 dlopen.3 fwide.3
gethostbyname.3 getline.3 getlogin.3 getnameinfo.3 getpass.3 hsearch.3
perror.3 printf.3 readdir.3 scanf.3 stpcpy.3 strdup.3 strfmon.3
strftime.3 string.3 strptime.3 sysconf.3 termios.3 ttyname.3
dsp56k.4 tty_ioctl.4
elf.5 proc.5 termcap.5
charsets.7 unix.7
    mtk
        Various pages use inconsistent terms for 'null byte' (which
        is the C99/SUSv3 term for the '\0' character).

        To rectify this the following changes were made in the above
        pages:

            Replace 'zero byte' with 'null byte'.
            Replace 'null character' with 'null byte'.
            Replace 'nulls' with 'null bytes'.
            Replace 'NUL-terminated' by 'null-terminated'.
            Replace 'NUL' by 'null byte'.
            Replace 'terminating NUL' by 'terminating null byte'.
            Replace 'final NUL' by 'terminating null byte'.
            Replace 'NUL character' by 'null byte'.

Various pages
    mtk
        Replace "SysV"/"SYSV" by "System V".

Typographical or grammatical errors have been corrected in several
places.


Changes to individual pages
---------------------------

capget.2
    mtk
        Noted bug that could wrongly cause EPERM in unprivileged
        capset() with 'pid' field == getpid().

epoll_ctl.2
    mtk
        Noted that EPOLLONESHOT was added in 2.6.2.

gethostname.2
    mtk
        Added GLIBC NOTES describing operation of glibc's
        gethostname() wrapper function.

mmap.2
    mtk / Mike Frysinger
        Clarify relationship between mmap2(2) and mmap64(3).
    mtk
        A few other small rewordings.

mmap64.3
    Mike Frysinger
        New link to mmap.2.

open.2
    mtk
        Added BUG noting that O_ASYNC can't be enabled via
        open(): fcntl() must be used for this purpose.

recv.2
    Stefan Puiu
        Relocate misplaced discussion of MSG_DONTWAIT.

dlopen.3
    mtk
        Rewrote discussion of dlopen() 'flag' argument;
        added descriptions of RTLD_NOLOAD, RTLD_DELETE,
        and RTLD_DEEPBIND.

        Noted use of atexit() to register a function that is
        automatically called when a library is unloaded.

fmemopen.3
    mtk
        Rewrote substantial parts of the page, and relicensed under GPL.

fseeko.3
    Mike Frysinger
        Add RETURN VALUE section.

getopt.3
    mtk
        Noted historical use of <stdio.h> to declare getopt().

qsort.3
    mtk / Falk Hueffner
        Clarify how strcmp() should be used as the 'compar'
        function by providing an example.
        As per http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=348072

proc.5
    mtk
        Noted that /proc/mounts is pollable since kernel 2.6.15.

        Documented /proc/PID/task.

        Noted that the contents of /proc/PID/{cwd,exe,fd,root,task}
        are not available if the main thread has terminated.

    Senthil Kumar
        Add pointer to random(4) for description of files under
        /proc/sys/kernel/random.

udp.7
    Stefan Puiu / mtk
        Small rewording of discussion of SO_BSDCOMPAT
        (add cross-ref to socket(7)).


==================== Changes in man-pages-2.22 ====================

Released: 2006-02-02

Contributors
------------

The following people contributed notes, ideas, or patches that have
been incorporated in changes in this release:

Alain Portal <aportal@univ-montp2.fr>
Andre Noll <maan@systemlinux.org>
Andries Brouwer <Andries.Brouwer@cwi.nl>
Colin Tuckley <colin@tuckley.org>
Stefan Puiu <stefanpuiuro@yahoo.com>
Thomas Hood <jdthood@yahoo.co.uk>
Thorsten Kukuk <kukuk@suse.de>
Walter Harms <walter.harms@informatik.uni-oldenburg.de>


Global changes
--------------

Typographical or grammatical errors have been corrected in several
places.

Changes to individual pages
---------------------------

mmap.2
    aeb / mtk
        Noted that portable applications should specify fd as -1
        when using MAP_ANONYMOUS.
        Some rewriting of description of MAP_ANONYMOUS.

rt_sigreturn.2
    Thorsten Kukuk
        New link to sigreturn.2.

rt_sigsuspend.2
    mtk
        New link to sigsuspend.2.

waitid.2
    mtk
        Noted that waitid() does not set infop->si_uid field on
        most other implementations.

getopt.3
    Walter harms / mtk
        Make clear that when calling getopt_long() and there are no
        short options, then 'optstring' should be "", not NULL.

openpty.3
    Thomas Hood / mtk
        In glibc 2.0.92, openpty() was modified to preferably open
        Unix 98 ptys instead of BSD ptys.

qsort.3
    mtk
        Small rewording under EXAMPLES.

strtol.3
strtoul.3
    Stefan Puiu
        s/string must begin/string may begin/

proc.5
    mtk
        Documented inotify files under /proc/sys/fs/inotify:
        max_queued_events, max_user_instances, and max_user_watches.


==================== Changes in man-pages-2.23 ====================

Released: 2006-02-10

Contributors
------------

The following people contributed notes, ideas, or patches that have
been incorporated in changes in this release:

Andi Kleen <ak@muc.de>
Britton Leo Kerin <bkerin_rb@letterboxes.org>
Dan Jacobson <jidanni@jidanni.org>
Justin Pryzby <justinpryzby@users.sourceforge.net>
Luc Van Oostenryck <lkml@looxix.net>
Kurt Wall <kwall@kurtwerks.com>
Martin (Joey) Schulze <joey@infodrom.org>
Matthias Andree <matthias.andree@gmx.de>
Robert Love <rlove@rlove.org>
Samuel Thibault <samuel.thibault@ens-lyon.org>
Urs Thuermann <urs@isnogud.escape.de>

Apologies if I missed anyone!

Global changes
--------------

Typographical or grammatical errors have been corrected in several
places.


New pages
---------

inotify_init.2
inotify_add_watch.2
inotify_rm_watch.2
    Robert Love, with some additions by mtk.
        New pages describing the inotify API.

mbind.2
get_mempolicy.2
set_mempolicy.2
    Andi Kleen, with additional work by mtk
        New pages describing the NUMA memory allocation policy API.
        Drawn from the set at ftp://ftp.suse.com/pub/people/ak/numa.

rtc.4
    Urs Thuermann, with additional work by mtk
        New page describing the real-time clock driver.

inotify.7
    mtk
        Overview of the inotify API.

Changes to individual pages
---------------------------

clone.2
    Andi Kleen
        On x86, clone() should not be called through vsyscall,
        but directly through "int $0x80".

fcntl.2
    mtk
        Small wording changes.

        Added cross-ref to inotify.7 under the description of dnotify.

kill.2
    mtk / Britton Leo Kerin
        Small wording change under NOTES to clarify
        what happens when a process sends a signal to itself.
        See http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=350236

mlock.2
    mtk / Matthias Andree
        Added BUGS txt on interaction between MCL_FUTURE and
        RLIMIT_MEMLOCK.
        See the following LKML thread:
        http://marc.theaimsgroup.com/?l=linux-kernel&m=113801392825023&w=2
        "Rationale for RLIMIT_MEMLOCK"

msgop.2
    mtk / Samuel Thibault
        Rewrote declaration of 'msgp' to be "void *" in response
        to http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=350884
        Various other wording fixes.

open.2
    mtk
        Clarify distinction between "file creation flags" and
        "file status flags".

read.2
    Justin Pryzby
        Add SEE ALSO for pread(2).
        As per http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=351873

sched_setaffinity.2
    mtk
        Major rewrite.

select.2
    mtk
        Added return types to prototypes for FD_SET(), FD_CLR(),
        FD_ZERO, and FD_ISSET().
        Other minor wording changes.

read.2
    mtk
        Add SEE ALSO for pwrite(2).
        (Analogous with read.2 change above.)

errno.3
    Kurt Wall / mtk
        Add Linux specific errors to this page.

localeconv.3
    mtk
        Added cross-ref to locale.7 for 'struct lconv' defn.
        Other minor wording changes.
    Martin (Joey) Schulze
        Added SEE ALSO refs for nl_langinfo.3
        As per http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=351831

scanf.3
    mtk / Justin Pryzby
        Minor formatting & wording fixes.

setlocale.3
    Martin (Joey) Schulze
        Added SEE ALSO refs for nl_langinfo.3
        As per http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=351831

proc.5
    mtk
        Migrated description of inotify files to the new inotify.7 page.

ascii.7
    Dan Jacobson / mtk
        Add text describing characters 001 to 037.
        See http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=342173

locale.7
    mtk
        Minor wording and formatting changes.


==================== Changes in man-pages-2.24 ====================

Released: 2006-02-17

Contributors
------------

The following people contributed notes, ideas, or patches that have
been incorporated in changes in this release:

Joerg Habenicht <habenich@planetserver.com>
Luc Van Oostenryck <lkml@looxix.net>
Mike Frysinger <vapier@gentoo.org>
Samuel Thibault <samuel.thibault@ens-lyon.org>

Apologies if I missed anyone!


New pages
---------

get_kernel_syms.2
create_module.2
delete_module.2
init_module.2
query_module.2
    FSF / mtk (with assistance of Luc Van Oostenryck)
        man-pages finally gets pages for these system calls, several
        of which are obsolete in Linux 2.6.
        Took the old GPLed pages dated 1996 and made a number of
        clean-ups and minor additions.


Global changes
--------------

various pages
    mtk
        Change "file name" to "filename"
        Change "path name" to "pathname"

stpncpy.3
strstr.3
strcmp.3
toupper.3
strlen.3
stpcpy.3
puts.3
strdup.3
strtok.3
isalpha.3
strspn.3
gets.3
strpbrk.3
    mtk after a suggestion from Samuel Thibault
        Added SEE ALSO pointers to wide character equivalent functions
        See http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=351996

Typographical or grammatical errors have been corrected in several
places.


Changes to individual pages
---------------------------

clone.2
    mtk
        Remove duplicate CLONE_STOPPED text.
        Commented out crufty text describing EINVAL error
        for the now obsolete CLONE_DETACHED flag.
        Under CLONE_SIGHAND, noted that 'flags' must also include
        CLONE_VM if CLONE_SIGHAND is specified.

fcntl.2
    mtk
        Under ERRORS: Separate out EAGAIN error for locking mmaped files.

inotify_add_watch.2
    mtk
        Minor wording fix.

msgop.2
    mtk
        Documented the EAGAIN error for msgrcv().

fnmatch.3
    Mike Frysinger / mtk
        Expand explanation of FNM_PATHNAME.

lockf.3
    Joerg Habenicht / mtk
        Fix up discussion of EAGAIN/EACCESS errors.


==================== Changes in man-pages-2.25 ====================

Released: 2006-03-02

Contributors
------------

The following people contributed notes, ideas, or patches that have
been incorporated in changes in this release:

James Peach <jpeach@samba.org>
Krzysztof Benedyczak <golbi@mat.uni.torun.pl>
Marten von Gagern <Martin.vGagern@gmx.net>
Michael Haardt <michael@moria.de>
Michael Wronksi <michal.wronski@gmail.com>

Apologies if I missed anyone!


New pages
---------

mq_close.3
mq_getattr.3
mq_notify.3
mq_open.3
mq_receive.3
mq_send.3
mq_unlink.3
    mtk
        New pages describing POSIX message queue API.

posix_fallocate.3
    mtk, after a suggestion by James Peach
        New page describing posix_fallocate().

mq_overview.7
    mtk
        New page giving overview of the POSIX message queue API.


Changes to individual pages
---------------------------

lseek.2
    Michael Haardt
        Add a case to the EINVAL error text.
    mtk
        Various minor wording fixes
        Added SEE ALSO referring to new posix_fallocate.3.

posix_fadvise.2
    mtk
        Added "#define _XOPEN_SOURCE 600" to prototype.
        Added SEE ALSO referring to new posix_fallocate.3.

proc.5
    mtk
        Migrated information on POSIX message queues to new mqueue.7 page.

inotify.7
    Marten von Gagern
        Fix thinko: s/assuming a non-blocking/assuming a blocking/


==================== Changes in man-pages-2.26 ====================

Released: 2006-03-21

Contributors
------------

The following people contributed notes, ideas, or patches that have
been incorporated in changes in this release:

Alain Portal <aportal@univ-montp2.fr>
Andi Kleen <ak@muc.de>
Andries Brouwer <Andries.Brouwer@cwi.nl>
Christoph Lameter <clameter@engr.sgi.com>
Hasso Tepper <hasso@estpak.ee>
Justin Pryzby <justinpryzby@users.sourceforge.net>
Martin (Joey) Schulze <joey@infodrom.org>
Nicolas François <nicolas.francois@centraliens.net>
Paul Brook <paul@nowt.org>
Siward de Groot <siward@wanadoo.nl>
Steve Beattie <sbeattie@suse.de>
Walter Harms <walter.harms@informatik.uni-oldenburg.de>

Apologies if I missed anyone!

Global changes
--------------

clone.2
getdents.2
gettid.2
llseek.2
mmap2.2
modify_ldt.2
pivot_root.2
quotactl.2
readdir.2
sysctl.2
syslog.2
tkill.2
    mtk, aeb, Steve Beattie
        Added comment in SYNOPSIS to note that syscall(2) may be
        preferable over _syscallN (see intro(2)).

Various minor formatting changes were done on a range of
pages in Section 7.  (No content was changed.)

New pages
---------

openat.2
    mtk
        New page describing openat(2), added in kernel 2.6.16,
        and some notes on rationale for the at*(2) system calls.

mbind.2
    Andi Kleen, Christoph Lameter, mtk
        Added MPOL_MF_MOVE and MPOL_MF_MOVE_ALL descriptions,
        from numactl-0.9.2 man page.
        Plus a few other smaller fixes.

fexecve.3
    mtk
        New page describing fexecve(3).

futimes.3
    mtk
        New page describing futimes(3).

Changes to individual pages
---------------------------

execve.2
    mtk
        Added SEE ALSO pointing to new fexecve.3.

intro.2
    mtk, aeb, Steve Beattie
        Added some notes on syscall(2) versus _syscall.

msgctl.2
msgget.2
msgop.2
    mtk
        Added SEE ALSO pointing to mq_overview.7.

open.2
    mtk
        Added SEE ALSO pointing to new openat.2.

        Split out part of the RETURN VALUE text into separate
        NOTES section.

        Modified wording referring to raw(8) to
        indicate that this interface is deprecated.

poll.2
    mtk
        Added discussion of ppoll(2), which is new in 2.6.16.

ppoll.2
    mtk
        New link to poll.2.

recvmsg.2
sendmsg.2
    mtk / Paul Brook
        Added text to note that although POSIX says msg_controllen
        should be socklen_t, glibc actually uses size_t.
        See http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=356502
        and the associated glibc bug report.
        http://sourceware.org/bugzilla/show_bug.cgi?id=2448
    mtk
        Various formatting fixes.

select.2
    mtk
        Updated to reflect the fact that pselect() has been implemented
        in the kernel in 2.6.16; various other minor wording changes.

        pselect() prototype needs "#define _XOPEN_SOURCE 600".

tempnam.3
    Justin Pryzby
        Clean up description of EEXIST error.
        http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=357893

unlink.2
    mtk
        Added a little extra text to clarify EISDIR vs EPERM.

utime.2
    mtk
        Added new SEE ALSO entry pointing to new futimes.3 page.

exec.3
    mtk
        Added SEE ALSO pointing to new fexecve.3.

shm_unlink.3
    mtk
        New link to shm_open.3 (should have been made when page
        was originally written).

swab.3
    Walter Harms
        Add needed "#define _XOPEN_SOURCE".

undocumented.3
    mtk
        Updated to remove a few function names that are now documented.

capabilities.7
    mtk
        Various changes to bring this page closer to
        current kernel versions.

inotify.7
    mtk
        Noted that glibc 2.4 is required to get glibc support
        for inotify.

mq_overview.7
    mtk
        Some rewording and added a few words about System V
        message queues.

netlink.7
    Hasso Tepper
        Substantial updates to various parts of this page.
    mtk, Alain Portal
        Minor fixes

pthreads.7
    mtk
        Updated to reflect that the NPTL limitation that only the main
        thread could call setsid() and setpgid() was removed in 2.6.16.

raw.7
    Hasso Tepper
        Removed text implying that only in kernel 2.2 does IP_HDRINCL
        prevent datagrams from being fragmented.

socket.7
    mtk
        Documented SO_SNDBUFFORCE and SO_RCVBUFFORCE socket options,
        new in 2.6.14.

        Placed socket options in alphabetical order.


==================== Changes in man-pages-2.27 ====================

Released: 2006-03-24

Contributors
------------

The following people contributed notes, ideas, or patches that have
been incorporated in changes in this release:

Andries Brouwer <Andries.Brouwer@cwi.nl>
Charles P. Wright <cwright@cs.sunysb.edu>
Christoph Lameter <clameter@sgi.com>
Chuck Ebbert <76306.1226@compuserve.com>
Daniel Jacobowitz <dan@debian.org>
Ingo Molnar <mingo@elet.hu>
Heiko Carstens <heiko.carstens@de.ibm.com>
Janak Desai <janak@us.ibm.com>
Paolo (Blaisorblade) Giarrusso <blaisorblade@yahoo.it>
Stefan Puiu <stefanpuiuro@yahoo.com>

Apologies if I missed anyone!


Global changes
--------------

man7/*
    mtk
        Various minor formatting changes were done on a range of
        pages in Section 7.  (No content was changed.)


New pages
---------

unshare.2
    mtk, with reference to documentation by Janak Desai
        New page describing unshare(2), added in kernel 2.6.16.


Changes to individual pages
---------------------------

clone.2
fork.2
vfork.2
    mtk
        Added SEE ALSO pointing to new unshare.2.

mbind.2
    Christoph Lameter
        MPOL_MF_MOVE_ALL requires CAP_SYS_NICE not CAP_SYS_RESOURCE.

mremap.2
    mtk
        Clarified the description of MREMAP_FIXED and restructured
        the text to reflect the fact that this flag is exposed
        by glibc since version 2.4.

ptrace.2
    Chuck Ebbert, with assistance from Daniel Jacobowitz,
    Paolo (Blaisorblade) Giarrusso, and Charles P. Wright;
    after a suggestion from Heiko Carstens.
        Document the following ptrace requests:
            PTRACE_SETOPTIONS (2.4.6)
                plus associated flags:
                    PTRACE_O_TRACESYSGOOD (2.4.6)
                    PTRACE_O_TRACEFORK (2.5.46)
                    PTRACE_O_TRACEVFORK (2.5.46)
                    PTRACE_O_TRACECLONE (2.5.46)
                    PTRACE_O_TRACEEXEC (2.5.46)
                    PTRACE_O_TRACEVFORKDONE (2.5.60)
                    PTRACE_O_TRACEEXIT (2.5.60)
            PTRACE_SETSIGINFO (2.3.99-pre6)
            PTRACE_GETSIGINFO (2.3.99-pre6)
            PTRACE_GETEVENTMSG (2.5.46)
            PTRACE_SYSEMU (since Linux 2.6.14)
            PTRACE_SYSEMU_SINGLESTEP (since Linux 2.6.14)

sched_get_priority_max.2
sched_setscheduler.2
sched_setparam.2
    mtk, Ingo Molnar
        Modified to document SCHED_BATCH policy, new in kernel 2.6.16.

        Text describing SCHED_BATCH was added to sched_setscheduler.2,
        and was drawn in part from Ingo Molnar's description in the
        mail message containing the patch that implemented this policy.

        Various other minor rewordings and formatting fixes.

proc.5
    mtk, using text from Documentation/filesystems/proc.txt
        Document /proc/sys/vm/drop_caches, new in kernel 2.6.16.
    mtk, using information from ChangeLog-2.6.14.
        Document /proc/PID/smaps, new in kernel 2.6.14.

capabilities.7
    mtk
        Noted affect of CAP_SYS_NICE for mbind(MPOL_MF_MOVE_ALL).

pthreads.7
    mtk
        Kernel 2.6.16 eliminated buggy behavior with respect to
        the alternate signal stack.


==================== Changes in man-pages-2.28 ====================

Released: 2006-03-31

Contributors
------------

The following people contributed notes, ideas, or patches that have
been incorporated in changes in this release:

Aleksandr Blokhin <sass@altlinux.ru>
Greg Johnson <gjohnson@lanl.gov>

Apologies if I missed anyone!


New pages
---------

sem_post.3
sem_getvalue.3
sem_close.3
sem_open.3
sem_destroy.3
sem_wait.3
sem_unlink.3
sem_init.3
sem_overview.7
    mtk
        New pages describing the POSIX semaphores API.

        These pages supersede and provide a superset of the information
        in the glibc (3thr) "semaphores(3)" manual page.


Changes to individual pages
---------------------------

ppoll.2
    Aleksandr Blokhin
        Fix broken link.

ptrace.2
    mtk
        Wrapped long lines (no content changes).

semctl.2
semget.2
semop.2
    mtk
        Add SEE ALSO pointing to the new sem_overview.7 page.

elf.5
    Greg Johnson
        Removed SEE ALSO reference to nonexistent core(5).


==================== Changes in man-pages-2.29 ====================

Released: 2006-04-06

Contributors
------------

The following people contributed notes, ideas, or patches that have
been incorporated in changes in this release:

Michael Haardt <michael@moria.de>
Roberto Jimenoca <robertojimenoca@terra.es>
Stefan Puiu <stefanpuiuro@yahoo.com>

Apologies if I missed anyone!


Global changes
--------------

getrlimit.2
prctl.2
sigaction.2
elf.5
signal.7
    mtk
        Added SEE ALSO entry referring to new core.5 page.


New pages
---------

mkdirat.2
    mtk
        New page describing mkdirat(2), new in 2.6.16.

mknodat.2
    mtk
        New page describing mknodat(2), new in 2.6.16.

core.5
    mtk
        New page describing core dump files.

mkfifoat.3
    mtk
        New page describing mkfifoat(3).


Changes to individual pages
---------------------------

accept.2
getpeername.2
getsockname.2
    Michael Haardt / mtk
        Document EINVAL error for 'len' argument < 0.

fcntl.2
    mtk
        Expanded discussion of mandatory locking.

getrlimit.2
    mtk
        Added BUGS text on 2.6.x handling of RLIMIT_CPU limit
        of zero seconds.  See
        http://marc.theaimsgroup.com/?l=linux-kernel&m=112256338703880&w=2

mkdir.2
    mtk
        Added SEE ALSO entry referring to new mkdirat.2.

mknod.2
    mtk
        Added SEE ALSO entry referring to new mknodat.2.

open.2
    mtk / Roberto Jimenoca
        Clarified discussion of file types affected by O_NONBLOCK.
        See http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=360243

openat.2
    mtk
        Rewrote NOTES describing rationale for openat().
        Various other minor changes.

recv.2
    Stefan Puiu
        Removed a misleading cross-ref to socket.2.

shmop.2
    mtk
        Since 2.6.17-rc1, shmdt() gives the error EINVAL in a further
        circumstance: if shmaddr is not aligned on a page boundary.

unshare.2
    mtk
        Remove text saying that specifying invalid flags "is likely
        to cause compatibility problems" since the kernel now
        (2.6.17-rc1) contains an explicit check for invalid bits
        with a consequent EINVAL error.

mkfifo.3
    mtk
        Added SEE ALSO entry referring to new mkfifoat.3.

proc.5
    mtk
        Information on core_pattern and core_uses_pid has
        been migrated to the new core.5 page.

ip.7
    Stefan Puiu
        Removed paragraph referring to obsolete ipchains / ipfw(4).

sem_overview.7
    mtk
        Add SEE ALSO entry referring to pthreads.7.


==================== Changes in man-pages-2.30 ====================

Released: 2006-04-17

Contributors
------------

The following people contributed notes, ideas, or patches that have
been incorporated in changes in this release:

Andre Lehovich <andrel@yahoo.com>
Andries Brouwer <Andries.Brouwer@cwi.nl>
Karel Kulhavy <clock@twibright.com>
Stefan Puiu <stefanpuiuro@yahoo.com>

Apologies if I missed anyone!


New pages
---------

linkat.2
    mtk
        New page describing linkat(), new in kernel 2.6.16

renameat.2
    mtk
        New page describing renameat(), new in kernel 2.6.16

symlinkat.2
    mtk
        New page describing symlinkat(), new in kernel 2.6.16

unlinkat.2
    mtk
        New page describing unlinkat(), new in kernel 2.6.16


Changes to individual pages
---------------------------

link.2
    mtk
        Added SEE ALSO entry pointing to new linkat.2 page.

openat.2
    mtk
        Added SEE ALSO entries pointing to new *at.2 pages.

rename.2
    mtk
        Added SEE ALSO entry pointing to new renameat.2 page.

rmdir.2
    mtk
        Added SEE ALSO entry pointing to new unlinkat.2 page.

symlink.2
    mtk
        Added SEE ALSO entry pointing to new symlinkat.2 page.

unlink.2
    mtk
        Added SEE ALSO entry pointing to new unlinkat.2 page.

termios.3
    mtk / Karel Kulhavy
        Document the feature test macros required to expose various flags.
    Karel Kulhavy
        Clarify 'speed' argument for cfsetispeed() text.
    Karel Kulhavy / mtk
        Note that LOBLK is not implemented on Linux.
    mtk
        Clarify arguments for cfsetspeed().
        Various formatting changes.

full.4
    Andre Lehovich
        Add a sentence describing the purpose of full(4).

core.5
    aeb / mtk
        Rework text describing circumstances in which
        core dump files are not produced.
    mtk / Stefan Puiu
        A core dump of a multithreaded process always includes the
        PID in the core filename.
    mtk / Stefan Puiu
        Eliminate some accidentally duplicated text.


==================== Changes in man-pages-2.31 ====================

Released: 2006-05-02

Contributors
------------

The following people contributed notes, ideas, or patches that have
been incorporated in changes in this release:

Joshua Kwan <joshk@triplehelix.org>
Justin Pryzby <justinpryzby@users.sourceforge.net>
Karel Kulhavy <clock@twibright.com>
Mark Glines <mark@glines.org>
Martin (Joey) Schulze <joey@infodrom.org>
Nishanth Aravamudan <nacc@us.ibm.com>
Reuben Thomas <rrt@sc3d.org>
Ryan S. Arnold <rsa@us.ibm.com>
Ulrich Drepper <drepper@redhat.com>

Apologies if I missed anyone!


Page renamings
--------------

The following pages have been relocated into section 7, since
that is their more natural home.  SEE ALSO references in various
other pages have been adjusted.

epoll.4
fifo.4
futex.4
complex.5
environ.5
        (many pages outside man-pages actually *expect*
        'environ' to be in Section 7.)

ipc.5
        renamed to svipc.7

".so" link files have been created to link the old file locations to the
new file locations.  These links are added just to ensure that cross
references from any other (non-man-pages) pages will remain valid;
eventually these links will be removed.


New pages
---------

fstatat.2
    mtk
        New page for fstatat(2), new in 2.6.16.

adjtime.3
    mtk
        New page for adjtime(3).

error.3
    Justin Pryzby / mtk
        New page describing error() and error_at_line()
        Fixes http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=186307

program_invocation_name.3
    mtk
        New page describing program_invocation_name and
        program_invocation_short_name variables.

sockatmark.3
    mtk
        New page for sockatmark(3).

ftm.7
    mtk
        New page describing feature test macros.

time.7
    mtk
        New page giving an overview of "time" on Linux systems.


Global changes
--------------

getgroups.2
wait4.2
chown.2
chdir.2
gettimeofday.2
initgroups.3
dirfd.3
    mtk
        Simplified wording around requirement for _BSD_SOURCE
        feature test macro.

times.2
time.2
gettimeofday.2
getitimer.2
nanosleep.2
ctime.3
rtc.4
    mtk
        Added SEE ALSO referring to new time.7.

err.3
errno.3
perror.3
strerror.3
    Justin Pryzby / mtk
        Add SEE ALSO referring to new error.3.

getdate.3
printf.3
scanf.3
    mtk
        Added SEE ALSO entry referring to setlocale.3.


Changes to individual pages
---------------------------

accept.2
    Mark Glines
        Remove mention of SOCK_RDM from this page, since this socket
        type does not support accept()ing connections.

adjtimex.2
    mtk
        Modified text referring to adjtime(); added SEE ALSO for new
        adjtime.3 page.

fsync.2
    mtk, after a note by Karel Kulhavy
        Rewrote most of the DESCRIPTION, as well as some other parts
        the page, to clarify use and operation of, and rationale for,
        fsync(2) and fdatasync(2).

getitimer.2
    mtk
        Updated discussion of maximum timer value to reflect the fact
        that the default jiffy is now 4 milliseconds.

        Added text to note that current incorrect behavior of
        normalizing tv_usec >= 1000000 will be repaired in a future
        kernel; applications should be fixed now.

gettimeofday.2
    Karel Kulhavy
        Point out more explicitly that 'tz' argument should
        normally be NULL.
    mtk
        Various other minor edits and formatting fixes.

mount.2
    mtk
        Since kernel 2.6.16, MS_NOATIME and MS_NODIRATIME are settable
        on a per-mount basis.
        Detail exactly which mount flags can be changed on MS_REMOUNT.

nanosleep.2
    mtk / Karel Kulhavy
        Clarify RETURN VALUE discussion.

openat.2
    mtk
        Add SEE ALSO reference pointing to new fstatat.2.

program_invocation_short_name.3
    mtk
        New link to new program_invocation_name.3.

recv.2
    mtk
        Added SEE ALSO for new sockatmark.3.

rmdir.2
    Joshua Kwan / Martin (Joey) Schulze / mtk
        Correct wording of EBUSY case.
    mtk
        Add ".." case to ENOTEMPTY error

select.2
    Karel Kulhavy
        Note more clearly that fd_set arguments can be NULL.
    mtk / Karel Kulhavy
        Improve opening paragraph describing purpose of select().
    mtk
        Various other minor edits and formatting fixes.

semget.2
    mtk / Nishanth Aravamudan
        Add text to noting that the initial values of semaphores
        in a new set are indeterminate.

shmget.2
    mtk
        Add text noting that contents of newly created segment are zero
        values.

sigwaitinfo.2
    mtk
        Noted that all threads should block signal being waited for.

stat.2
    Nishanth Aravamudan / mtk
        Added NOTE that st_size is always returned as zero for most
        /proc files.
    mtk
        Add SEE ALSO reference pointing to new fstatat.2.

syscall.2
    Justin Pryzby / mtk
        Remove bogus BUGS text.

utime.2
    mtk
        Various minor changes.

confstr.3
    mtk
        Rewrote RETURN VALUE discussion.
        Updated CONFORMING TO.
        Removed BUGS.

ctanh.3
    Martin (Joey) Schulze / mtk
        Fix errors in DESCRIPTION.

ctime.3
    mtk
        The range of tm_sec is 0..60 (not 0..61).

error_at_line.3
error_message_count.3
error_on_per_line.3
error_print_progname.3
    mtk
        New links to new error.3.

fmemopen.3
    mtk / Ryan S. Arnold
        Add text noting that explicitly controlling output buffering
        may be useful to catch errors on output operations on an
        fmemopen() stream.

getline.3
    Justin Pryzby
        Add SEE ALSO pointing to getline.3.
        See http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=364772

strtod.3
strtoul.3
    mtk
        Describe correct handling of errno in order to
        distinguish error from success after the call.

        Added EXAMPLE section which points to strtol.3 which provides
        an example of the use of the analogous strtol(3).

strtol.3
    mtk / Justin Pryzby
        Add an example program.
    mtk
        Describe correct handling or errno in order to
        distinguish error from success after the call.

tmpfile.3
    Reuben Thomas
        DESCRIPTION does not need to say "temporary file name"
        just "temporary file", since the name is in any case
        unavailable to the user.
        See http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=363518
    mtk
        In DESCRIPTION:
        Change /automatically deleted when the program terminates normally/
        to     /automatically deleted when the program terminates/
        since deletion occurs on both normal and abnormal termination.

ip.7
    Karel Kulhavy / mtk
        Various wording improvements and clarifications.

signal.7
    mtk / Ulrich Drepper
        Add text noting that a signal's disposition is process-wide,
        shared by all threads.
    mtk
        Add text on changing signal dispositions.
        Add text on "signal mask and pending signals".
        Other minor edits.

time.7
    mtk
        Added SEE ALSO for new adjtime.3.

ld.so.8
    Justin Pryzby
        Remove bogus duplicate line.


==================== Changes in man-pages-2.32 ====================

Released: 2006-05-13

Contributors
------------

The following people contributed notes, ideas, or patches that have
been incorporated in changes in this release:

Andries Brouwer <Andries.Brouwer@cwi.nl>
Johannes Weiner <root@hnaz.ath.cx>
Justin Pryzby <justinpryzby@users.sourceforge.net>
Karel Kulhavy <clock@twibright.com>
Paul Brook <paul@nowt.org>
Pavel Heimlich <tropikhajma@seznam.cz>

Apologies if I missed anyone!


New pages
---------

faccessat.2
    mtk
        New page for faccessat(2), new in 2.6.16.

fchmodat.2
    mtk
        New page for fchmodat(2), new in 2.6.16.

fchownat.2
    mtk
        New page for fchownat(2), new in 2.6.16.

futimesat.2
    mtk
        New page for futimesat(2), new in 2.6.16.


Changes to individual pages
---------------------------

access.2
    mtk
        Add SEE ALSO reference pointing to new faccessat.2 page.

capget.2
    mtk
        Reworded to reflect that capabilities are per-thread.

chmod.2
    mtk
        Add SEE ALSO reference pointing to new fchmodat.2 page.

chown.2
    mtk
        Add SEE ALSO reference pointing to new fchownat.2 page.

mmap.2
    mtk
        Updated discussion of MAP_NORESERVE since it is no longer
        restricted to MAP_PRIVATE mappings.
        Add reference to discussion of /proc/sys/vm/overcommit_memory
        in proc.5.

openat.2
    mtk
        Add SEE ALSO reference pointing to new faccessat.2, fchmodat.2,
        fchownat.2, futimesat.2 pages.

shmget.2
    mtk
        Document SHM_NORESERVE flag, new in 2.6.15.

truncate.2
    Paul Brook / mtk
        Expand text noting that ftruncate()/truncate() may fail if
        asked to extend a file beyond its current length.
        Add EPERM error.

utime.2
    mtk
        Add SEE ALSO reference pointing to new futimesat.2 page.

fopen.3
    Justin Pryzby / mtk
        Document 'm' (mmap) flag.
        http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=365754
    mtk
        Document 'c' (notcancel) flag.

futimes.3
    mtk
        Add SEE ALSO reference pointing to new futimesat.2 page.

qsort.3
    Johannes Weiner
        Add missing "const" qualifies to cast in EXAMPLE.
    mtk
        Slight rewording of comments in EXAMPLE.

termios.3
    Karel Kulhavy
        Clarify meaning of IXANY.
        Clarify relationship of MIN with VMIN and TIME with VTIME.
    mtk
        Noted that CIBAUD, OFDEL, and DELECHO are not implemented
        on Linux.
        Added explanatory paragraph for phrases "not in POSIX" and
        "XSI".

capabilities.7
    mtk
        Reworded to reflect that capabilities are per-thread.
        Add ioprio_set() to list of operations permitted by
        CAP_SYS_NICE.
        Add ioprio_set() IOPRIO_CLASS_RT and IOPRIO_CLASS_IDLE
        scheduling classes to list of operations permitted by
        CAP_SYS_ADMIN.
        Note effects of CAP_SYS_NICE for migrate_pages().


==================== Changes in man-pages-2.33 ====================

Released: 2006-05-23

Contributors
------------

The following people contributed notes, ideas, or patches that have
been incorporated in changes in this release:

Andries Brouwer <Andries.Brouwer@cwi.nl>
Justin Pryzby <justinpryzby@users.sourceforge.net>
Martin Osvald" <martin.osvald@gmail.com>
Stefan Puiu <stefanpuiuro@yahoo.com>

Apologies if I missed anyone!


Page renamings
--------------

ftm.7
    mtk / Stefan Puiu
        renamed to the more suggestive feature_test_macros.7


New pages
---------

mq_getsetattr.2
    mtk
        New page briefly describing mq_getsetattr(2), the system
        call that underlies mq_setattr(3) and mq_getattr(3).

rpmatch.3
    Justin Pryzby / mtk
        New page for rpmatch(3).


Changes to individual pages
---------------------------

chmod.2
    mtk
        Remove mention of non-standard S_IREAD, S_IWRITE, S_IEXEC.
        POSIX does now document ELOOP.

open.2
    mtk
        Remove mention of non-standard S_IREAD, S_IWRITE, S_IEXEC.

mmap.2
    Justin Pryzby
        Add mincore(2) to SEE ALSO.
        See http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=367401

msync.2
    Justin Pryzby
        Note that EINVAL can also be caused by
        flags == MS_SYNC | MS_ASYNC.

sched_setaffinity.2
    mtk
        Add CPU_ISSET, CPU_CLR, CPU_SET, CPU_ZERO to NAME section.

select.2
    mtk
        Various minor changes.

select_tut.2
    mtk
        Removed much material that is redundant with select.2.
        Various other changes.

umask.2
    mtk
        Substantial rewrite of description of 'mask'.

CPU_ISSET.3
CPU_CLR.3
CPU_SET.3
CPU_ZERO.3
    mtk
        New links to sched_setaffinity.2

FD_CLR.3
FD_ISSET.3
FD_SET.3
FD_ZERO.3
    mtk
        New links to select.2.

fts.3
    Justin Pryzby
        Add SEE also referring to ftw.3.

ftw.3
    Justin Pryzby
        Add SEE also referring to fts.3.

getline.3
    Justin Pryzby
        Various minor clarifications.

mkstemp.3
    mtk
        Clarify that O_EXCL is an open(2) flag.

mq_open.3
    Martin Osvald
        Fix prototype declaration for 'attr'.

mq_notify.3
    Martin Osvald
        s/sigev_signal/sigev_signo/

mq_setattr.3
    mtk
        New link to mq_getattr.3.

mq_timedreceive.3
    mtk
        New link to mq_receive.3.

mq_timedsend.3
    mtk
        New link to mq_send.3.

setlocale.3
    Justin Pryzby
        Added SEE ALSO referring to rpmatch.3.

sigandset.3
sigisemptyset.3
sigorset.3
    mtk
        New links to sigsetops.3.

stdio.3
    Justin Pryzby
        Added SEE ALSO referring to unlocked_stdio.3
        See http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=367667

strchr.3
    Justin Pryzby
        Add description of strchrnul().

strchrnul.3
    mtk
        New link to strchr.3.

undocumented.3
    Justin Pryzby / mtk
        Updated to remove some functions that don't exist, and
        therefore don't need to be documented.
        See http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=367671

unlocked_stdio.3
    Justin Pryzby
        Added SEE ALSO referring to stdio.3
        See http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=367667

mq_overview.7
    mtk
        Added section describing relationship between library
        interfaces and system calls.
        Added SEE ALSO referring to new mq_getsetattr.2.

feature_test_macros.7
    Stefan Puiu
        Fix typo: s/_POSIX_C_SOURCE/_POSIX_SOURCE/


==================== Changes in man-pages-2.34 ====================

Released: 2006-06-20

Contributors
------------

The following people contributed notes, ideas, or patches that have
been incorporated in changes in this release:

Aristeu Sergio Rozanski Filho <aris@cathedrallabs.org>
bert hubert <bert.hubert@netherlabs.nl>
Chris Curtis <chris.curtis@riptidesoftware.com>
Eduardo Madeira Fleury <efleury@br.ibm.com>
Joerg Scheurich <rusmufti@helpdesk.bera.rus.uni-stuttgart.de>
Justin Pryzby <justinpryzby@users.sf.net>
Kenichi Okuyama <okuyama.kenichi@oss.ntt.co.jp>
Marc Lehmann <debian-reportbug@plan9.de>
Martin (Joey) Schulze <joey@infodrom.org>
Mats Wichmann <mats.d.wichmann@intel.com>
Mike Frysinger <vapier@gentoo.org>
Peter Eiserloh <eiserlohpp@yahoo.com>
Stefan Puiu <stefanpuiuro@yahoo.com>
Thomas Dickey <dickey@radix.net>
Walter Harms <wharms@bfs.de>

Apologies if I missed anyone!


Global changes
--------------

tzselect.8
zdump.8
zic.8
    mtk, Joey
        Added header comment noting that these pages are in the public
        domain.

bindresvport.3
getrpcent.3
getrpcport.3
rpc.3
xdr.3
rpc.5
    mtk, aeb, Joey
        Added following to top of these pages to clarify origin and
        license:
        .\" This page was taken from the 4.4BSD-Lite CDROM (BSD license)

New pages
---------

ioprio_set.2
    Eduardo Madeira Fleury, with edits by mtk, and review by Jens Axboe
        New page for ioprio_get(2) and ioprio_set(2), new in 2.6.13.

offsetof.3
    Justin Pryzby / mtk
        New page describing offsetof() macro.


Changes to individual pages
---------------------------

_exit.2
    mtk
        Add SEE ALSO referring to exit_group.2.

acct.2
    mtk
        Add SEE ALSO referring to acct.5.

fcntl.2
    mtk
        Explicitly mention term "dnotify" in discussion of F_NOTIFY.

inotify_add_watch.2
    Aristeu Sergio Rozanski Filho / mtk
        s/<inotify.h>/<sys/inotify.h>/ in prototypes.
        See http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=369960
    mtk
        Renamed argument from 'path' to 'pathname'.
        Reword introductory paragraph to clarify that
        inotify_add_watch() may also modify an existing watch item.
    mtk
        The EINVAL error can also occur if 'fd' is not an inotify
        file descriptor.
    mtk
        Moved BUGS section from this page to inotify.7.

inotify_init.2
    Aristeu Sergio Rozanski Filho / mtk
        s/<inotify.h>/<sys/inotify.h>/ in prototypes.
        See http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=369960

inotify_rm_watch.2
    Aristeu Sergio Rozanski Filho / mtk
        s/<inotify.h>/<sys/inotify.h>/ in prototypes.
        See http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=369960
    mtk
        The EINVAL error can also occur if 'fd' is not an inotify
        file descriptor.

ioprio_get.2
    mtk
        New link to new ioprio_set.2.

mmap.2
    mtk
        Add SEE ALSO referring to remap_file_pages.2.

mount.2
    Kenichi Okuyama
        s/MNT_FORCE/MNT_EXPIRE/ under EINVAL error.

mremap.2
    Mike Frysinger
        s/unsigned long flags/int flags/ in SYNOPSIS.

pipe.2
    mtk
        Add SEE ALSO referring to popen.3.

posix_fadvise.2
    mtk
        Add SEE ALSO referring to readahead.2.

read.2
    mtk
        SEE ALSO for readv should refer to Section 2, not 3.

readahead.2
    mtk
        Add SEE ALSO referring to posix_fadvise.2.

send.2
    Peter Eiserloh
        Fix missing arguments in statement about equivalent send()
        and sendto() calls.

setsid.2
    mtk
        Add SEE ALSO referring to tcgetsid.3.

shmctl.2
    mtk
        Minor wording change at start of DESCRIPTION.

stat.2
    mtk
        Add SEE ALSO referring to access.2.

statfs.2
    mtk
        Relocated "Note" about f_fsid.

write.2
    mtk
        SEE ALSO for writev should refer to Section 2, not 3.

__setfpucw.3
    mtk, Joey
        Added license statement (GPL) after consultation with
        Joerg Scheurich.

assert_perror.3
    Justin Pryzby
        Add #define _GNU_SOURCE to prototype

difftime.3
    Joey
        Added note about time_t representation on other systems.
        Added CONFORMING TO.

ftw.3
    Justin Pryzby / mtk
        A fairly major revision...
        Document FTW_ACTIONRETVAL; include .SH "RETURN VALUE";
        Reorganized and rewrote much of the page
        Added an example program.

inet.3
    Marc Lehmann
        Fixed typo in NOTES.
        http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=370277

isalpha.3
    Joey
        Updated CONFORMING TO.

mktemp.3
    mtk
        Updated CONFORMING TO.

printf.3
    Walter Harms
        Add documentation of %m.

readdir.3
    mtk
        Added SEE ALSO referring to ftw.3.

re_comp.3
    mtk
        Note that these functions are obsolete in favor of regcomp(3).
    Justin Pryzby
        Add SEE ALSO referring to regcomp.3

scandir.3
    Mats Wichmann
        Reworded CONFORMING TO statement on scandir() and alphasort().

strchr.3
    Stefan Puiu
        Fix prototype for strchrnul().

strtoul.3
    Stefan Puiu
        Add text clarifying treatment of strings starting with
        minus sign.

tmpnam.3
    mtk, after comments by Justin Pryzby
        Add text noting the need to use open(O_EXCL).
    mtk
        Clarify discussion of use of free(3).
        Various other minor changes to text and formatting.

tmpfile.3
    mtk
        Updated CONFORMING TO.

tmpnam.3
    mtk, after comments by Justin Pryzby
        Add text noting the need to use open(O_EXCL).
        Updated CONFORMING TO.

undocumented.3
    mtk
        Remove offsetof(), which is now documented.

null.4
    mtk
        Added SEE ALSO referring to full.4.

console_codes.4
    Thomas Dickey
        Various improvements and corrections.

epoll.7
    mtk
        Added CONFORMING TO section mentioning FreeBSD kqueue and
        Solaris /dev/poll.

feature_test_macros.7
    mtk
        Added pointer to location of LFS specification.

futex.7
    mtk, after suggestion by Joey.
        Added license statement to page, after discussion with
        original author, bert hubert.
    mtk
        Reformat long lines; no content changes.

inotify.7
    mtk
        'path' argument renamed to 'pathname'.
        A few minor rewordings.
        Added BUGS section describing a couple of bugs.

ip.7
    mtk
        Add SEE ALSO referring to byteorder.3.

man.7
    Justin Pryzby
        Add SEE ALSO referring to groff_man(7).
        http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=369253


==================== Changes in man-pages-2.35 ====================

Released: 2006-07-06

Contributors
------------

The following people contributed notes, ideas, or patches that have
been incorporated in changes in this release:

Alain Portal <aportal@univ-montp2.fr>
Andi Kleen <ak@suse.de>
Andrew Morton <akpm@osdl.org>
Bauke Jan Douma <bjdouma@xs4all.nl>
Davide Libenzi <davidel@xmailserver.org>
Denis Barbier <barbier@linuxfr.org>
Horacio Rodriguez Montero <Horacio.Rodriguez.Montero@galinter.com.ar>
Johan Lithander <johan.lithander@teligent.se>
Justin Pryzby <justinpryzby@users.sourceforge.net>
Mike Frysinger <vapier@gentoo.org>
Stefan Puiu <stefanpuiuro@yahoo.com>
Thorsten Kukuk <kukuk@suse.de>

Apologies if I missed anyone!


Global changes
--------------

Typographical or grammatical errors have been corrected in several
places.

New pages
---------

sync_file_range.2
    Andrew Morton / mtk
        New page for sync_file_range(2), new in kernel 2.6.17.

Changes to individual pages
---------------------------

adjtime.3
    mtk
        Noted BUG that occurs if 'delta' is specified as NULL.
        See http://bugzilla.kernel.org/show_bug.cgi?id=6761

bind.2
    Stefan Puiu
        Add EADDRNOTAVAIL error.
    Stefan Puiu / mtk
        Make example code more complete.

epoll_ctl.2
    mtk / Davide Libenzi
        Added EPOLLRDHUP description.
    mtk
        Added SEE ALSO referring to poll.2.

poll.2
    mtk / Davide Libenzi
        Added POLLRDHUP description.
    mtk
        The correct header file is <poll.h>, not <sys/poll.h>.
        Rewrote and reformatted various other parts.

readlink.2
    mtk
        Nowadays, readlink() returns 'ssize_t', as required in
        POSIX.1-2001.

wavelan.4
    mtk
        Added license statement.

nscd.conf.5
    Thorsten Kukuk
        Add documentation for various new fields.

passwd.5
    Horacio Rodriguez Montero
        Add explanation of 'x' character in 'password' field.
    mtk
        The proper name of "*" is "asterisk" not "star".

tcp.7
    Johan Lithander
        Update RFC reference for ECN.
    Andi Kleen
        Add sentence on "low memory" limit for tcp_mem on 32-bit systems.


==================== Changes in man-pages-2.36 ====================

Released: 2006-07-11

Contributors
------------

The following people contributed notes, ideas, or patches that have
been incorporated in changes in this release:

Alain Portal <aportal@univ-montp2.fr>
Jens Axboe <jans@suse.de>
Justin Pryzby <justinpryzby@users.sourceforge.net>
Kyle McMartin <kyle@mcmartin.ca>

Apologies if I missed anyone!

Global changes
--------------

Typographical or grammatical errors have been corrected in several
places.

New pages
---------

MAINTAINING
    mtk
        How to maintain man-pages.

TODO
    mtk
        Things that it would be nice to get done for man-pages one day.

scripts/FIXME_list.sh
    mtk
        This script, intended for use by manual page maintainers,
        displays the FIXMEs in the manual page source files.

Changes to individual pages
---------------------------

fdatasync.2
fsync.2
    mtk
        Added SEE ALSO referring to sync_file_range.2.

sendfile.2
    mtk / Jens Axboe
        Fix description of 'offset' argument to explain the case
        where 'offset' is NULL.

ferror.3
    Justin Pryzby
        Add SEE ALSO referring to fdopen.3.

intro.3
    mtk
        Removed information about Section 3 subsections -- it doesn't
        reflect current reality, and probably never has.

        Added SEE ALSO referring to intro.2.

tcp.7
    Kyle McMartin
        Correction: tcp_window_scaling is ENabled by default.


==================== Changes in man-pages-2.37 ====================

Released: 2006-08-02

Contributors
------------

The following people contributed notes, ideas, or patches that have
been incorporated in changes in this release:

Alain Portal <aportal@univ-montp2.fr>
Dean Gaudet <dean@arctic.org>
Frank van Viegen <F.C.vanViegen@UTwente.nl>
Helmut Grohne <helmut@subdivi.de>
Ivana Varekova <varekova@redhat.com>
Thomas Huriaux <thomas.huriaux@gmail.com>
Ville Skyttä <ville.skytta@iki.fi>

Apologies if I missed anyone!

Global changes
--------------

Thomas Huriaux / mtk

        Various formatting problems found as a result of reviewing the
        following command were fixed.

        for a in  $(wc -l man?/*.?| awk '$1 > 2 {print $2}' | grep -v total); do
            echo $a; groff -Tascii -wmac -mman $a > /dev/null;
        done 2>&1 | less

        See http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=378544

Typographical or grammatical errors have been corrected in several
places.

New pages
---------

readlinkat.2
    mtk (after prompting from Ivana Varekova)
        New page for readlinkat(2), new in kernel 2.6.16.

Changes to individual pages
---------------------------

ldd.1
    Ville Skyttä
        Document "-u" option.

chdir.2
    mtk
        Noted effect of fork() and execve() on current working directory.

chroot.2
    mtk
        Noted effect of fork() and execve() on root directory.

epoll_ctl.2
    Frank van Viegen / mtk
        Fix description of EBADF error.

exevce.2
    mtk
        Add text noting that effective IDs are copied to
        saved set-IDs during execve().
        See http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=379297

getitimer.2
    mtk
        Noted effect of fork() and execve() on interval timers.

getrlimit.2
    mtk
        Noted effect of fork() and execve() on resource limits.

getpriority.2
    mtk
        Noted effect of fork() and execve().

inotify_add_watch.2
    mtk
        Some rewording; included text describing required file
        permissions.

intro.2
    mtk
        Revised description of standards under CONFORMING TO.

makecontext.3
    Helmut Grohne / mtk
        Point out that args following 'argc' are int.
    mtk
        Added an example program.
        Various minor wording fixes.

mmap.2
    mtk
        Expand description of MAP_POPULATE.
    mtk, after prompting by Dean Gaudet
        Expand description MAP_NONBLOCK.
    mtk
        Various minor formatting fixes.

openat.2
    mtk
        Added SEE ALSO linking to readlinkat.2.

nanosleep.2
    mtk
        Noted buggy behavior in Linux 2.4 and earlier when
        nanosleep() is restarted after receiving stop+SIGCONT signals.

nice.2
    mtk
        Very minor rewording.

readlink.2
    mtk
        Added SEE ALSO linking to readlinkat.2.

sched_setscheduler.2
    mtk
        Noted preservation of scheduling parameters across execve().

setpgid.2
    mtk
        Noted effect of fork() and execve() on process group ID.

setsid.2
    mtk
        Noted effect of fork() and execve() on session ID.

umask.2
    mtk
        Noted effect of fork() and execve() on umask.

atexit.3
    mtk
        Noted inheritance of registrations across fork().

capabilities.7
    mtk
        Added material on privileges required for move_pages().
        CLONE_NEWNS needs CAP_SYS_ADMIN.
        keyctl(KEYCTL_CHOWN) and keyctl(KEYCTL_SETPERM) require
        CAP_SYS_ADMIN.


==================== Changes in man-pages-2.38 ====================

Released: 2006-08-03

Contributors
------------

The following people contributed notes, ideas, or patches that have
been incorporated in changes in this release:

Alain Portal <aportal@univ-montp2.fr>

Apologies if I missed anyone!

Global changes
--------------

Most pages
    mtk
        There was a major reworking of the CONFORMING TO sections
        in most manual pages.

        * generally try to rationalize the names used for standards.
          The preferred names are now documented as the head words
          of the list in standards(7).  For the future: there is
          probably no need to talk about anything more than
          C89, C99, POSIX.1-2001 (or later), xBSD, and SVr4.
          (In particular, I've eliminated most references to XPG
          and SVID, replacing them with references to SUS or SVr4.)

        * eliminate discussion of errors that can occur on other
          systems.  This information exists only patchily in the
          manual pages, is probably of limited use, is hard to maintain,
          and was in some cases simply wrong (and probably always was).

        * Tried to ensure that those interfaces specified in C99 or
          POSIX.1-2001 are marked as such in their manual pages.

intro.1
intro.2
intro.3
intro.4
intro.5
intro.7
feature_test_macros.7
    mtk
        Added SEE ALSO referring to new standards.7.

Various pages
    mtk
        Changed instances of "HP UX" to "HP-UX".

Various pages
    mtk
        Changed instances of "DG-UX to "DG/UX"

Typographical or grammatical errors have been corrected in several
places.

New pages
---------

standards.7
    mtk
        Based on material taken from intro.2, but expanded to
        include discussion of many additional standards.

Changes to individual pages
---------------------------

bind.2
    mtk
        Minor wording change for ENOTSOCK error.

intro.2
    mtk
        Removed information on standards to new standards.7.


==================== Changes in man-pages-2.39 ====================

Released: 2006-08-05

Contributors
------------

The following people contributed notes, ideas, or patches that have
been incorporated in changes in this release:

Alain Portal <aportal@univ-montp2.fr>

Apologies if I missed anyone!

Global changes
--------------

Various pages
    mtk
        Updated CONFORMING TO and/or standards references
        in various pages that were missed for 2.38.

Typographical or grammatical errors have been corrected in several
places.

Changes to individual pages
---------------------------


chdir.2
    mtk
        _XOPEN_SOURCE=500 also gets fchdir() prototype.

standards.7
    mtk
        Added a few more standards, and expand some explanations.


==================== Changes in man-pages-2.40 ====================

Released: 2006-09-04

Contributors
------------

The following people contributed notes, ideas, or patches that have
been incorporated in changes in this release:

Alain Portal <aportal@univ-montp2.fr>
Andi Kleen <ak@suse.de>
Andries Brouwer <Andries.Brouwer@cwi.nl>
Christoph Hellwig <hch@lst.de>
Chuck Ebbert <76306.1226@compuserve.com>
Samuel Thibault <samuel.thibault@ens-lyon.org>
Toralf Förster <toralf.foerster@gmx.de>

Apologies if I missed anyone!

Global changes
--------------

faccessat.2
fchmodat.2
fchownat.2
fstatat.2
futimesat.2
linkat.2
mkdirat.2
mknodat.2
openat.2
readlinkat.2
renameat.2
symlinkat.2
    mtk (after a note by Alain Portal)
        Make naming of 'pathname' argument consistent; various
        minor rewordings.

Typographical or grammatical errors have been corrected in several
places.

Changes to individual pages
---------------------------

clone.2
    mtk
        Reinstate text on CLONE_DETACHED, and add a few words.

execve.2
    mtk
        Added list of process attributes that are not preserved on exec().

fork.2
    mtk, after a suggestion by Christoph Hellwig
        Greatly expanded, to describe all attributes that differ
        in parent and child.

linkat.2
    mtk
        Document AT_SYMLINK_FOLLOW (new in 2.6.18).

set_mempolicy.2
    mtk / Andi Kleen
        Memory policy is preserved across execve().

write.2
    mtk / Alain Portal
        SEE ALSO for writev should refer to Section 2, not 3.
        (i.e., really make the change that was logged in 2.34)

getcwd.3
    Samuel Thibault / mtk
        Fix SYNOPSIS and CONFORMING TO text for getwd() and
        get_current_dir().
        See http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=381692

proc.5
    Chuck Ebbert
        Document /proc/PID/auxv.

capabilities.7
    Alain Portal
        Restore text accidentally deleted in 2.39.

regex.7
    mtk / Alain Portal
        Change references to "1003.2" to "POSIX.2".


==================== Changes in man-pages-2.41 ====================

Released: 2006-10-12

Contributors
------------

The following people contributed notes, ideas, or patches that have
been incorporated in changes in this release:

Andi Kleen <ak@suse.de>
Andries Brouwer <Andries.Brouwer@cwi.nl>
Andrew Morton <akpm@osdl.org>
Britton Leo Kerin <bkerin_rb@letterboxes.org>
Dan Jacobson <jidanni@jidanni.org>
Guillem Jover <guillem@hadrons.org>
Hrvoje Niksic <hniksic@xemacs.org>
Jens Axboe <axboe@suse.de>
Justin Pryzby <justinpryzby@users.sourceforge.net>
Kevin Ryde <user42@zip.com.au>
Marcel Holtmann <marcel@holtmann.org>
Senthil Kumar <senthilkumar_sen@hotpop.com>
Stefan Puiu <stefanpuiuro@yahoo.com>
Stuart MacDonald <stuartm@connecttech.com>
Trond Myklebust <trond.myklebust@fys.uio.no>

Apologies if I missed anyone!


Global changes
--------------

Typographical or grammatical errors have been corrected in several
places.


New pages
---------

splice.2
tee.2
vmsplice.2
    Jens Axboe / Michael Kerrisk
        See also:
            http://lwn.net/Articles/118760/
            http://lwn.net/Articles/178199/
            http://lwn.net/Articles/179492/
            http://kerneltrap.org/node/6505
            http://lwn.net/Articles/179434/

Changes to individual pages
---------------------------

ldd.1
    Stefan Puiu
        Note glibc version where "ldd -u" appeared.

execve.2
    mtk
        The PR_SET_NAME setting is not preserved across an execve().

fork.2
    mtk
        Mappings marked with madvise(MADV_DONTFORK) are not inherited
        by child.

getdtablesize.2
    mtk
        Noted that sysconf(_SC_OPEN_MAX) is preferred in portable
        applications.

getpagesize.2
    mtk
        Noted that sysconf(_SC_PAGE_SIZE) is preferred in portable
        applications.
        _SC_PAGE_SIZE is available on most systems.

madvise.2
    mtk
        Document MADV_REMOVE, new in 2.6.16.
        Document MADV_DONTFORK / MADV_DOFORK, new in 2.6.16.

mount.2
    mtk / Trond Myklebust
        MNT_FORCE can cause data loss.

mmap.2
    mtk
        Added note on Linux's old (pre-2.6.12) buggy treatment of
        length==0.
    Justin Pryzby / mtk
        Added some EINVAL errors.

mremap.2
    mtk
        Remove superfluous "#include <unistd.h>" from SYNOPSIS.

msync.2
    mtk
        Added EBUSY error for case where MS_INVALIDATE is applied to
        a locked region.

posix_fadvise.2
    Andrew Morton
        Since 2.6.18, POSIX_FADV_NOREUSE is a no-op.

prctl.2
    Marcel Holtmann / mtk
        Since kernel 2.6.18, setting 2 for PR_SET_DUMPABLE is no longer
        possible.
    Guillem Jover
        Updated Linux versions where the options where introduced.
        Added PR_SET_TIMING, PR_GET_TIMING, PR_SET_NAME, PR_GET_NAME,
        PR_SET_UNALIGN, PR_GET_UNALIGN, PR_SET_FPEMU, PR_GET_FPEMU,
        PR_SET_FPEXC, PR_GET_FPEXC.
    Michael Kerrisk
        Document PR_GET_ENDIAN and PR_SET_ENDIAN.

remap_file_pages.2
    mtk
        Add "#define _GNU_SOURCE" to SYNOPSIS.

sync_file_range.2
    mtk
        Noted that sync_file_range() appeared in kernel 2.6.17.

vfork.2
    mtk
        Noted interactions with fork handlers in multithreaded programs.

wait4.2
    mtk
        Added feature test macros to SYNOPSIS.

clog2.3
    mtk / aeb / Kevin Ryde
        Fix broken text in description.
        See http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=386214

clog10.3
    Kevin Ryde
        Fix broken text in description.
        See http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=386214

mq_receive.3
    Britton Leo Kerin
        Fix return type in SYNOPSIS; should be "ssize_t" not "mqd_t".
        See http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=387551

qsort.2
    Hrvoje Niksic
        Fix wording referring to the use of strcmp() in 'compar'
        function.
        See http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=391402

sendfile.2
    mtk
        Added SEE ALSO referring to new splice.2 page.

termios.3
    mtk
        Documented IUTF8 (which was new in kernel 2.6.4).

tzset.3
    mtk
        Added some TZ examples.
        See http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=386087

proc.5
    mtk
        Added delayacct_blkio_ticks (new in 2.6.18) to /proc/PID/statm.

ip.7
    Stuart MacDonald / Andi Kleen
        Fix discussion for TCP error queue /IP_RECVERR on TCP.

pthreads.7
    mtk
        Noted effect of RLIMIT_STACK resource limit for NPTL.

socket.7
    Senthil Kumar
        Place socket options in alphabetical order.


==================== Changes in man-pages-2.42 ====================

Released: 2006-11-24

Contributors
------------

The following people contributed notes, ideas, or patches that have
been incorporated in changes in this release:

Andrew Morton <akpm@osdl.org>
Chuck Ebbert <76306.1226@compuserve.com>
Doug Goldstein <cardoe@gentoo.org>
Eduard Bloch <blade@debian.org>
Evan Teran <eteran@alum.rit.edu>
Pavel Heimlich <tropikhajma@seznam.cz>
Petr Baudis <pasky@ucw.cz>
Randy Dunlap <rdunlap@xenotime.net>
Ulrich Drepper <drepper@redhat.com>

Apologies if I missed anyone!


Global changes
--------------

Typographical or grammatical errors have been corrected in several
places.


Changes to individual pages
---------------------------

brk.2
    Evan Teran / mtk
        Add text describing behavior of the Linux brk() system call
        and point out that the glibc brk() wrapper provides different
        behavior.
    mtk
        Note that sbrk() is implemented as a library function in glibc
        that calls the brk() system call.

futex.2
    mtk
        FUTEX_FD is scheduled for removal in June 2007.

getaddrinfo.3
getnameinfo.3
    Ulrich Drepper, with edits by mtk
        Add text describing Internationalized Domain Name
        extensions.

open.2
    mtk / Eduard Bloch
        Fix description of O_LARGEFILE to mention required feature test
        macros.

ptrace.2
    Chuck Ebbert
        Since Linux 2.6.18, the PID of the new process is also available
        for PTRACE_EVENT_VFORKDONE.

syslog.3
    Doug Goldstein
        Fix header file required for vsyslog() in SYNOPSIS.

wcwidth.3
    Petr Baudis
        Fix CONFORMING TO.

core.5
    mtk
        Linux 2.4.21 added core_pattern (which was already in 2.6).
        Noted a few more reasons why a core dump file might not
        be produced.


==================== Changes in man-pages-2.43 ====================

Released: 2006-11-29

Contributors
------------

The following people contributed notes, ideas, or patches that have
been incorporated in changes in this release:

Andi Kleen <ak@suse.de>
David Brownell <david-b@pacbell.net>
Eduard Bloch <blade@debian.org>
Egmont Koblinger <egmont@uhulinux.hu>
Reuben Thomas <rrt@sc3d.org>

Apologies if I missed anyone!


Global changes
--------------

Typographical or grammatical errors have been corrected in several
places.


Changes to individual pages
---------------------------

ioperm.2
    mtk
        Clarify discussion of privilege requirements.
        Added ENOMEM to ERRORS.

open.2
    mtk / Eduard Bloch
        Clarify description of O_LARGEFILE.

crypt.3
    Egmont Koblinger
        Make description of MD5 output string less ambiguous.

strerror.3
    Reuben Thomas
        Add C99 to CONFORMING TO; see
        http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=400634

rtc.4
    David Brownell

        Update the RTC man page to reflect the new RTC class framework:

        - Generalize ... it's not just for PC/AT style RTCs, and there
          may be more than one RTC per system.

        - Not all RTCs expose the same feature set as PC/AT ones; most
          of these ioctls will be rejected by some RTCs.

        - Be explicit about when {A,P}IE_{ON,OFF} calls are needed.

        - Describe the parameter to the get/set epoch request; correct
          the description of the get/set frequency parameter.

        - Document RTC_WKALM_{RD,SET}, which don't need AIE_{ON,OFF} and
          which support longer alarm periods.

        - Hey, not all system clock implementations count timer irqs any
          more now that the new RT-derived clock support is merging.

proc.5
    mtk
        s/fseek(3)/lseek(2)/ under /proc/PID/mem entry.

feature_test_macros.7
    mtk / Eduard Bloch
        The LFS spec is now at http://opengroup.org/platform/lfs.html

raw.7
udp.7
    Andi Kleen
        Describe the correct default for UDP/RAW path MTU discovery.


==================== Changes in man-pages-2.44 ====================

Released: 2007-04-04

Contributors
------------

The following people contributed notes, ideas, or patches that have
been incorporated in changes in this release:

Andre Majorel <aym-naideb@teaser.fr>
Benjamin Gilbert <bgilbert@cs.cmu.edu>
Carlo Marcelo Arenas Belon <carenas@sajinet.com.pe>
Chuck Ebbert <76306.1226@compuserve.com>
Ivana Varekova <varekova@redhat.com>
Jakub Jelinek <jakub@redhat.com>
John Ward <jward@idealcorp.com>
Jorge Peixoto de Morais Neto <jorgepeixotomorais@gmail.com>
Julien Blache <jblache@debian.org>
Julien Cristau <jcristau@debian.org>
Justin Pryzby <justinpryzby@users.sourceforge.net>
Martín Ferrari <martin.ferrari@gmail.com>
Mike Frysinger <vapier@gentoo.org>
Nick Piggin <npiggin@suse.de>
Nick Pollitt <npollitt@mvista.com>
Nicolas François <nicolas.francois@centraliens.net>
Pádraig Brady <P@draigBrady.com>
Premysl Hruby <dfenze@gmail.com>
Reuben Thomas <rrt@sc3d.org>
Samuel Thibault <samuel.thibault@ens-lyon.org>
Serge E. Hallyn <serge@hallyn.com>
Thomas Huriaux <thomas.huriaux@gmail.com>
Timo Sirainen <tss@iki.fi>
Val Henson <val_henson@linux.intel.com>

Apologies if I missed anyone!


New pages
---------

termio.7
    mtk, after a bit of prodding by Reuben Thomas
        A brief discussion of the old System V termio interface,
        with pointers to pages that will contain the information
        that the reader probably wants.

scripts/find_repeated_words.sh
    mtk
        Find consecutive duplicate words in a man page, some of
        which may be grammar errors.

Global changes
--------------

Various pages
    Justin Pryzby / mtk
        Add "#define _ATFILE_SOURCE" to SYNOPSIS in following pages:
            faccessat.2
            fchmodat.2
            fchownat.2
            fstatat.2
            futimesat.2
            linkat.2
            mkdirat.2
            mknodat.2
            openat.2
            readlinkat.2
            renameat.2
            symlinkat.2
            unlinkat.2
            mkfifoat.3

Various pages
    mtk
        Various references to "getty" were changed to "mingetty", since
        that is the manual page more likely to be found on current systems.

Various pages
    mtk, after a suggestion by Reuben Thomas <rrt@sc3d.org>
        Updated various header pages to accurately reflect which functions
        are and are not part of C89.  Also fixed/improved a few other
        CONFORMING TO entries.

Various pages
    mtk
        s/Unices/Unix systems/ on the 5 pages where it appears.

Various pages
    mtk
        Wrapped long source lines in the following files
            getsockopt.2
            mknodat.2
            io_setup.2
            select_tut.2
            select.2
            readlinkat.2
            io_cancel.2
            syslog.2
            wcsncat.3
            getipnodebyname.3
            cmsg.3
            wcpncpy.3
            wcsrtombs.3
            wcstok.3
            fgetwc.3
            wmemcmp.3
            wcsspn.3
            div.3
            modf.3
            stdio_ext.3
            ctermid.3
            des_crypt.3
            wcsncmp.3
            wmemchr.3
            wcsstr.3
            wmemcpy.3
            wprintf.3
            wcsnrtombs.3
            termios.3
            erf.3
            ceil.3
            lround.3
            nextafter.3
            wcsncpy.3
            wmemset.3
            getw.3
            console_ioctl.4
            sk98lin.4
            environ.7
            unix.7
            time.7

Various pages
    mtk
        Added a SEE ALSO reference for feature_test_macros(7) to all
        pages where a feature test macro appears in the SYNOPSIS.

Various pages
    mtk
        Added SEE ALSO entry pointing to time.7
            alarm.2
            nanosleep.2
            ualarm.3
            usleep.3

Various pages
    Justin Pryzby / mtk
        Fixed consecutive duplicate word typos on a number of pages.

Typographical or grammatical errors have been corrected in several
places.  (Special thanks to Nicolas François!)


Changes to individual pages
---------------------------

access.2
    mtk
        Since 2.6.20, access() honors the MS_NOEXEC mount flag.
    Jorge Peixoto de Morais Neto / mtk
        Improve ENOENT description.

clone.2
    mtk
        Added some detail to the prototype.
        Added some notes on IA-64's clone2().

epoll_ctl.2
    mtk
        Add text to note that EPOLLRDHUP appeared in kernel 2.6.17.

faccessat.2
    Justin Pryzby
        Various fixes as per
        http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=411177
        * s/effective/real/ in description text.
        * added <fcntl.h> to synopsis.
        * various other changes.

getrlimit.2
    mtk / Fedora downstream patches; thanks to Ivana Varekova
        Added a few words to note that RLIMIT_NPROC is really a limit on
        threads.

io_cancel.2
io_destroy.2
io_getevents.2
io_setup.2
io_submit.2
    Fedora downstream patches; thanks to Ivana Varekova
        s%linux/aio.h%libaio.h% in SYNOPSIS.
        Changed return type from "long" to "int".

mbind.2
    Samuel Thibault / mtk
        Fix EINVAL description.
        See http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=411777

mincore.2
    Nick Piggin
        Kernel 2.6.21 fixes several earlier bugs in mincore().
    Nick Pollitt
        Remove words "of a file" -- mincore() is describing
        memory residence information, not properties of a file.
    mtk
        Rewrote various parts to make the page clearer.

mmap.2
    mtk
        Rewrote and reorganized various parts to be clearer.
    Taken from Fedora downstream patches; thanks to Ivana Varekova
        Removed text stating that mmap() never returns 0; that's
        not true.

mount.2
    mtk / Val Henson
        Document MS_RELATIME, new in Linux 2.6.20.

open.2
    Andre Majorel / mtk
        On Linux, the error returned when opening a large file on a
        32-bit system is actually EFBIG, not EOVERFLOW.

posix_fadvise.2
    Pádraig Brady
        Fix RETURN VALUE description: returns error number of failure.

rename.2
    mtk / Timo Sirainen
        Various improvements to DESCRIPTION.
        See http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=416012

semop.2
    mtk
        If sops contains multiple operations, then these are performed
        in array order.  All Unix systems that I know of do this,
        and some Linux applications depend on this behavior.  SUSv3
        made no explicit statement here, but SUSv4 will explicitly
        require this behavior.
        Small rewording of explanation of "atomically".

signal.2
    Nicolas François
        Fix incorrect argument name in DESCRIPTION.
    mtk
        Small wording improvement.

socket.2
    Nicolas François
        Add reference to ipv6.7 page.

socketcall.2
    Nicolas François
        Fix .TH line.

splice.2
    Benjamin Gilbert
        Fix inconsistent argument names in SYNOPSIS and DESCRIPTION.

statvfs.2
    mtk
        Small wording clarification.

symlink.2
    mtk / Nicolas François
        Removed cryptic text under CONFORMING to referring to
        "open(2) and NFS".  There is no relevant text in open.2 as
        far as I (mtk) can see.

time.2
    mtk / Reuben Thomas
        Remove sentence "gettimeofday() obsoleting time() on 4.3BSD".
        This information is old, and probably no longer relevant.
        See http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=403888

write.2
    mtk, after an idea from a downstream Fedora patch.
        Clarified discussion of /count == 0/ case.

ptrace.2
    Chuck Ebbert
        When the parent receives an event with PTRACE_EVENT_* set,
        the child is not in the normal signal delivery path.  This
        means the parent cannot do ptrace(PTRACE_CONT) with a signal
        or ptrace(PTRACE_KILL).  kill() with a SIGKILL signal can be
        used instead to kill the child process after receiving one
        of these messages.

sched_setaffinity.2
    mtk
        Fix glibc version number in description of 'cpusetsize' argument.

vfork.2
    mtk
        Stripped some excess/outdated text from the BUGS section.

basename.3
    mtk / Jorge Peixoto de Morais Neto
        Add text to clarify that the pointer returned by these
        functions may be into some part of 'path'.

dlopen.3
    Taken from Fedora downstream patches; thanks to Ivana Varekova
    + Carlo Marcelo Arenas Belon
        Add "#include <stdlib.h>" to example program.

fclose.3
    mtk
        Complete rewrite.  The existing page was hard to read,
        and the RETURN VALUE description seems to be wrong.

getopt.3
    mtk
        Added getopt() example program.
    mtk
        Add a few words to clarify the operation of the GNU-specific
        double-colon feature, which allows options to have optional
        arguments.
        See http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=352139

glob.3
    Nicolas François
        Fix PROTOTYPE.

inet_network.3
    mtk, after an idea from a downstream Fedora patch.
        Clarified description of inet_network().

log.3
    Nicolas François
        Fix .TH line.

log10.3
    Nicolas François
        Fix .TH line.

malloc.3
    Nicolas François
        Small rewording to mention calloc().

posix_openpt.3
    Martín Ferrari
        Fix return type in SYNOPSIS; as per
        http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=400971
        Needs _XOPEN_SOURCE == 600; as per
        http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=400975
    Julien BLACHE
        s/ptsname/posix_openpt/ in RETURN VALUE

re_comp.3
    Taken from Fedora downstream patches; thanks to Ivana Varekova
        Add "#define _REGEX_RE_COMP" to SYNOPSIS.

regex.3
    Nicolas François
        Fix .TH line.

termios.3
    mtk
        Added .SS headers to give some structure to this page; and a small
        amount of reordering.
    mtk
        Added a section on canonical and non-canonical mode.
    mtk
        Enhanced the discussion of "raw" mode for cfmakeraw().
    mtk
        Document CMSPAR.
    mtk
        Make description of PARODD a little clearer.
    Reuben Thomas
        Add SEE ALSO link to tty_ioctl.4
    mtk
        Add SEE ALSO link to console_ioctl.4

ualarm.3
    mtk
        Removed BSD prototype from synopsis.
        Various rewordings.

usleep.3
    mtk
        Removed BSD prototype from synopsis.
        Various rewordings.

termcap.5
    Taken from Fedora downstream patches; thanks to Ivana Varekova
        s/curses/ncurses/ under SEE ALSO

bootparam.7
    Taken from Fedora downstream patches; thanks to Ivana Varekova
        Documented "mem=nopentium".

feature_test_macros.7
    mtk
        The default treatment of _POSIX_C_SOURCE changed in glibc 2.4.
    mtk, after a suggestion by Justin Pryzby
        Added some text warning that the "__" macros that
        <features.h> defines internally should never be
        directly defined by programs.
    mtk, based on notes by Jakub Jelinek
        Document _FORTIFY_SOURCE
        (See http://gcc.gnu.org/ml/gcc-patches/2004-09/msg02055.html )
    mtk
        Document _REENTRANT and _THREAD_SAFE.

mdoc.7
    mtk / Nicolas François
        Remove CONFIGURATION section, since this does not seem to be
        true for Linux.

svipc.7
    Nicolas François
        Fix data types in associated data structures;
        remove nonexistent semzcnt and semncnt fields.

time.7
    mtk
        Since kernel 2.6.20, the software clock can also be 300 HZ.


==================== Changes in man-pages-2.45 ====================

Released: 2007-04-05

Global changes
--------------

This release consists mainly of formatting fixes (to a large
number of pages) to achieve greater consistency across pages.
With the exception of the few individual changes noted below,
no changes were made to content.

Changes to individual pages
---------------------------

io_destroy.2
io_getevents.2
io_setup.2
io_cancel.2
io_submit.2
    mtk
        Clarified RETURN VALUE text

bindresvport.3
    mtk
        Rewrote prototype using modern C syntax.


==================== Changes in man-pages-2.46 ====================

Released: 2007-04-06

Global changes
--------------

This release consists mainly of formatting fixes (to a large
number of pages) to achieve greater consistency across pages:

* Most instances of two or more consecutive blank lines in man
  page output were shrunk to a single line.
* A number of example programs were reformatted
  to more closely match K&R style.
* In various places (mainly code examples), the use of tabs was
  replaced by spaces

With the exception of the few individual changes noted below,
no changes were made to content.


Changes to individual pages
---------------------------

bdflush.2
    mtk
        Add <sys/kdaemon.h> header file to SYNOPSIS.

sched_rr_get_interval.2
    mtk
        Moved timespec definition from SYNOPSIS into description.

select_tut.2
    mtk
        Make SYNOPSIS match select.2.


==================== Changes in man-pages-2.47 ====================

Released: 2007-05-04

Contributors
------------

The following people contributed notes, ideas, or patches that have
been incorporated in changes in this release:

Andi Kleen <andi@firstfloor.org>
John Heffner <jheffner@psc.edu>

Apologies if I missed anyone!


Global changes
--------------

This release consists mainly of changes to source file layout
(wrapped long lines; stripped trailing white space; started new
sentences on new lines).

There is very little change to output formatting or content (see the
notes below).


Changes to individual pages
---------------------------

sched_rr_get_interval.2
    mtk
        Remove crufty statement that this system call is not implemented.
        The nice interval can be used to control the size of
        the round-robin quantum.
        Corrected .TH line.

ip.7
    John Heffner / mtk
        Document IP_PMTUDISC_PROBE, which will be in 2.6.22.


==================== Changes in man-pages-2.48 ====================

Released: 2007-05-04

Contributors
------------

The following people contributed notes, ideas, or patches that have
been incorporated in changes in this release:

Colin Watson <cjwatson@debian.org>
Justin Pryzby <justinpryzby@users.sourceforge.net>

Apologies if I missed anyone!


Global changes
--------------

This release consists mainly of changes to source file layout
(wrapped long lines; stripped trailing white space; started new
sentences on new lines).

There is very little change to output formatting or content (see the
notes below).

Various pages
    mtk
        In various places where it occurred,
        s/nonnegative/non-negative/

Various pages
    mtk
        s/wide character/wide-character/ when used attributively.


Changes to individual pages
---------------------------

man.7
    Justin Pryzby / Colin Watson / mtk
        .SH doesn't require quotes.
        See http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=411303


==================== Changes in man-pages-2.49 ====================

Released: 2007-05-20

Contributors
------------

The following people contributed notes, ideas, or patches that have
been incorporated in changes in this release:

Akihiro MOTOKI <amotoki@dd.iij4u.or.jp>
Bruno Haible <bruno@clisp.org>
Justin Pryzby <justinpryzby@users.sourceforge.net>

Apologies if I missed anyone!


New pages
---------

bsd_signal.3
    mtk
        Documentation of bsd_signal().

euidaccess.3
    mtk
        Manual page for euidaccess() and eaccess().

getsubopt.3
    mtk / Justin Pryzby
        Documentation of getsubopt().

sysv_signal.3
    mtk
        Documentation of sysv_signal().


New links
---------

epoll_pwait.2
    mtk
        New link to epoll_wait.2.

eaccess.3
    mtk
        New link to new euidaccess.3,

sem_timedwait.3
    mtk
        New link to sem_wait.3.

sem_trywait.3
    mtk
        New link to sem_wait.3.


Global changes
--------------

Typographical or grammatical errors have been corrected in several
places.


Changes to individual pages
---------------------------

access.3
    mtk
        Added SEE ALSO ref to new euidaccess.3 page.

epoll_wait.2
    mtk
        Added description of epoll_pwait(), new in kernel 2.6.19.

execve.2
    mtk
        Add text noting that Linux allows 'argv' and 'envp' to be
        NULL, but warning that this is non-standard and non-portable,
        and should be avoided in portable programs.
        Bug filed (http://bugzilla.kernel.org/show_bug.cgi?id=8408)
        to get this changed, but maybe that won't be done because it
        is an ABI change.
    mtk
        Added an example program.
    mtk
        Expanded the discussion of interpreter scripts and the
        'optional-arg' argument of an interpreter script.
        For further info, see
        http://homepages.cwi.nl/~aeb/std/hashexclam-1.html
        http://www.in-ulm.de/~mascheck/various/shebang/
    mtk
        Added text noting that FD_CLOEXEC causes record locks to be
        released.
    mtk
        Mention effect of MS_NOSUID mount(2) flag for set-user-ID
        programs.
    mtk
        Expanded description of handling of file descriptors during
        execve(), adding text to note that descriptors 0, 1, and 2
        may be treated specially.

faccessat.3
    mtk
        Added SEE ALSO ref to new euidaccess.3 page.

mmap.2
    mtk
        Place MAP_* flags list in alphabetical order.

readv.2
    mtk
        A fairly substantial rewrite, which among other things
        fixes the problem reported by Kyle Sluder in
        http://bugzilla.kernel.org/show_bug.cgi?id=8399
        And added some example code.

sigaction.2
    mtk
        Added text referring to the discussion of async-signal-safe
        functions in signal(7).
        A few other minor formatting and wording changes.

signal.2
    mtk
        Moved the discussion of async-signal-safe functions to signal(7).
        Added text referring to the discussion of async-signal-safe
        functions in signal(7).
        Added SEE ALSO entries referring to new bsd_signal.3 and
        sysv_signal.3 pages.

copysign.3
    Bruno Haible
        Clarify discussion of negative zero.

getopt.3
    mtk
        Add SEE ALSO ref to new getsubopt.3.

iconv_open.3
    Bruno Haible
        Describe the glibc/libiconv //TRANSLIT and //IGNORE extensions
        for 'tocode'.

iswblank.3
    Bruno Haible
        Update CONFORMING TO; iswblank() is in POSIX.1-2001.

inotify.7
    mtk
        Definitions for IN_DONT_FOLLOW, IN_MASK_ADD, and IN_ONLYDIR
        were added to glibc in version 2.5.

signal.7
    mtk
        Incorporated (and slightly modified) the text on
        async-signal-safe functions that was formerly in signal(2).
        Added SEE ALSO entries referring to new bsd_signal.3 and
        sysv_signal.3 pages.


==================== Changes in man-pages-2.50 ====================

Released: 2007-05-21

Contributors
------------

The following people contributed notes, ideas, or patches that have
been incorporated in changes in this release:

Andreas Halter <halter@google.com>
Laird Shaw <netocrat@dodo.com.au>
Mike Frysinger <vapier@gentoo.org>

Apologies if I missed anyone!

Removed pages (!)
-----------------

Most Section 1 man pages are removed
    mtk (with help from Mike Frysinger, Laird Shaw, Andreas Halter)
        Once upon time Andries added a number of Section 1 manual pages
        to man-pages.  However, since that time, those pages have not
        seen much maintenance, and are not in fact distributed in most
        distributions.  Instead most distributions supply the
        coreutils versions of these pages, which are currently
        maintained.  In addition, man-pages provides the 1p pages,
        which document the portable subset of functionality of these
        commands.  Since the man1 pages are mostly unneeded, and
        out of date, I'm removing them.  The following pages disappear:

            chgrp.1
            chmod.1
            chown.1
            cp.1
            dd.1
            df.1
            diff.1
            dir.1
            dircolors.1
            du.1
            install.1
            ln.1
            ls.1
            mkdir.1
            mkfifo.1
            mknod.1
            mv.1
            rm.1
            rmdir.1
            touch.1
            vdir.1

        The following Section 1 pages will be kept:

            intro.1
            ldd.1
            time.1


==================== Changes in man-pages-2.51 ====================

Released: 2007-05-28

Global changes
--------------

Various pages
    mtk
        (Hopefully) all cross references outside a page now include a
        section number.  This should permit better resulting output
        from a man2html-type conversion.

Various pages
    mtk
        Convert function formatting of the form "\fBname\fP()" to
        ".BR name ()".


Changes to individual pages
---------------------------

futimesat.2
    mtk
        s/futimes/futimesat/ in .SH NAME line.

msgop.2
    mtk
        Put "msgrcv" and "msgsnd" in .SH NAME line.

mount.2
    mtk
        Add "umount2" to .SH NAME line.

wait.2
    mtk
        Add "waitid" to .SH NAME line.

getopt.3
    mtk
        Add "getopt_long" and "getopt_long_only" in .SH NAME line.

sem_wait.3
    mtk
        Add "sem_timedwait" and  "sem_trywait" to .SH NAME line.

stdarg.3
    mtk
        Add "va_start", "va_arg", "va_end", "va_copy" to .SH NAME line.


==================== Changes in man-pages-2.52 ====================

Released: 2007-05-29

    "A foolish consistency is the hobgoblin of little minds, adored by
     little statesmen and philosophers and divines"

        Ralph Waldo Emerson (1803-1882)

    "But damn it, these man pages are a mess!"


Global changes
--------------

Most of the changes below are about bringing greater consistency
to manual pages, including reducing the wide range of .SH
Section headings.

Typographical or grammatical errors have been corrected in several
places.

Various pages
    mtk
        Make 'manual' component of .TH line into the string
        "Linux Programmer's Manual".
        Reason: consistency.

Various pages
    mtk
        Changed date in .TH line into form YYYY-DD-MM.
        Reason: consistency.

Various pages
    mtk
        Some .SH header lines were made into .SS lines.  (One of the aims
        here is to reduce the number of non-standard .SH lines.)

Various pages
    mtk
        Change title .SH sections named "NOTE" to "NOTES", in some cases
        also changing the location of the section within the page.
        Reason: consistency.

Various pages
    mtk
        Commented out .SH AUTHOR sections; the right place for
        documentation authorship sections is usually comments at the
        top of the page source.

Various pages
    mtk
        Changed .SH HISTORY to .SH VERSIONS.
        Reason: in many cases, HISTORY was being used to describe
        Linux/glibc version information, as was already done for
        VERSIONS sections in other pages.

Various pages
    mtk
        Removed HISTORY section, or moved it as a subsection or paragraphs
        under another section e.g., NOTES.
        Reason: there are too many arbitrary section (.SH) names, and
        a HISTORY section never was consistently used across Linux
        manual pages.

Various pages
    mtk
        Moved SEE ALSO section to be last section on the page
        Reason: consistency -- and this is where SEE ALSO should be!

Various pages
    mtk
        Relocated GLIBC NOTES as subsection under NOTES
        Reason: reduce number of arbitrary section (.SH) names.

Various pages
    mtk
        Relocated LINUX NOTES as subsection under NOTES
        Reason: reduce number of arbitrary section (.SH) names.

Various pages
    mtk
        Renamed some "AVAILABILITY" sections to "VERSIONS".
        Reason: consistency.

Various pages
    mtk
        Renamed some "DIAGNOSTICS" sections to "RETURN VALUE".
        Reason: consistency.

getopt.3
tzselect.8
    mtk
        s/\.SH ENVIRONMENT VARIABLES/.SH ENVIRONMENT/
        Reason: consistency.

intro.2
select.2
sysctl.2
bsearch.3
dlopen.3
envz_add.3
fmtmsg.3
getgrent_r.3
getgrouplist.3
getpwent_r.3
getutent.3
hsearch.3
rtime.3
strptime.3
tsearch.3
vcs.4
wordexp.3
    mtk
        s/return 0/exit(EXIT_FAILURE)/ in main() of function example
        program.
        Reason: consistency.

mprotect.2
select_tut.2
dlopen.3
getgrent_r.3
getopt.3
getpwent_r.3
hsearch.3
select_tut.2
tsearch.3
    mtk
        Use symbolic constants (EXIT_SUCCESS, EXIT_FAILURE) in calls
        to exit().
        Reason: consistency.

access.2
chown.2
lseek.2
open.2
read.2
utmp.5
    mtk
        Renamed RESTRICTIONS section to NOTES, or moved text in a
        RESTRICTIONS section under existing NOTES section.
        Reason: consistency, and reduce number of arbitrary section (.SH)
        names.


Changes to individual pages
---------------------------

capget.2
    mtk
        s/\.SH FURTHER INFORMATION/.SH NOTES/

dup.2
    mtk
        s/\.SH WARNING/.SH NOTES/

kill.2
    mtk
        Renamed LINUX HISTORY section to LINUX NOTES, and relocated
        within page.

select_tut.2
    mtk
        Relocated example program and made its .SH title "EXAMPLE".

sigaltstack.2
    mtk
        Move code example into its own EXAMPLE section.

sigreturn.2
    mtk
        s/\.SH WARNING/.SH NOTES/

setuid.2
    mtk
        s/\.SH "LINUX-SPECIFIC REMARKS"/.SH LINUX NOTES/

shmget.2
    mtk
        Remove section about effect of fork()/exec()/exit(); shmop.2
        contains the same text, and it only needs to be said once.

shmop.2
    mtk
        Minor rewording under DESCRIPTION.

daemon.3
    mtk
        Minor wording and formatting changes.

encrypt.3
    mtk
        Removed statement that glibc unconditionally exposes declarations
        of encrypt() and setkey(), since portable applications must
        use <unistd.h> and define _XOPEN_SOURCE to obtain the declarations
        of setkey() and encrypt().  Adjusted example program accordingly.

mkstemp.3
    mtk
        Slight rewording.

LDP.7
    mtk
        Minor wording and formatting changes.

man.7
    mtk
        Substantial rewrite, revising and extending the discussion
        about desired conventions for writing pages.
        There will be further updates to this page in the next few
        man-pages releases.


==================== Changes in man-pages-2.53 ====================

Released: 2007-05-30

    "A foolish consistency is the hobgoblin of little minds, adored by
     little statesmen and philosophers and divines"

        Ralph Waldo Emerson (1803-1882)

    "But damn it, these man pages are a mess!"


Global changes
--------------

Many many pages
    mtk
        Reordered sections to be more consistent, in some cases renaming
        sections or shifting paragraphs between sections.

man7/*
    mtk
        In various pages in this section, .SH headings were
        converted to .SS.


==================== Changes in man-pages-2.54 ====================

Released: 2007-06-07

Contributors
------------

The following people contributed notes, ideas, or patches that have
been incorporated in changes in this release:

Emmanuel Mogenet <emogenet@google.com>
Michael Berg <michaeljberg@gmail.com>

Apologies if I missed anyone!


Global changes
--------------

Various pages
    mtk
        Where there is an instruction in the SYNOPSIS about linking
        or compiling with a certain option, the option is now
        marked up in italics (e.g., "\fI-lm\fP").

Various pages
    mtk
        Added page numbers to page cross references.

A few pages
    mtk
        s/manpage/man page/, for consistency.

Typographical or grammatical errors have been corrected in several
places.


New pages
---------

man-pages.7
    mtk
        A description of the conventions that should be followed
        when writing pages for the man-pages package.

Removed pages
-------------

man1/README
    mtk
        Already deleted most of the man1 pages previously, so
        this doesn't need to stay.

LDP.7
    mtk
        Removed this page since it is out of date, and the proper place
        to go for up-to-date information is http://www.tldp.org/

ksoftirq.9
    mtk
        Reason: this was the only Section 9 page, and it is old
        (Linux 2.4).  The man9 section never took off as an idea, and
        I see little point in keeping a Section 9 with just a single
        old page.


Changes to individual pages
---------------------------

HOWTOHELP
    mtk
        Moved some material out of here into new man-pages.7.

alloc_hugepages.2
    mtk
        Minor rewrites, eliminating some duplication, and removing
        some outdated text.

epoll_pwait.2
    Michael Berg
        Fix broken link path;
        http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=425570

fcntl.2
    mtk
        Remove misleading text about setting O_ASYNC when calling
        open(); one must use fcntl() F_SETFL for this task.

fdatasync.2
    mtk
        Converted outdated BUGS note about fdatasync() being
        equivalent to fsync() on Linux 2.2 into a NOTES note
        about this historical behavior.

futex.2
    mtk
        Small rewording to fix "fails with the error EWOULDBLOCK"
        rather than "returns EWOULDBLOCK".
        See Red Hat bug 172828.

mprotect.2
    mtk, after an observation by Emmanuel Mogenet
        A much improved example program.
    mtk
        Significant rewrites and additions to description.

mremap.2
    mtk
        Remove text about the nonexistent BSD mremap() -- too
        much information, in my opinion.

sched_yield.2
    mtk
        Added ERRORS section.

set_mempolicy.2
    mtk
        Moved text for "Versions and Library Support".

set_tid_address.2
    mtk
        Small rewording in RETURN VALUE section.

sigaction.2
    mtk
        Add EXAMPLE section with a pointer to example in mprotect.2.

sync_file_range.2
    mtk
        Fix return type in SYNOPSIS.  Add RETURN VALUE section.

atexit.3
    mtk
        Small rearrangement of text under NOTES.

bindresvport.3
    mtk
        Rewrite and substantial additional text.

exec.3
    mtk
        Minor clarifications for text on execlp() and execvp().  Removed
        FILES section, since it provides no useful additional info.

fenv.3
    mtk
        Moved link instructions from NOTES to SYNOPSIS.
        Added feenableexcept, fedisableexcept, fegetexcept
        to .SH NAME list.

fputwc.3
    mtk
        Added 'putwc' to .SH NAME list.

gethostbyname.3
    mtk
        s/int/socklen_t/ for type of gethostbyaddr() 'len' argument,
        and add a few more words in NOTES about the type used here.

login.3
    mtk
        Removed remark from NOTES about linking with -lutil; add
        text on that point to SYNOPSIS.

openpty.3
    mtk
        Removed redundant remark from NOTES about linking with -lutil
        since there is text on that point under SYNOPSIS.

sysconf.3
    mtk
        Added SEE ALSO referring to getconf(1).

unlocked_stdio.3
    mtk
        Revised .SH NAME section.

ascii.7
    mtk
        Minor rearrangement of order of text.

capabilities.7
    mtk
        s/exec()/execve(2)/ in various places.

complex.7
    mtk
        Changed "atan(1)" to "atan(1.0)" to prevent some versions of
        man2html(1) from mistaking that string as a page cross reference.

rtnetlink.7
    mtk
        Small restructuring to avoid 'cannot adjust line' from man(1).

ldconfig.8
    mtk
        Removed now very out-of-date sentence about need to link shared
        libraries with -lc.

man.7
    mtk
        Various text was moved out of this page into the new man-pages.7.

mdoc.7
    mtk
        Added SEE ALSO referring to new man-pages.7.

mdoc.samples.7
    mtk
        A few changes, hopefully done right, to eliminate some
        errors to stderr when rendering with man(1).

rtnetlink.7
    mtk
        Shorten a line in table so it fits in 80 columns.
        Minor rewording under BUGS.

tzselect.8
    mtk
        Moved EXIT STATUS section.


==================== Changes in man-pages-2.55 ====================

Released: 2007-06-10

Contributors
------------

The following people contributed notes, ideas, or patches that have
been incorporated in changes in this release:

Alexander Taboriskiy <alextab@math-solution.com>
Joey Hess <joeyh@debian.org>
John Reiser <jreiser@bitwagon.com>
Julien Cristau <jcristau@debian.org>
Justin Pryzby <justinpryzby@users.sourceforge.net>
Martin (Joey) Schulze <joey@infodrom.org>
Mike Frysinger <vapier@gentoo.org>
Serge van den Boom <svdb@stack.nl>
Ulrich Drepper <drepper@redhat.com>
Xose Vazquez Perez <xose.vazquez@gmail.com>

Apologies if I missed anyone!


Global changes
--------------

clone.2
getdents.2
gettid.2
ioprio_set.2
llseek.2
mmap2.2
modify_ldt.2
mq_getsetattr.2
pivot_root.2
quotactl.2
readdir.2
sysctl.2
syslog.2
tkill.2
    mtk, after a note by Mike Frysinger
        Updated to reflect the fact that the _syscallN() macros
        have gone away,

Several pages
    mtk
        Change reference to path_resolution.2 to path_resolution.7.

Typographical or grammatical errors have been corrected in several
places.


Moved pages
-----------

path_resolution.2 has been moved to section 7, thus path_resolution.7
    mtk
        Reason: this is an overview page, not one describing as
        a specific system call.


Changes to individual pages
---------------------------

MAINTAINING
    mtk, after a note from Xose Vazquez Perez
        Added pointer to Red Hat man-pages bugzilla.
    mtk
        Added a release philosophy note on separating out big
        formatting changes into their own release that contains minimal
        content changes.

accept.2
    mtk
        Add new EXAMPLE section with pointer to example in bind.2.

arch_prctl.2
    mtk
        Added RETURN VALUE section.

bind.2
    mtk
        Expand example program, and move it to new EXAMPLE section.
        Added text pointing to example in getaddrinfo.3.

cacheflush.2
    mtk
        Convert NOTES section to CONFORMING TO and note that
        this call is Linux-specific.
        Other minor rewordings.

connect.2
    mtk
        Added new EXAMPLE section pointing to example in getaddrinfo.3.

create_module.2
    mtk
        Add ENOSYS error.

fcntl.2
flock.2
    mtk
        Small rewrite of SEE ALSO text pointing to Documentation/* in
        kernel source.

get_kernel_syms.2
    mtk
        Added ERRORS heading
        Add ENOSYS error.

getdtablesize.2
    mtk
        Added an ERRORS section.

getsid.2
    mtk
        Added a RETURN VALUE section.

getpid.2
    mtk
        Added an ERRORS section (stating that the calls are
        always successful).

ioctl_list.2
    mtk
        Add SEE ALSO reference to ioctl.2.

listen.2
    mtk
        Add new EXAMPLE section with pointer to example in bind.2.

query_module.2
    Martin (Joey) Schulze
        Add ENOSYS error.

recv.2
    mtk
        Added new EXAMPLE section pointing to example in getaddrinfo.3.

sched_get_priority_max.2
sched_rr_get_interval.2
sched_setscheduler.2
sched_yield.2
    mtk
        Modified .TH line

send.2
    mtk
        Added new EXAMPLE section pointing to example in getaddrinfo.3.

set_tid_address.2
    mtk
        Added an ERRORS section (stating that the call is
        always successful).

signal.2
    mtk, after a note from Alexander Taboriskiy
        Strengthen warning against the use of signal().
        Added siginterrupt(3) to SEE ALSO list.
    mtk
        Rewrote various parts; added an ERRORS section.

socket.2
    mtk
        Added new EXAMPLE section pointing to example in getaddrinfo.3.

stat.2
    mtk
        Added EXAMPLE program.

syscall.2
    mtk
        Converted to -man format; some rewrites; added an EXAMPLE.

sysctl.2
    mtk
        Improved the example program.

getnameinfo.3
    mtk
        Add text pointing to example in getaddrinfo.3.

getaddrinfo.3
    mtk
        Add example programs.
        Add getnameinfo() to SEE ALSO list.

memmove.3
    mtk / Serge van den Boom
        Clarify discussion of what happens if 'src' and 'dest' overlap.

regex.3
    Justin Pryzby
        Add grep(1) to SEE ALSO list.

sigpause.3
    mtk after a note from Ulrich Drepper
        Clarify discussion of feature test macros that are needed to
        expose System V and BSD versions of this function in glibc.

undocumented.3
    mtk
        Removed some functions that have been documented.

wprintf.2
    Martin (Joey) Schulze
        Remove wscanf.3 from SEE ALSO list, since that page does not exist.

utmp.5
    Joey Hess
        Removed outdated note on xdm.
        See http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=418009
    Martin (Joey) Schulze
        Removed outdated note about Debian and libc5.

bootparam.7
    Martin (Joey) Schulze
        Fix order of commands listed under 'init='.

hier.7
    Joey Hess
        Add /media, remove /dos.
        See http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=418234

inotify.7
    mtk
        Added text describing what happens when the buffer given to
        read(2) is too small to return information about the next event,
        and noting the behavior change in 2.6.21.

man-pages.7
    mtk
        Added text to note that ERRORS list should be in alphabetical order.

mdoc.7
mdoc.samples.7
    mtk
        Added SEE ALSO reference to groff_mdoc(7).

unix.7
    mtk
        Added  EXAMPLE section with pointer to bind.2 EXAMPLE.

ld.so.8
    mtk
        Simplify text describing --inhibit-rpath.
    mtk, after a note by John Reiser
        Describe use of $ORIGIN in rpath.


==================== Changes in man-pages-2.56 ====================

Released: 2007-06-11

Global changes
--------------

Many pages
    mtk
        Removed version numbers in .TH lines.
        Reason: these were only arbitrarily updated, and so impart no
        useful information.  Version information goes into a
        VERSIONS section nowadays, and the date in the .TH line should
        be updated to reflect the date of the last (significant)
        change to the page.

Typographical or grammatical errors have been corrected in several
places.


==================== Changes in man-pages-2.57 ====================

Released: 2007-06-17

Contributors
------------

The following people contributed notes, ideas, or patches that have
been incorporated in changes in this release:

Samuel Thibault <samuel.thibault@ens-lyon.org>

Apologies if I missed anyone!


Global changes
--------------

Many pages
    mtk
        Fix section numbers in page cross references.


Changes to individual pages
---------------------------

access.2
    mtk
        Minor wording fixes.
        Small clarification of description of 'mode'.

bind.2
    mtk
        Small reworking of EXAMPLE program.

exit_group.2
    mtk
        Minor wording fixes.

exit.3
    mtk
        Added more detail on exit handlers.
        Minor wording fixes.

ioctl.2
    mtk
        Remove SEE ALSO reference to nonexistent mt.4.

modify_ldt.2
    Samuel Thibault / mtk
        In Linux 2.6, the 'modify_ldt_ldt_s' structure was renamed
        'user_desc'.
        See http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=378668
    mtk
        Include definition of 'user_desc' structure.
        Minor rewordings.

mprotect.2
    mtk
        Small reworking of EXAMPLE program.

sigaction.2
    mtk
        Removed reference to nonexistent sigsend(2).

a64l.3
    mtk
        Remove SEE ALSO reference to nonexistent itoa.3.

dysize.3
    mtk
        Removed SEE ALSO reference to nonexistent time.3.

encrypt.3
    mtk
        Removed SEE ALSO reference to nonexistent fcrypt.3.

fmemopen.3
    mtk
        Small reworking of EXAMPLE program.

fpurge.3
    mtk
        Remove SEE ALSO reference to nonexistent fclean.3.

getutent.3
    mtk
        s/ttyname(0)/ttyname(STDIN_FILENO)/ in program example.

vcs.4
    mtk
        s/exit(1)/exit(EXIT_FAILURE)/

environ.7
    mtk
        Correct some section numbers in page cross references.

man-pages.7
    mtk
        Modify requirements for example programs a little.

uri.7
    mtk
        Wrapped long source lines.


==================== Changes in man-pages-2.58 ====================

Released: 2007-06-24

Contributors
------------

The following people contributed notes, ideas, or patches that have
been incorporated in changes in this release:

Marc Boyer <marc.boyer@enseeiht.fr>
Mike Frysinger <vapier@gentoo.org>

Apologies if I missed anyone!


Global changes
--------------

Various pages, as detailed below
    mtk
        Added or updated VERSIONS sections.

killpg.2
setuid.2
faccessat.2
fork.2
setfsuid.2
kill.2
getsid.2
wait.2
execve.2
getpid.2
setgid.2
seteuid.2
setresuid.2
setfsgid.2
access.2
initgroups.3
euidaccess.3
tcgetpgrp.3
path_resolution.7
capabilities.7
unix.7
    mtk
        Add SEE ALSO link to new credentials.7.


New pages
---------

credentials.7
    mtk
        An overview of Linux process identifiers (PIDs, PPIDs,
        PGIDS, SIDs, UIDs, GIDs).


Changes to individual pages
---------------------------

bind.2
    mtk
        Added some comments to example program.

getxattr.2
    mtk
        VERSIONS: In kernel since 2.4; glibc support since 2.3.

listen.2
    mtk
        Updated discussion of somaxconn limit.

listxattr.2
    mtk
        VERSIONS: In kernel since 2.4; glibc support since 2.3.

posix_fadvise.2
    mtk
        VERSIONS: Glibc support has been provided since version 2.2.

readahead.2
    mtk
        Added VERSIONS section.

remap_file_pages.2
    mtk
        Updated VERSIONS section with text on glibc support.

removexattr.2
    mtk
        VERSIONS: In kernel since 2.4; glibc support since 2.3.

semop.2
    mtk
        Added VERSIONS section with info on semtimedop().

setxattr.2
    mtk
        VERSIONS: In kernel since 2.4; glibc support since 2.3.

dl_iterate_phdr.3
    mtk
        VERSIONS: Supported since glibc 2.2.4.

getloadavg.3
    mtk
        Added VERSIONS section.

posix_openpt.3
    mtk
        VERSIONS: Supported since glibc 2.2.1.

printf.3
    mtk after a suggestion by Mike Frysinger
        Add text to the introductory part of DESCRIPTION, about the
        'size' argument of snprintf() and vsnprintf().

shm_open.3
    mtk
        Added VERSIONS section; rewrote info about linking with -lrt.

strcat.3
    Marc Boyer
        Improve the discussion of strncat().

strcpy.3
    Marc Boyer
        Improve the discussion of strncpy().

proc.5
    mtk
        Added discussion of /proc/sys/net/core/somaxconn.


==================== Changes in man-pages-2.59 ====================

Released: 2007-06-25

Global changes
--------------

Manual pages are now standardized on American spelling.  See
http://en.wikipedia.org/wiki/American_and_British_English_spelling_differences
for more information on the differences.  Formerly, different pages (and
sometimes even a single page!) employed American and British spelling
conventions; best to standardize on one spelling, and American English
is the standard in Computer Science.

Changes to individual pages
---------------------------

man-pages.7
    mtk
        Note that man-pages has now standardized on American spelling
        conventions.

execve.2
getxattr.2
listxattr.2
removexattr.2
setxattr.2
signal.2
syscall.2
aio_cancel.3
bindresvport.3
stdarg.3
charmap.5
bootparam.7
ipv6.7
man.7
path_resolution.7
uri.7
nscd.8
    mtk
        Corrected minor spelling/wording mistakes (i.e., changes
        independent of fixes for American spelling).


==================== Changes in man-pages-2.60 ====================

Released: 2007-06-25


Global changes
--------------

Various pages
    mtk
        Wrapped lines in some files.

Various pages
    mtk
        Change "e.g. " to "e.g., ", or in some cases, "for example, ".

Various pages
    mtk
        Change "i.e. " to i.e., ", or in some cases, "that is, ".

Various pages
    mtk
        Removed AUTHORS section.

Typographical or grammatical errors have been corrected in several
places.


Changes to individual pages
---------------------------

vfork.2
    mtk
        s/w.r.t/with respect to/

man-pages.7
    mtk
        Strengthened warning against use of AUTHORS section.


==================== Changes in man-pages-2.61 ====================

Released: 2007-07-01


Contributors
------------

The following people contributed notes, ideas, or patches that have
been incorporated in changes in this release:

Alain Portal <aportal@univ-montp2.fr>
Benno Schulenberg <bensberg@justemail.net>
Florian Ernst <florian_ernst@gmx.net>
Ivana Varekova <varekova@redhat.com>
Jeff Schroeder <jeffschroeder@computer.org>
Joey (Martin) Schulze <joey@infodrom.org>
Justin Pryzby <justinpryzby@users.sourceforge.net>
Loïc Minier <lool@dooz.org>
Michael Gehring <mg@ebfe.org>
Serge van den Boom <svdb@stack.nl>
Stefan Puiu <stefanpuiuro@yahoo.com>
Stepan Kasal <kasal@ucw.cz>

Apologies if I missed anyone!


Global changes
--------------

Various pages
    mtk
        substitute `\\0' by '\\0'.

Various pages
    mtk
        s/`/'/ when the thing being quoted is a character.

accept.2
bind.2
connect.2
getsockopt.2
listen.2
socket.2
socketpair.2
    mtk after a note by Martin (Joey) Schulze
        Add NOTES paragraph noting that <sys/types.h> isn't required by
        POSIX.1-2001 or Linux, but was required on some implementations.

accept.2
getsockname.2
recv.2
vm86.2
send.2
getgrouplist.3
memmem.3
nsswitch.conf.5
putenv.3
wprintf.3
    mtk
        Replace form `...' with \fI...\fP where the enclosed string
        is a pathname, type name, or argument name.

A few files
    mtk
        s/process' /process's/

gets.3
qsort.3
getaddrinfo.3
rpc.3
ungetwc.3
wcsnrtombs.3
capabilities.7
    mtk
        Add section number to page cross references.

time.1
bind.2
pivot_root.2
sysctl.2
    mtk
        Reordered .SH sections.

full.4
mouse.4
random.4
sd.4
    mtk
        Made CONFIG/CONFIGURING heading ==> CONFIGURATION

time.1
console_codes.4
random.4
sk98lin.4
charmap.5
ftpusers.5
bootparam.7
charsets.7
glob.7
mq_overview.7
unicode.7
uri.7
utf-8.7
    mtk
        Reformatted headings


New pages
---------

backtrace.3
    mtk, with input from Justin Pryzby and Stefan Puiu
        Documents backtrace(), backtrace_symbols(), and
        backtrace_symbols_fd().


New links
---------

backtrace_symbols.3
backtrace_symbols_fd.3
    mtk
        Links to backtrace.3.

__clone.2
    Stepan Kasal
        Link to clone.2.


Changes to individual pages
---------------------------

Makefile
    Serge van den Boom
        Fix setting of 'prefix' macro.

eval.1p
    Benno Schulenberg
        Fix bad text (concatenated line).

chdir.2
    mtk
        Fixed description of EACCES error.
        Added sentence defining "current working directory".
        Other minor wording changes.

cfree.3
    mtk
        Added SEE ALSO section.

clone.2
    mtk
        s/clone2/__clone2/.

fdatasync.2
    mtk
        Minor wording changes.

fork.2
    Alain Portal
        Fix small wording error.

gethostid.2
    Stefan Puiu / mtk
        Add NOTES on what happens if gethostid() can't open /etc/hostid.

idle.2
    mtk
        Made NOTES text into a VERSIONS section, since that's what it
        really describes.

ioperm.2
    mtk
        Minor wording changes.

intro.2
    mtk
        Rewrite to reflect the fact that the _syscallN
        macros are no longer available.

io_cancel.2
    mtk
        Add "Link with -laio" to SYNOPSIS.

io_destroy.2
    mtk
        Add "Link with -laio" to SYNOPSIS.

io_getevents.2
    mtk
        Add "Link with -laio" to SYNOPSIS.

io_setup.2
    mtk
        Add "Link with -laio" to SYNOPSIS.

io_submit.2
    Ivana Varekova
        Fix include in SYNOPSIS.
    mtk
        Add "Link with -laio" to SYNOPSIS.

ipc.2
    mtk
        Add semtimedop() to SEE ALSO.
        Note that some architectures don't have ipc(2); instead
        real system calls are provided for shmctl(), semctl(), etc.

killpg.2
    mtk
        Minor wording changes.

listen.2
    mtk
        Added <sys/types.h> to SYNOPSIS.

sched_setscheduler.2
    mtk
        Add NOTES para about permissions required to call
        sched_setscheduler() on other systems.

select.2
    mtk
        Noted that 'timeout' can also be changed if select() is
        interrupted by a signal.

setup.2
    mtk
        Remove reference to _syscall0() macro.

shmop.2
    mtk
        Changed text for EINVAL error.

socketcall.2
    mtk
        Add recvmsg() and sendmsg() to SEE ALSO.
        Note that some architectures don't have socketcall(2); instead
        real system calls are provided for socket(), bind(), etc.

swapon.2
    Ivana Varekova  / mtk
        Update text for EPERM error describing the maximum number of
        swap files.  (From downstream Fedora patch.)

write.2
    mtk
        Added details about seekable files and file offset.
        Noted that write() may write less than 'count' bytes, and
        gave some examples of why this might occur.
        Noted what happens if write() is interrupted by a signal.
        Minor wording changes.

__setfpucw.3
    mtk
        Added a CONFORMING TO section; other minor edits.

confstr.3
    mtk
        Minor rewrites in code example.

ctime.3
    Justin Pryzby
        Make SEE ALSO refer to timegm.3

daemon.3
    mtk
        Small wording change.

dl_iterate_phdr.3
    Michael Gehring
        Comment was missing closing "*/".

dlopen.3
    mtk
        Formatting changes, and minor rewordings.
    mtk, after a note by Serge van den Boom
        Add a comment explaining the need for the rather
        strange cast of the return value of dlsym().

fpclassify.3
    mtk
        Add "isinf" to NAME section.

getgrouplist.3
    mtk
        Minor rewording.

getline.3
    mtk
        Minor rewording, and note that '*n* is ignored
        if '*lineptr' is NULL.

malloc.3
    Ivana Varekova  / mtk
        Update description of MALLOC_CHECK_ to include description
        for value 3.  (From downstream Fedora patch.)

netlink.3
    mtk
        Added a CONFORMING TO section; other minor edits.

openpty.3
    mtk
        Minor changes to SYNOPSIS.

program_invocation_name.3
    mtk
        Shortened page title to INVOCATION_NAME.

rtnetlink.3
    mtk
        Added a CONFORMING TO section; other minor edits.

scanf.3
    Florian Ernst
        Fix duplicated word "the".
        (Really fix http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=412467 !)

select_tut.3
    mtk
        Small wording change.

setnetgrent.3
    mtk
        Added a CONFORMING TO section.

sigpause.3
    mtk
        Added a CONFORMING TO section.

strftime.3
    Just Pryzby
        Small wording fix.
    mtk
        Note use of "gcc -Wno-format-y2k" to avoid the "`%c' yields only
        last 2 digits of year in some locales" warning.

strstr.3
    mtk
        Add "strcasestr" to NAME section.

syslog.3
    mtk
        Small wording change.


termios.3
    mtk
        Reformat SYNOPSIS.
        Added a CONFORMING TO section.

timegm.3
    mtk
        Small wording changes.

ulimit.3
    mtk
        Remove erroneous text saying that glibc does not provide
        <ulimit.h>; it does.

initrd.4
    mtk
        Various reformattings.

core.5
    mtk
        Added a sentence noting why core dumps named "core.PID" were useful
        with LinuxThreads.

bootparam.7
    mtk
        Fix capitalization in .SS headings.

epoll.7
    mtk
        Language clean ups.

feature_test_macros.7
    mtk
        Added SEE ALSO section.

mq_overview.7
    mtk
        Reformatted headings; minor rewrites.

sem_overview.7
    mtk
        Reformatted headings; minor rewrites.

socket.7
    Loïc Minier <lool@dooz.org>
        Document argument type for SO_REUSEADDR.
        See http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=255881

uri.7
    mtk
        Wrap long line in SYNOPSIS.

ldconfig.8
    mtk
        Added SEE ALSO section.


==================== Changes in man-pages-2.62 ====================

Released: 2007-07-09

This release consists solely of formatting fixes.  There are no changes
to content.

Contributors
------------

The following people contributed notes, ideas, or patches that have
been incorporated in changes in this release:

Stepan Kasal <kasal@ucw.cz>

Apologies if I missed anyone!


Global changes
--------------

Many many pages
    mtk
        Many many formatting fixes.

man[013]p/*
    Stepan Kasal
        Add section number to .TH line for POSIX pages in man[013]p.


==================== Changes in man-pages-2.63 ====================

Released: 2007-07-16


Contributors
------------

The following people contributed notes, ideas, or patches that have
been incorporated in changes in this release:

Arnd Bergmann <arndb@de.ibm.com>
Eduardo M. Fleury <efleury@br.ibm.com>
Ivana Varekova <varekova@redhat.com>
Justin Pryzby <justinpryzby@users.sourceforge.net>
Marc Boyer <marc.boyer@enseeiht.fr>
Martin (Joey) Schulze <joey@infodrom.org>
Martin Röhricht <martin@roehricht.info>
Patrick Mansfield <patmans@us.ibm.com>
Pierre Habouzit <madcoder@debian.org>
Stepan Kasal <kasal@ucw.cz>

Apologies if I missed anyone!


Global changes
--------------

gettimeofday.2
madvise.2
msgctl.2
select.2
semctl.2
shmctl.2
syslog.2
stat.2
a64l.3
printf.3
termios.3
xdr.3
sd.4
    mtk
        Minor wording changes.

obsolete.2
syscall.2
unimplemented.2
    mtk
        Added SEE ALSO reference to syscalls.2.


New pages
---------

sgetmask.2
    mtk
        A real man page for sgetmask(2) and ssetmask(2).
        (This page replaces a previous link of the same name, which
        linked to signal.2.)

spu_create.2
    Arnd Bergmann with additional work by Eduardo M. Fleury and mtk
        Document the PowerPC SPU spu_create() system call.
        (Originally taken from the kernel source file
        Documentation/filesystems/spufs.txt.)

spu_run.2
    Arnd Bergmann with additional work by Eduardo M. Fleury and mtk
        Document the PowerPC SPU spu_run() system call.
        (Originally taken from the kernel source file
        Documentation/filesystems/spufs.txt.)

spufs.7
    Arnd Bergmann with additional work by Eduardo M. Fleury and mtk
        Document the PowerPC SPU file system.
        (Originally taken from the kernel source file
        Documentation/filesystems/spufs.txt.)


Removed Pages
-------------

__clone.2
    mtk
        This file was created by accident in 2.61, as a copy of clone.2.
        (it should have been a link to clone.2.)

obsolete.2
    mtk
        Details on this page are covered in syscalls.2 and in
        respective syscall man pages (stat.2, uname.2).

undocumented.2
    mtk
        This page is very out of date, and in any case difficult
        to maintain.  Information about undocumented system calls
        is maintained in the HOWTOHELP file, and probably in other
        places soon.

killpg.3
    mtk
        This rather incomplete page seems unnecessary since there
        is a killpg.2.


New links
---------

chown32.2
fchown32.2
getegid32.2
geteuid32.2
getgid32.2
getgroups32.2
getresgid32.2
getresuid32.2
getuid32.2
lchown32.2
setfsgid32.2
setfsuid32.2
setgid32.2
setgroups32.2
setregid32.2
setresgid32.2
setresuid32.2
setreuid32.2
setuid32.2
    mtk
        Added as link to corresponding page without "32".

fcntl64.2
fstat64.2
fstatat64.2
fstatfs64.2
ftruncate64.2
getdents64.2
lstat64.2
pread64.2
pwrite64.2
sendfile64.2
stat64.2
statfs64.2
truncate64.2
    mtk
        Added as link to corresponding page without "64".

__clone2.2
clone2.2
    mtk
        Links to clone.2.

ugetrlimit.2
    mtk
        Link to getrlimit.2.

mq_notify.2
mq_open.2
mq_timedreceive.2
mq_timedsend.2
mq_unlink.2
    mtk
        Added as links to corresponding section 3 pages.

fadvise64.2
fadvise64_64.2
    mtk
        Links to posix_fadvise.2.

rt_sigaction.2
rt_sigpending.2
rt_sigprocmask.2
rt_sigtimedwait.2
    mtk
        Added as link to corresponding page without "rt_" prefix.

rt_sigqueueinfo.2
    mtk
        Link to sigqueue.2.

madvise1.2
tuxcall.2
vserver.2
    mtk / Ivana Varekova
        Link to unimplemented.2.


Changes to individual pages
---------------------------

access.2
    mtk
        Fairly substantial rewrites of various parts,
        and a few additions.

chmod.2
    mtk
        Update SYNOPSIS to reflect the fact that fchmod(2) needs
        either "#define _XOPEN_SOURCE 500" or "#define _BSD_SOURCE".

chown.2
    mtk
        Update SYNOPSIS to reflect the fact that fchmod(2) and lchown(2)
        need either "#define _XOPEN_SOURCE 500" or "#define _BSD_SOURCE".
        Added an example program.

killpg.2
    mtk
        Note that killpg() is actually a library function on Linux.

mmap.2
    mtk
        Added note that glibc mmap() wrapper nowadays invokes mmap2().

mmap2.2
    Ivana Varekova / mtk
        On most platforms the unit for 'offset' is 4096 bytes, not
        the system page size.
    mtk
        Rewrote NOTES to note that glibc mmap() wrapper nowadays
        invokes this system call.
    mtk
        Added an EXAMPLE program.

oldfstat.2
oldlstat.2
oldstat.2
    mtk
        Changed link to point to stat.2 (instead of obsolete.2).

olduname.2
oldolduname.2
    mtk
        Changed link to point to uname.2 (instead of obsolete.2).

sched_setaffinity.2
    Martin Röhricht
        Added _GNU_SOURCE to SYNOPSIS.

semctl.2
    mtk
        Remove reference discussion of ipc(2), since none of the
        other System V IPC pages mention ipc(2).

semop.2
    mtk
        Add an example code segment.

shmctl.2
    mtk
        Add svipc(7) to SEE ALSO list.

sigaction.2
    mtk
        Reformatted tables as lists; other minor reformattings and
        wording changes.

sigqueue.2
    mtk
        Added info on rt_sigqueueinfo(2).

sigwaitinfo.2
    mtk
        Noted that sigwaitinfo() is a library function implemented on
        top of sigtimedwait().

ssetmask.2
    mtk
        Make this link point to new sgetmask.2 instead of signal.2.

stat.2
    mtk
        Add notes on the different system call interfaces that
        have appeared over time.

syscalls.2
    mtk
        A fairly substantial rewrite of this page,
        bringing it up to date with the current
        kernel version, and listing all system calls
        in tabular form.

uname.2
    mtk
        Add notes on the different system call interfaces that
        have appeared over time.

unimplemented.2
    mtk
        Add vserver, madvise1 to NAME line.
        Removed SEE ALSO reference to obsolete.2.
    Ivana Varekova
        Add tuxcall to NAME line.

mktemp.3
    Patrick Mansfield
        Fix description of return value.

strcat.3
    Marc Boyer
        Minor fix to example program.

undocumented.3
    mtk
        Add section numbers to function names; remove some functions
        since they are documented.

proc.5
    mtk
        Update/correct text on /proc/malloc.
    mtk, after a note by Pierre Habouzit, and a few comments by Justin Pryzby
        Update description of /proc/PID/stat to match 2.6.21.
        See http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=417933

inotify.7
    mtk
        IN_DONT_FOLLOW and IN_ONLYDIR are only available from 2.6.15.

signal.7
    Stepan Kasal / mtk
        Note SIGRTMIN value depends on glibc.
    mtk
        Various rewrites and additions to the text in real-time signals.
        Add SEE ALSO reference to sgetmask.2.

svipc.7
    mtk
        Add ipc(2) to SEE ALSO.


==================== Changes in man-pages-2.64 ====================

Released: 2007-07-27


Contributors
------------

The following people contributed notes, ideas, or patches that have
been incorporated in changes in this release:

Aleksandr Koltsoff <czr@iki.fi>
Andries Brouwer <Andries.Brouwer@cwi.nl>
Justin Pryzby <justinpryzby@users.sourceforge.net>

Apologies if I missed anyone!


Global changes
--------------

INFINITY.3
_exit.2
a64l.3
abs.3
acct.2
acosh.3
addseverity.3
adjtime.3
asinh.3
atanh.3
atoi.3
brk.2
cbrt.3
cfree.3
chdir.2
chmod.2
chown.2
clearenv.3
clock_getres.3
clone.2
confstr.3
copysign.3
ctermid.3
ctime.3
daemon.3
dirfd.3
div.3
drand48.3
drand48_r.3
dysize.3
ecvt.3
ecvt_r.3
erf.3
euidaccess.3
exp2.3
expm1.3
fdatasync.2
ferror.3
fexecve.3
fgetgrent.3
fgetpwent.3
finite.3
flockfile.3
fopen.3
fpclassify.3
fsync.2
futimes.3
fwide.3
gamma.3
gcvt.3
getcwd.3
getdate.3
getdirentries.3
getdomainname.2
getdtablesize.2
getgrent.3
getgrent_r.3
getgrouplist.3
getgroups.2
gethostbyname.3
gethostid.2
gethostname.2
getlogin.3
getmntent.3
getpagesize.2
getpw.3
getpwent.3
getpwent_r.3
getpwnam.3
getsid.2
getspnam.3
gettimeofday.2
getumask.3
getusershell.3
gsignal.3
hypot.3
inet.3
initgroups.3
insque.3
isalpha.3
iswblank.3
j0.3
kill.2
killpg.2
lgamma.3
lockf.3
log1p.3
log2.3
logb.3
longjmp.3
lrint.3
lround.3
madvise.2
mbsnrtowcs.3
memfrob.3
mincore.2
mkdtemp.3
mknod.2
mkstemp.3
mktemp.3
nan.3
nanosleep.2
nextafter.3
nice.2
on_exit.3
perror.3
posix_memalign.3
posix_openpt.3
printf.3
profil.3
psignal.3
putenv.3
putpwent.3
qecvt.3
rand.3
random.3
rcmd.3
readahead.2
readlink.2
realpath.3
remainder.3
remquo.3
rexec.3
rint.3
round.3
rpmatch.3
scalb.3
scandir.3
scanf.3
seekdir.3
select.2
sem_wait.3
semop.2
setbuf.3
setenv.3
seteuid.2
setjmp.3
setnetgrent.3
setpgid.2
setresuid.2
setreuid.2
sigaltstack.2
siginterrupt.3
significand.3
sigqueue.2
sigvec.3
sigwaitinfo.2
sockatmark.3
stat.2
stime.2
strdup.3
strerror.3
strsep.3
strtod.3
strtok.3
strtol.3
strtoul.3
symlink.2
sync.2
syscall.2
syslog.3
tcgetsid.3
telldir.3
tempnam.3
termios.3
tgamma.3
timegm.3
toascii.3
trunc.3
truncate.2
ttyslot.3
tzset.3
ualarm.3
unlocked_stdio.3
unshare.2
usleep.3
vfork.2
vhangup.2
wait.2
wait4.2
wcscasecmp.3
wcsncasecmp.3
wcsnlen.3
wcsnrtombs.3
wcswidth.3
wordexp.3
wprintf.3
    mtk
        Added/updated feature test macro requirements for
        glibc; see feature_test_macros.7 for details.

Changes to individual pages
---------------------------

mq_notify.2
mq_open.2
mq_timedreceive.2
mq_timedsend.2
mq_unlink.2
    mtk
        Fix broken link

setpgid.2
    mtk
        Fairly substantial changes and corrections, including adding
        coverage of all of the interfaces that get/set PGIDs.

syscalls.2
    mtk / aeb
        Various rewordings; clear up some imprecisions.

lgamma.3
    mtk
        Added 'signgam' to SYNOPSIS and NAME line.

strerror.3
    mtk
        Note that the XPG version is provided since glibc 2.3.4.
        The page formerly said that the GNU-specific version
        is provided by default.  That certainly isn't true
        nowadays, since _POSIX_C_SOURCE is set to 200112L by
        default, so that the XSI-compliant version is supplied
        by default.

man-pages.7
    mtk
        Added note pointing to feature_test_macros.7 for a description
        of how feature test macro requirements should be specified in
        manual pages.  Various other minor fixes and changes.

feature_test_macros.7
    mtk
        Added note about how feature test macros are specified
        in manual pages.
        Many other corrections, improvements, additions, and
        details about differences across glibc versions.


==================== Changes in man-pages-2.65 ====================

Released: 2007-09-17


Contributors
------------

The following people contributed notes, ideas, or patches that have
been incorporated in changes in this release:

Aleksandr Koltsoff <czr@iki.fi>
Andi Kleen <ak@suse.de>
Anton Blanchard <anton@samba.org>
Ari Entlich <lmage11@twcny.rr.com>
Carsten Emde <Carsten.Emde@osadl.org>
François Diakhate <diakhate@enseirb.fr>
Geoff Clare <gclare@gclare.org.uk>
Jon Burgess <jburgess777@googlemail.com>
Julien Cristau <jcristau@debian.org>
Lee Schermerhorn <Lee.Schermerhorn@hp.com>
Mats Wichmann <mats.d.wichmann@intel.com>
Maxime Bizon <mbizon@freebox.fr>
Maxime Vaudequin <maxime.vaudequin@gmail.com>
Michael Prokop <mika@grml.org>
Mike Frysinger <vapier@gentoo.org>
Nicolas François <nicolas.francois@centraliens.net>
Nicolas George <nicolas.george@ens.fr>
Paul Brook <paul@nowt.org>
Reuben Thomas <rrt@sc3d.org>
Sam Varshavchik <mrsam@courier-mta.com>
Samuel Thibault <samuel.thibault@ens-lyon.org>
Thomas Huriaux <thomas.huriaux@gmail.com>
Tolga Dalman <tdalman@project-psi.org>
Ulrich Drepper <drepper@redhat.com>
Vincent Lefevre <vincent@vinc17.org>

Apologies if I missed anyone!


Global changes
--------------

Typographical or grammatical errors have been corrected in several
places.

Various pages
    mtk
        Use 'glibc' consistently to refer to GNU C library.

Various pages
    mtk
        Order errors under ERRORS alphabetically.

Various pages
    Nicolas François
        Spelling and formatting fixes, as per
        http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=439560

intro.2
select.2
fmtmsg.3
getgrent_r.3
envz_add.3
rtime.3
strptime.3
wordexp.3
    Maxime Vaudequin
        Add "#include <stdlib.h>" (to declare exit(3)) to example program.


New pages
---------

timeradd.3
    mtk
        Description of timeradd(), timersub(), timerclear(),
        timerisset(), timercmp() macros for operating on
        struct timeval.


Removed pages
-------------

fdatasync.2
    mtk
        Somehow, over time, material on fdatasync(2) crept into
        fsync.2, and fdatasync also got added to the NAME section
        of fsync.2.  All of the material in fdatasync.2 that was
        not already in fsync.2 has now been moved there, and
        the former page has been removed.
        In place of the content there, is now a link to fsync.2.


New links
---------

clock_getres.2
clock_gettime.2
clock_settime.2
    mtk
        Link to man3/clock_getres.3.

fdatasync.2
    mtk
        Link to fsync.2.

fdopendir.3
    mtk
        Link to opendir.3.

gethostbyaddr_r.3
    Mats Wichmann
        Link to gethostbyaddr.3.

timerclear.3
timercmp.3
timerisset.3
timersub.3
    mtk
        Links to new timeradd.3.


Changes to individual pages
---------------------------

Makefile
    Mike Frysinger
        Make the install target of man-pages respect the standard
        "DESTDIR" variable as well as check the exit status of the
        install command so errors aren't ignored.

get_mempolicy.2
    Lee Schermerhorn
        changed the "policy" parameter to "mode" through out the
        descriptions in an attempt to promote the concept that the memory
        policy is a tuple consisting of a mode and optional set of nodes.

        added requirement to link '-lnuma' to synopsis

        rewrite portions of description for clarification.

        added all errors currently returned by sys call.

        removed cautionary note that use of MPOL_F_NODE|MPOL_F_ADDR
        is not supported.  This is no longer true.

        added mmap(2) to SEE ALSO list.

getitimer.2
    mtk
        Since kernel 2.6.22, Linux setitimer() now conforms to POSIX.1,
        giving an EINVAL error for a non-canonical tv_usec value.

gettimeofday.2
    mtk
        Replace discussion of timer* macros with a pointer
        to new page timeradd.3.

ioctl_list.2
    Nicolas George
        Fixed argument type for BLKGETSIZE.

mbind.2
    Lee Schermerhorn

        changed the "policy" parameter to "mode" throughout the
        descriptions in an attempt to promote the concept that the memory
        policy is a tuple consisting of a mode and optional set of nodes.

        rewrite portions of description for clarification.

            clarify interaction of policy with mmap()'d files and shared
            memory regions, including SHM_HUGE regions.

            defined how "empty set of nodes" specified and what this
            means for MPOL_PREFERRED.

            mention what happens if local/target node contains no
            free memory.

            clarify semantics of multiple nodes to BIND policy.
            Note:  subject to change.  We'll fix the man pages when/if
                   this happens.

        added all errors currently returned by sys call.

        added mmap(2), shmget(2), shmat(2) to SEE ALSO list.

mmap.2
mprotect.2
    François Diakhate
        Add text noting that PROT_WRITE may (and on x86 does)
        imply PROT_READ.
        See http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=441387

nfsservctl.2
    Aleksandr Koltsoff
        Fix prototype.

oldfstat.2
oldlstat.2
oldstat.2
    mtk
        Fix broken link

prctl.2
    mtk
        Update arches/kernel versions for PR_SET_UNALAIGN / PR_GET_UNALIGN.

readahead.2
    mtk
        Removed SEE ALSO reference to nonexistent fadvise.2.

reboot.2
    mtk
        Place SYNOPSIS comments inside C comments (/* ... */).

sched_setaffinity.2
    Samuel Thibault
        Note what thread is affected if 'pid' is specified
        as 0, or as the value returned by getpid().

sched_setscheduler.2
    Carsten Emde
        Add text on real-time features of mainline Linux kernel.

select_tut.2
    mtk
        sync SYNOPSIS with select.2

set_mempolicy.2
    Lee Schermerhorn

        changed the "policy" parameter to "mode" throughout the
        descriptions in an attempt to promote the concept that the memory
        policy is a tuple consisting of a mode and optional set of nodes.

        added requirement to link '-lnuma' to synopsis

        rewrite portions of description for clarification.

            clarify interaction of policy with mmap()'d files.

            defined how "empty set of nodes" specified and what this
            means for MPOL_PREFERRED.

            mention what happens if local/target node contains no
            free memory.

            clarify semantics of multiple nodes to BIND policy.
            Note:  subject to change.  We'll fix the man pages when/if
                   this happens.

        added all errors currently returned by sys call.

        added mmap(2) to SEE ALSO list.

sigaction.2
    mtk
        s/si_sign/si_errno/ in statement about which field is unused.
    Ari Entlich
        s/SIGILL/SIGCHLD/ for paragraph describing SIGCHLD.

stat.2
    mtk
        Improve text describing underlying system calls.

swapon.2
    Michael Prokop
        EINVAL also occurs if target path is on tmpfs or similar.
        See http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=435885

sync.2
    mtk
        Incorporated material from now deleted fdatasync.2.

syscall.2
    mtk
        Small fix in example program.

uname.2
    mtk
        Improve text describing underlying system calls.

utime.2
    Vincent Lefevre / mtk
        Clarify utimes() behaviour when 'times' is NULL.
        See http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=431480
    mtk
        Other minor clarifications of description of utimes().

copysign.3
    Vincent Lefevre
        s/sign/sign bit/ to remove ambiguity in description.
        See http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=435415

euidaccess.3
    mtk
        Changed NOTES to VERSIONS.

ffsl.3
    mtk
        Add ffsl and ffsll to NAME line.

fts.3
    mtk
        Removed statement that fts functions are expected to appear
        soon in POSIX; it's years old and has not yet come to pass.

ftw.3
    mtk / Geoff Clare
        Fixes/improvements for example program.

getdate.3
    mtk
        Add getdate_r to NAME section.

getaddrinfo.3
    mtk / Geoff Clare
        Fixes/improvements for example program.

gethostbyaddr.3
    Mats Wichmann
        Add documentation for gethostbyaddr_r().
        Plus a few other small fixes.

gethostbyname.3
    mtk
        Add gethostbyname2, gethostbyname2_r, gethostbyname_r,
        gethostent_r to NAME line.

getmntent.3
    mtk
        Fix misnamed function references.

getopt.3
    Jon Burgess
        Fix small error in example program.

getrpcent.3
    mtk
        Add setrpcent and endrpcent to NAME line.

gsignal.3
    Aleksandr Koltsoff
        Fix gsignal() prototype.

hsearch.3
    mtk
        Add hcreate_r, hdestroy_r, hsearch_r to NAME line.

inet.3
    Maxime Bizon
        Correct definition of "struct in_addr".

isatty.3
    mtk
        Minor wording fix.

isgreater.3
    mtk
        Add islessequal to NAME line.

lgamma.3
    Vincent Lefevre
        Fix CONFORMING TO section.
        See http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=417592

log1p.3
    mtk
        Add log1pf and log1pl to NAME line.

longjmp.3
    Paul Brook / mtk
        After a call to longjmp(), the values of modified, non-volatile
        variables in the function that called setjmp() are unspecified.

makecontext.3
    Aleksandr Koltsoff
        Fix makecontext() prototype.

malloc.3
    mtk / Tolga Dalman
        Explain what happens for malloc(0), or calloc() where one of the
        arguments is 0.
    mtk
        Added notes on malloc()'s use of sbrk() and mmap().
    mtk
        Add mmap(2), alloca(3) to SEE ALSO.

mq_close.3
mq_getattr.3
mq_notify.3
mq_open.3
mq_receive.3
mq_send.3
mq_unlink.3
    mtk
        Add "Link with -lrt." to SYNOPSIS.

opendir.3
    Ulrich Drepper; some edits and additional text by mtk
        Document fdopendir().

readdir.3
    mtk, after a note by Andi Kleen
        Document DT_* constants for d_type.
    Ulrich Drepper / mtk
        Rework discussion of non-standard structure fields.

sem_wait.3
    mtk
        Minor improvements to example program.

syslog.3
    mtk
        Add vsyslog to NAME section.

termios.3
    Nicolas François
        Fix XCASE feature test macro description.

wcsspn.3
    Aleksandr Koltsoff
        Add return type to prototype.

proc.5
    mtk
        Improve description of num_threads field under /proc/PID/stat.
    Maxime Vaudequin
        Fix path error (s%proc/sys%proc/sys/kernel%) in mentions of
        /proc/sys/ostype, /proc/sys/osrelease and proc/sys/version.
    Maxime Vaudequin
        I noticed things to correct and to clarify in subsection
        "/proc/filesystems" of proc.5:
        - clarify filesystems listing: not only FS compiled
          into the kernel, also FS kernel modules currently loaded
        - add a reference to fs(5)
        - add an explanation for FS marked with "nodev"
        - s/mount(1)/mount(8)/, also corrected in section "SEE ALSO"
        - clarify usage by mount: the current wording may lead to
          think /proc/filesystems is always used by mount when no FS
          is specified. So, usage of "may" which IMHO is more
          appropriate + additional explanations
          In mount(8) we can see:

               If no -t option is given, or if the auto type is
               specified, mount will try to guess the desired type.
               If mount was compiled with the blkid library, the
               guessing is done by this library. Otherwise, mount
               guesses itself by probing the superblock; if that
               does not turn up anything that looks familiar,
               mount will try to read the file /etc/filesystems,
               or, if that does not exist, /proc/filesystems.
               All of the filesystem types listed there will be
               tried, except for those that are labeled "nodev"
               (e.g., devpts, proc and nfs). If /etc/filesystems
               ends in a line with a single * only, mount will
               read /proc/filesystems afterwards.
    Samuel Thibault
        Since linux 2.6.11, /proc/stat has an eighth value for cpu
        lines: stolen time, which is the time spent in other operating
        systems when running in a virtualized environment.

arp.7
        Updated BUGS text referring to jiffies; refer to time.7 instead.

credentials.7
    mtk
        Add words to note that file system ID is Linux specific.

hier.7
    Maxime Vaudequin
        This is some corrections for hier.7:
        - missing period for /media and /mnt
        - /mnt description is not totally correct, it is true for some
          distributions but in others /mnt is used as a temporary FS
          mount point, as it is specified by FHS:
          http://www.pathname.com/fhs/pub/fhs-2.3.html#MNTMOUNTPOINTFORATEMPORARILYMOUNT
        - s/X-Windows/X-Window/ (3 occurrences)
        - section "SEE ALSO": s/mount(1)/mount(8)/

man-pages.7
man.7
mdoc.7
mdoc.samples.7
    mtk / Nicolas François
        Nowadays tmac.XXX are called XXX.tmac.

pthreads.7
    mtk
        Update text about modern threading implementations
        (NPTL vs LinuxThreads).

socket.7
    mtk, after a note by Andi Kleen
        Clarify that SO_SNDTIMEO and SO_RCVTIMEO only have effect for
        socket I/O calls; not for multiplexing system calls like
        select() and poll().

time.7
    mtk
        Add SEE ALSO reference to new timeradd.3.


==================== Changes in man-pages-2.66 ====================

Released: 2007-10-01


Contributors
------------

The following people contributed notes, ideas, or patches that have
been incorporated in changes in this release:

Amit K. Arora <aarora@linux.vnet.ibm.com>
David Chinner <dgc@sgi.com>
Fredrik Noring <noring@nocrew.org>
Mats Wichmann <mats.d.wichmann@intel.com>
Maxime Vaudequin <maxime.vaudequin@gmail.com>
Ollie Wild <aaw@google.com>
Ulrich Drepper <drepper@redhat.com>

Apologies if I missed anyone!


Global changes
--------------

Typographical or grammatical errors have been corrected in several
places.


New pages
---------

fallocate.2
    David Chinner, with some input from Amit Amora and mtk
        Describes the fallocate() system call, new in 2.6.23.


Changes to individual pages
---------------------------

close.2
    Fredrik Noring
        Add text cautioning about use of close() in
        multithreaded programs.

execve.2
    Ollie Wild / mtk
        Add text describing limit on total size of argv + envp,
        and changes that occurred with 2.6.23.
    mtk
        Add getopt(3) to SEE ALSO list.

open.2
    mtk, Acked by Ulrich Drepper
        Added description of O_CLOEXEC (new in 2.6.23) + other
        minor fixes for O_DIRECT.

recv.2
    mtk
        Added description of MSG_CMSG_CLOEXEC (new in 2.6.23).

sysctl.2
    mtk
        Strengthened the warning against using this system call
        and note that it may disappear in a future kernel version.

rpc.3
    Mats Wichmann
        Fix type definition for 'protocol' in prototypes of pmap_set()
        and pmap_getport().


==================== Changes in man-pages-2.67 ====================

Released: 2007-10-08


Contributors
------------

The following people contributed notes, ideas, or patches that have
been incorporated in changes in this release:

Andi Kleen <andi@firstfloor.org>
Andrew Josey <a.josey@opengroup.org>
Maxime Vaudequin <maxime.vaudequin@gmail.com>

Apologies if I missed anyone!


Global changes
--------------

*.1p
*.3p
    mtk, after a note by Andi Kleen and consultation with Andrew Josey.
        Add a PROLOG section:
            This manual page is part of the POSIX Programmer's Manual.
            The Linux implementation of this interface may differ
            (consult the corresponding Linux manual page for details
            of Linux behavior), or the interface may not be implemented
            on Linux.

*.0p
*.1p
*.3p
    mtk
        Some formatting fixes, mostly to get rid of unwanted
        spaces before "," in formatted output.

*
*/*
    mtk
        Change all occurrences of my email address in man-pages source
        to my new gmail address.

Many many pages
    Maxime Vaudequin
        I noticed useless use of macros with alternating formatting
        (".IR" instead ".I" which suffices, ".BR" instead ".B", etc.)
        because there is only one element.  For example in ldconfig.8:

            -.BR /sbin/ldconfig
            +.B /sbin/ldconfig

        This is not very important, it only makes the sources more tidy.
        To find these I used:

            egrep '^\.(B[RI]|R[IB]|I[RB]) ([^ ]+|\"[^\"]\+\")$'

        And if you want to make these changes, you can use:

            sed 's/^\(\.[BRI]\)[BRI]\( \([^ ]\+\|\"[^\"]\+\"\)\)$/\1\2/g'


==================== Changes in man-pages-2.68 ====================

Released: 2007-11-19


Contributors
------------

The following people contributed notes, ideas, or patches that have
been incorporated in changes in this release:

A. Costa <agcosta@gis.net>
Andrew McDonald <andrew@mcdonald.org.uk>
Geoff Clare <gclare@gclare.org.uk>
Heikki Orsila <shd@modeemi.cs.tut.fi>
Hyokyong Kim <hyokyong@ppj.kr>
Ivana Varekova <varekova@redhat.com>
Justin Pryzby <jpryzby+d@quoininc.com>
Maxime Vaudequin <maxime.vaudequin@gmail.com>
Mike Frysinger <vapier@gentoo.org>
Nicolas François <nicolas.francois@centraliens.net>
Pádraig Brady <P@draigBrady.com>
Sam Varshavchik <mrsam@courier-mta.com>
Timo Juhani Lindfors <timo.lindfors@iki.fi>
Ulrich Drepper <drepper@redhat.com>

Apologies if I missed anyone!


Global changes
--------------

faccessat.2
fchmodat.2
fchownat.2
fstatat.2
futimesat.2
linkat.2
mkdirat.2
mknodat.2
readlinkat.2
renameat.2
symlinkat.2
mkfifoat.3
    mtk, after http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=445436
        by Timo Juhani Lindfors
        Added <fcntl.h> to SYNOPSIS.

Typographical or grammatical errors have been corrected in several places.


New pages
---------

_syscall.2
    mtk
        Created as a new page, by taking the content specific to
        the _syscall() macros from intro(2).


Changes to individual pages
---------------------------

README
    mtk
        Brought up to date.

man-pages-*-Announce
    mtk
        Brought the info in here up to date.

intro.1
    mtk
        Added intro paragraph about section, plus a paragraph
        about exit status values.
        Move "user intro" text to NOTES.

get_mempolicy.2
    mtk
        Reorder ERRORS sections alphabetically

intro.2
    mtk
        Pretty much a complete rewrite, covering some additional topics.
        Moved _syscallN() material to new _syscall(2) page.

mbind.2
    mtk
        Reorder ERRORS sections alphabetically

mmap.2
    Maxime Vaudequin
        Fix syntax error in example program.

prctl.2
    mtk
        Linux 2.6.22 added support on Alpha for PR_SET_UNALIGN.

ptrace.2
    Nicolas François / mtk
        s/PTRACE_POKEUSR/PTRACE_POKEUSER/
        s/PTRACE_PEEKUSR/PTRACE_PEEKUSER/

read.2
    mtk / Geoff Clare
        Add text describing timerfd EINVAL error for read(2).

set_mempolicy.2
    mtk
        Reorder ERRORS sections alphabetically

syscall.2
    mtk
        Added _syscall(2) and intro(2) to SEE ALSO section.

syscalls.2
    mtk
        Added fallocate(2); removed timerfd(2).

sysinfo.2
    mtk
        Removed reference to example in intro(2).

dlopen.3
    mtk
        Added "Link with -ldl." to SYNOPSIS.

getaddrinfo.3
    Ulrich Drepper / mtk
        Remove references to getipnodebyname.3 and getipnodebyaddr.3.

gethostbyname.3
    mtk / Ulrich Drepper
        Remove SEE ALSO references to getipnodebyname.3 and
        getipnodebyaddr.3.

    Pádraig Brady / mtk / Ulrich Drepper
        Point out that the functions described on this page
        are made obsolete by getaddrinfo(3) and getnameinfo(3).

getipnodebyname.3
    mtk
        Clarify that glibc does not implement these functions.

glob.3
    Ulrich Drepper / mtk
        Fix description of GLOB_ONLYDIR.
    mtk
        Added description of GLOB_TILDE_NOMATCH.
        Expanded the description of various flags.
        Various wording fixes..

intro.3
    mtk
        Pretty much a complete rewrite, covering some additional topics.

posix_fallocate.3
    mtk
        Add SEE ALSO referring to fallocate.2.

rpc.3
    Sam Varshavchik
        Add some arg declarations to prototypes; fix typos.

setbuf.3
    Mike Frysinger
        Fix text in BUGS section.

sigset.3
    mtk
        The sigset() bugs were fixed in glibc 2.5.
        See http://sourceware.org/bugzilla/show_bug.cgi?id=1951

intro.4
    mtk
        Minor rewrites.

st.4
    Maxime Vaudequin
        Various small corrections, formattings and modifications.

elf.5
    Mike Frysinger
        Document:
        - new p_flag: PT_GNU_STACK
        - new sections: .gnu.version .gnu.version_d .gnu.version_r
          .note.GNU-stack
        - new structures: ElfN_Verdef ElfN_Verdaux ElfN_Verneed
          ElfN_Vernaux

intro.5
    mtk
        Minor rewrites.

proc.5
    Ivana Varekova / mtk
        Add text noting that since kernel 2.6.16, /proc/slabinfo is
        only available if CONFIG_SLAB is enabled.
    Maxime Vaudequin
        Update description of /proc/pci.
    Maxime Vaudequin
        Give italic formatting to file names in proc.5.
    mtk
        The display type of the /proc/PID/stat fields changed
        %lu to %u in Linux 2.6.22:
            flags
            rt_priority
            policy

slabinfo.5
    Ivana Varekova / mtk
        Add text noting that since kernel 2.6.16, /proc/slabinfo is
        only available if CONFIG_SLAB is enabled.

intro.6
    mtk
        Minor rewrites.

bootparam.7
    Maxime Vaudequin
        Update references to files in kernel "Documentation" directory.

intro.7
    mtk
        Minor rewrites.

ipv6.7
    Andrew McDonald
        Fix description of IPV6_ROUTER_ALERT option.

standards.7
    mtk
        Note online location of C99 standard.

intro.8
    mtk
        Some rewrites, plus new paragraph on exit status values.


==================== Changes in man-pages-2.69 ====================

Released: 2007-12-03


Contributors
------------

The following people contributed notes, ideas, or patches that have
been incorporated in changes in this release:

Adam Borowski <kilobyte@angband.pl>
Alain Portal <aportal@univ-montp2.fr>
Andries E. Brouwer <Andries.Brouwer@cwi.nl>
J. Bruce Fields <bfields@citi.umich.edu>
David Härdeman <david@hardeman.nu>
Jeremy Kerr <jk@ozlabs.org>
Luke Browning <lukebr@linux.vnet.ibm.com>
Mats Wichmann <mats.d.wichmann@intel.com>
Maxime Vaudequin <maxime.vaudequin@gmail.com>
Mike Frysinger <vapier@gentoo.org>
Reuben Thomas <rrt@sc3d.org>
Sam Varshavchik <mrsam@courier-mta.com>

Apologies if I missed anyone!


Global changes
--------------

*.[013]p
    mtk
        Many whitespace clean-ups in formatted output.

mprotect.2
bind.2
mq_notify.3
makecontext.3
fmemopen.3
    David Härdeman / mtk
        Rename error handling function in example program
        (s/die/handle_error/).

Typographical or grammatical errors have been corrected in several places.


Removed pages
-------------

HOWTOHELP
MAINTAINING
    mtk
        The content of these files is now available in HTML format.

New links
---------

cfsetspeed.3
    mtk
        Link to termios.3.


Changes to individual pages
---------------------------

time.1
    Alain Portal
        Added "Linux User's Manual" to .TH line.

_syscall.2
    aeb / mtk
        Remove outdated text about pointer blocks for syscalls that have
        more than 5 arguments.

fcntl.2
    J. Bruce Fields
        Add warning that mandatory locking is unreliable.
    J. Bruce Fields
        Clarify details in description of file leases.
    J. Bruce Fields / mtk
        Minor wording edits.
    J. Bruce Fields
        Add F_GETLEASE under RETURN VALUE.

mmap.2
    mtk
        Handle errors using a custom handle_error() macro.

sched_setscheduler.2
    Mats Wichmann
        Add BUGS text noting that the return value from Linux
        sched_setschuler() does not conform to POSIX.

spu_create.2
    Jeremy Kerr
        Various updates and improvements.
    Luke Browning
        Refinement of text describing a "gang".
    mtk
        Minor edits.

spu_run.2
    Jeremy Kerr
        Various updates and improvements.
    mtk
        Minor edits.

err.3
    mtk
        Remove HISTORY section.

fopen.3
    Mike Frysinger
        Document 'e' (close-on-exec) option, new in glibc 2.7.

getloadavg.3
    Alain Portal / mtk
        Remove HISTORY section.

printf.3
    Andries E. Brouwer / mtk
        Fix the discussion of stdarg macros in the description of
        vprintf() description.

sem_wait.3
    mtk
        Handle errors using a custom handle_error() macro.

sigsetops.3
    Mats Wichmann
        Note that sigset_t objects must be initialized
        with sigemptyset() or sigfillset() before the other
        macros are employed.

termios.3
    mtk, after a note by Alain Portal
        Added cfsetspeed() to SYNOPSIS.  Added text under CONFORMING TO
        noting that cfsetspeed() is BSD specific.

ttyslot.3
    Alain Portal
        Various references to "getty" were changed to "mingetty", since
        that is the manual page more likely to be found on current
        systems.  (Completes changes that were made in man-pages-2.44.)

initrd.4
    mtk, after a note by Alain Portal
        Move "Configuration" section to top of page (like other
        section 4 pages) and make it a .SH section.

full.4
    mtk
        Re-ordered CONFIGURATION section to go before DESCRIPTION.

sk98lin.4
    Maxime Vaudequin
        Fix reference to kernel Documentation file.

elf.5
    mtk
        Renamed HISTORY section to NOTES, and removed BSD specific info.

proc.5
    Maxime Vaudequin
        Mention grub(8) in same sentence as lilo(8).
    Maxime Vaudequin
        Improve description of /proc/sys/abi and
        /proc/sys/kernel/modprobe.

utmp.5
    Alain Portal
        Various references to "getty" were changed to "mingetty", since
        that is the manual page more likely to be found on current
        systems.  (Completes changes that were made in man-pages-2.44.)

iso_8859-2.7
    Adam Borowski
        Reverse the 2.68 change applied by mtk in response to
        http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=445085
        that replaced "Sorbian" with "Serbian".
        (Sorbian is a language of 50000 people in Brandenburg.)

man-pages.7
    mtk
        Added CONFIGURATION to list of "standard" section names.

spufs.7
    Jeremy Kerr
        Various updates and improvements.
    mtk
        Minor edits.

tcp.7
    Maxime Vaudequin
        Fix reference to kernel Documentation file.


==================== Changes in man-pages-2.70 ====================

Released: 2007-12-06


Global changes
--------------

Many pages
    mtk
        Remove section numbers for page references where the
        reference refers to the page itself.  (This stops man2html
        producing links from a page back to itself.)

Typographical or grammatical errors have been corrected in several places.


Changes to individual pages
---------------------------

get_mempolicy.2
    mtk
        Add CONFORMING TO section.

io_getevents.2
    mtk
        Remove redundant SEE ALSO entry.

mbind.2
    mtk
        Add CONFORMING TO section.

msgop.2
    mtk
        Remove redundant SEE ALSO entries.

sigprocmask.2
    mtk
        Remove redundant SEE ALSO entry.

splice.2
    mtk
        Remove redundant SEE ALSO entry.
        Add SEE ALSO referring to vmsplice(2).

csin.3
    mtk
        Remove redundant SEE ALSO entry.
        Add SEE ALSO referring to ccos(3).

gethostbyname.3
    mtk
        Add gethostbyaddr_r to NAME section.

rint.3
    mtk
        Remove redundant SEE ALSO entry.

sigsetops.3
    mtk
        Minor rewording.

epoll.7
    mtk
        Minor rewording.


==================== Changes in man-pages-2.71 ====================

Released: 2007-12-14


Contributors
------------

The following people contributed notes, ideas, or patches that have
been incorporated in changes in this release:

Alain Portal <aportal@univ-montp2.fr>
John Sigler <linux.kernel@free.fr>
Josh Triplett <josh@freedesktop.org>
Mats Wichmann <mats.d.wichmann@intel.com>
Pascal MALAISE <malaise@magic.fr>
Sam Varshavchik <mrsam@courier-mta.com>

Apologies if I missed anyone!


Global changes
--------------

err.3
fts.3
getloadavg.3
queue.3
rcmd.3
rexec.3
stdin.3
elf.5
operator.7
    mtk
        Replaced the use of mdoc macros on these pages with man
        macros.  The only pages in man-pages that still use
        mdoc macros are mdoc.7 and mdoc.samples.7.

Typographical or grammatical errors have been corrected in several places.


Deleted pages
-------------

TODO
    mtk
        This information is now on the website.


Changes to individual pages
---------------------------

Changes.old
    mtk
        Reformat various change log entries to use a consistent format.
        Expand Debian bug report numbers to be URLs.
        Other minor tidy-ups.

fcntl.2
    mtk
        Document the F_DUPFD_CLOEXEC operation, which is
        new in kernel 2.6.24.

listen.2
    Josh Triplett
        Fix incorrect path for somaxconn.

getpw.3
    Alain PORTAL
        Add ENOENT error to ERRORS.

sysconf.3
    Mats Wichmann
        Add documentation of _SC_NPROCESSORS_CONF and _SC_NPROCESSORS_ONLN.

tty.4
    John Sigler
        Add tty_ioctl(4) to SEE ALSO list.

regex.7
    Pascal MALAISE <malaise@magic.fr>
        Separate text on back references from that describing basic regexps,
        as per http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=379829.
    mtk
        Remove crufty text about word boundaries.


==================== Changes in man-pages-2.72 ====================

Released: 2007-12-14


Contributors
------------

The following people contributed notes, ideas, or patches that have
been incorporated in changes in this release:

Alain Portal <aportal@univ-montp2.fr>
Alex Tuninga <atuninga@google.com>
Bert Wesarg <bert.wesarg@googlemail.com>
Maxime Vaudequin <maxime.vaudequin@gmail.com>
Rob Weryk <rjweryk@uwo.ca>
Sam Varshavchik <mrsam@courier-mta.com>

Apologies if I missed anyone!


Global changes
--------------

Various pages
    Alain PORTAL / mtk
        Format include files consistently (".I <.*\.h>").

Various pages
    Alain PORTAL / mtk
        Format pathname in italics (.I).

dbopen.3
mpool.3
recno.3
    Alain PORTAL
        Remove brackets ([]) around error names.

console.4
tty.4
ttyS.4
issue.5
ttytype.5
utmp.5
    mtk / Maxime Vaudequin
        Some systems have mingetty(8), others have agetty(8), so both
        should be mentioned when we are talking about getty-style programs.


Typographical or grammatical errors have been corrected in several places.


Renamed pages
-------------

filesystems.5
    mtk / Alain PORTAL
        Was previously fs.5


New links
---------

argz.3
    Bert Wesarg / mtk
        Link to argz_add.3.

envz.3
    Bert Wesarg / mtk
        Link to envz_add.3.

fs.5
    mtk / Alain PORTAL
        Link to filesystems.5.


Changes to individual pages
---------------------------

readahead.2
    Rob Weryk
        Fix declaration of 'offset' in SYNOPSIS.

seteuid.2
    mtk
        s/SETGUID/SETEUID/ in .TH line.

__setfpucw.3
    mtk
        Fixed include files references / formatting.

abort.3
    mtk, after a note by Alex Tuninga
        A fairly significant rewrite to clarify operation of abort().

argz_add.3
    Bert Wesarg / mtk
        s/envz/envz_add/ in SEE ALSO.

basename.3
    mtk
        s/DIRNAME/BASENAME/ in .TH line, and swap function names
        in NAME section.

envz_add.3
    Bert Wesarg / mtk
        s/argz/argz_add/ in SEE ALSO.

flockfile.3
    mtk
        s/LOCKFILE/FLOCKFILE/ in .TH line.

getgrent_r.3
    mtk
        s/GETGRENT/GETGRENT_R/ in .TH line.

stdio.3
    Sam Varshavchik
        Reformat function list at end of page as a proper table.

ttyslot.3
    Maxime Vaudequin
        Revert earlier s/getty/mingetty/.  This page talks about
        historical behavior, and that means "getty(8)".

undocumented.3
    mtk
        Remove reference to "obstack stuff"; it's not clear what
        that is about.

console_ioctl.4
    mtk
        s/CONSOLE_IOCTLS/CONSOLE_IOCTL/ in .TH line.

proc.5
    mtk
        s/fs (5)/filesystems (5)/

man-pages.7
    mtk / Alain PORTAL
        Improve discussion of formatting of file names.


==================== Changes in man-pages-2.73 ====================

Released: 2007-12-14


Contributors
------------

The following people contributed notes, ideas, or patches that have
been incorporated in changes in this release:

Alain Portal <aportal@univ-montp2.fr>
Pádraig Brady <P@draigBrady.com>
Reuben Thomas <rrt@sc3d.org>

Apologies if I missed anyone!


Global changes
--------------

Various pages
    Alain PORTAL
        Formatting fixes.

Typographical or grammatical errors have been corrected in several places.


Changes to individual pages
---------------------------

mknod.2
    mtk, after a report by Reuben Thomas
        Clarify use of mkfifo() versus mknod().
        as per http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=455825

fgetgrent.3
    mtk
        Small rewording.

fgetpwent.3
    mtk
        Small rewording.

rcmd.3
    mtk
        Noted feature test macro requirements.
        BUGS: noted that iruserok() is not declared in glibc headers.

filesystems.5
    mtk
        Added Reiserfs, XFS, JFS to list of file systems.


==================== Changes in man-pages-2.74 ====================

Released: 2007-12-20


Contributors
------------

The following people contributed notes, ideas, or patches that have
been incorporated in changes in this release:

Alain Portal <aportal@univ-montp2.fr>
Andrew Morton <akpm@linux-foundation.org>
David Brown <lkml@davidb.org>
Jeremy Kerr <jk@ozlabs.org>
Mats Wichmann <mats.d.wichmann@intel.com>
Sam Morris <sam@robots.org.uk>
Sam Varshavchik <mrsam@courier-mta.com>
Samuel Thibault <samuel.thibault@ens-lyon.org>

Apologies if I missed anyone!


Global changes
--------------

Various pages
    Alain PORTAL
        Formatting fixes.

Various pages
    mtk / Alain Portal
        s/``...''/"..."/

Various pages
    mtk
        s/epoch/Epoch/

Various pages
    mtk
        Make the standard indent for code samples, shell session
        logs, etc. to be ".in +4n".

Typographical or grammatical errors have been corrected in several places.


Changes to individual pages
---------------------------

_syscall.2
    mtk
        Nowadays there is _syscall6() also.

chroot.2
    mtk
        Various minor formatting changes.

epoll_wait.2
    mtk
        Fix types in structs.
        Formatting fixes.

mount.2
    mtk, after a note by Sam Morris
        Clarify that MS_NODIRATIME provides a subset of the
        functionality provided by MS_NOATIME.

sched_setaffinity.2
    mtk
        Minor rearrangement of text.

select_tut.2
    mtk
        Fix (my) typos in argument names.
        Formatting fixes.

spu_create.2
    Jeremy Kerr
        We can use context FDs for the dirfd argument to the *at() syscalls.

times.2
    mtk, after a note from David Brown and Andrew Morton
        http://marc.info/?l=linux-kernel&m=119447727031225&w=2
        Rework the text describing the return value to be closer
        to the requirements of POSIX.1; move Linux details
        to NOTES and add a warning not to rely on those details.
        Add a warning about the -1 to -4095 bug which results
        in a 41 second window where the glibc wrapper will wrongly
        return -1 indicating an error.
    mtk
        Remove cruft HZ text.
        Clarify text describing return value of clock(3).

getw.3
    Mats Wichmann
        CONFORMING TO: getw() and putw() were in SUSv2, but are not
        in POSIX.1-2001.

hash.3
    mtk / Alain Portal
        Minor rewordings + formatting fixes.

st.4
    Alain Portal / mtk
        Many formatting fixes.
    mtk
        Place ERRORS in alphabetical order.

vcs.4
    Samuel Thibault
        Document VT_GETHIFONTMASK (new in 2.6.18) and add to example program;
        attribute/text characters are in the host byte order.
        as per http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=456437
    mtk
        Minor edits.

bootparam.7
    Alain PORTAL
        Formatting fixes.

inotify.7
    mtk
        Minor heading changes and reformattings.

man-pages.7
    mtk
        Note that code segments, structure definitions, shell session
        logs, should be indented by 4 spaces.

spufs.7
    Jeremy Kerr
        Add a little information about the differences to mbox.


==================== Changes in man-pages-2.75 ====================

Released: 2008-01-08


Contributors
------------

The following people contributed notes, ideas, or patches that have
been incorporated in changes in this release:

Alain Portal <aportal@univ-montp2.fr>
Andi Kleen <ak@suse.de>
Andreas Henriksson <andreas@fatal.se>
Jeremy Kerr <jk@ozlabs.org>
Justin Pryzby <jpryzby+d@quoinic.com>
Phil Endecott <spam_from_debian_bugs_4@chezphil.org>
Sam Varshavchik <mrsam@courier-mta.com>
Thomas Huriaux <thomas.huriaux@gmail.com>
Timo Sirainen <tss@iki.fi>
Trond Myklebust <trond.myklebust@fys.uio.no>

Apologies if I missed anyone!


Global changes
--------------

Various pages
    mtk
        (Grammatical) hyphenation was fixed in many places.

epoll_wait.2
mbind.2
spu_run.2
ecvt.3
fmtmsg.3
getnameinfo.3
rtc.4
proc.5
charsets.7
ip.7
ipv6.7
raw.7
uri.7
    Justin Pryzby / mtk
        Fix incorrect usage of "a" and "an" before following vowel /
        consonant, by reviewing the output of the following scripts:

            for a in  $(wc */*.? | awk '$1 > 10 {print $4}' | gv total); do
                echo $a
                MANWIDTH=4000 man -l $a 2>/dev/null |
                        egrep '(^| )an [^aeiou][a-z]'
            done | less

            for a in  $(wc */*.? | awk '$1 > 10 {print $4}' | gv total); do
                echo $a
                MANWIDTH=4000 man -l $a 2>/dev/null |
                        egrep '(^| )a [aeiou][a-z]'
            done| less

err.3
fts.3
queue.3
rcmd.3
rexec.3
stdin.3
elf.5
    mtk, after a note by Alain Portal
        Improve macros used in 2.71 to convert from "mdoc" to "man".

_exit.2
chroot.2
getgid.2
getpid.2
getrusage.2
getsid.2
gettid.2
getuid.2
iopl.2
kill.2
personality.2
pivot_root.2
ptrace.2
sched_setparam.2
sched_setscheduler.2
sched_yield.2
seteuid.2
setgid.2
setpgid.2
setresuid.2
setreuid.2
setuid.2
unlink.2
wait.2
openpty.3
raise.3
setlogmask.3
sleep.3
ttyslot.3
ulimit.3
tty.4
tty_ioctl.4
path_resolution.7
    mtk
        s/current process/calling process/

cacheflush.2
clone.2
fcntl.2
getitimer.2
getrlimit.2
mmap.2
mprotect.2
times.2
adjtime.3
byteorder.3
inet.3
offsetof.3
rtc.4
icmp.7
pipe.7
time.7
    mtk
        s/x86/i386/ since that is the name used in 'arch' directories
        in the kernel source, and previously both i386 and x86 were both
        used in man pages; also nowadays 'x86' is somewhat ambiguous,
        since it is the name of the 'arch' directory for i386 and x86-64.

conj.3
cacos.3
cacosh.3
cabs.3
carg.3
casin.3
casinh.3
catan.3
catanh.3
ccos.3
ccosh.3
cexp.3
cimag.3
clog.3
cosh.3
creal.3
csin.3
csinh.3
ctan.3
ctanh.3
sinh.3
tanh.3
    mtk
        Various reformattings.

Various pages
    Alain Portal
        Formatting fixes.

mlock.2
mprotect.2
mpool.3
offsetof.3
    Alain Portal
        Format SYNOPSIS in a manner consistent with other pages.

Various pages
    mtk / Alain Portal
        Format casts so that there is a non-breaking space after the
        type, and remove unnecessary parentheses around the casted value.
        Thus, for example, the following:

            .IR "(size_t) (\-1)" .

        becomes:

            .IR "(size_t)\ \-1" .

Various pages
    mtk / Alain Portal
        Replace "-" by "\-" where a real dash is required.

Various pages
    mtk
        Make the formatting of instances of '*varname' consistent, changing
        instances such as:

            .RI * varname

        to:

            .I *varname

pciconfig_read.2
nfsservctl.2
bstring.3
cpow.3
getipnodebyname.3
getpwnam.3
getrpcent.3
lsearch.3
malloc_hook.3
mpool.3
stdin.3
strtol.3
strtoul.3
unlocked_stdio.3
regex.3
sd.4
resolv.conf.5
utmp.5
futex.7
    mtk
        Format SYNOPSIS consistently.

drand48.3
drand48_r.3
flockfile.3
erf.3
sigvec.3
timeradd.3
wprintf.3
    mtk, after a note by Alain Portal
        Standardize sentence used under "Feature Test Macro Requirements"
        when referring to all functions shown in the SYNOPSIS.

get_kernel_syms.2
getdents.2
getitimer.2
nanosleep.2
query_module.2
statvfs.2
clock_getres.3
getaddrinfo.3
getgrent.3
getipnodebyname.3
console_ioctl.4
tty_ioctl.4
rtnetlink.7
    mtk
        Indent structure definitions by +4n.

recv.2
btree.3
dbopen.3
ether_aton.3
fts.3
hash.3
mpool.3
profil.3
rcmd.3
recno.3
rpc.3
xdr.3
console_ioctl.4
ddp.7
ip.7
ipv6.7
svipc.7
    mtk
        Use C99 standard types in declarations.
            s/u_long/unsigned long/
            s/ulong/unsigned long/
            s/u_char/unsigned char/
            s/u_short/unsigned short/
            s/ushort/unsigned short/
            s/u_int8_t/uint8_t/
            s/u_int16_t/uint16_t/
            s/u_int32_t/uint32_t/
            s/u_int/unsigned int/

exit_group.2
fallocate.2
getdents.2
ioctl_list.2
nfsservctl.2
sched_setaffinity.2
set_tid_address.2
ustat.2
argz_add.3
confstr.3
envz_add.3
getline.3
getpwnam.3
gets.3
getw.3
inet_ntop.3
inet_pton.3
offsetof.3
console_ioctl.4
termcap.5
ascii.7
feature_test_macros.7
netlink.7
operator.7
svipc.7
    mtk
        Fix unbalanced .nf/.fi pairs.

chmod.2
getxattr.2
listxattr.2
lseek.2
removexattr.2
setxattr.2
stat.2
feature_test_macros.7
fpathconf.3
fopen.3

    mtk
        Rename argument: s/file*des/fd/ , since that is the name most
        commonly used on man pages for a file descriptor argument.

bindresvport.3
des_crypt.3
getopt.3
getrpcent.3
realpath.3
rpc.3
xdr.3
    mtk
        Removed .SM macros.

madvise.2
getdirentries.3
printf.3
sigvec.3
    mtk
        Remove extraneous .br macro before/after .SH/.SS.

_syscall.2
lookup_dcookie.2
aio_cancel.3
aio_error.3
aio_fsync.3
aio_read.3
aio_return.3
aio_write.3
canonicalize_file_name.3
envz_add.3
getgrouplist.3
getttyent.3
key_setsecret.3
mtrace.3
tcgetpgrp.3
tcgetsid.3
ttyslot.3
tty_ioctl.4
    mtk
        Remove extraneous .sp macros.

fcntl.2
outb.2
send.2
syscalls.2
getopt.3
proc.5
man-pages.7
standards.7
tcp.7
    mtk
        Remove/replace extraneous .sp macros.

Typographical or grammatical errors have been corrected in several places.


Changes to individual pages
---------------------------

_syscall.2
    mtk
        Nowadays there are seven macros (see 2.74 change log also).

arch_prctl.2
    mtk, Acked by Andi Kleen
        Clarify interpretation of 'addr'; plus a few other minor edits
        and updates.

bind.2
    mtk
        Minor rewrites.

close.2
    mtk
        Clarify relationship between file descriptor and open file
        description.

connect.2
    mtk, Acked by Andi Kleen
        Since kernel 2.2, AF_UNSPEC for unconnecting a connected
        socket *is* supported.

execve.2
    Alain Portal
        Minor rewordings.

futimesat.2
    Alain Portal
        Remove duplicate "#include <fcntl.h>" from SYNOPSIS.

getgid.2
    mtk
        Add getresgid(2) and credentials(7) to SEE ALSO.

getpagesize.2
    mtk
        Small rewording.

getresuid.2
    mtk
        Rewrote various parts.

getuid.2
    mtk
        Add getresuid(2) and credentials(7) to SEE ALSO.

ioctl_list.2
    Alain Portal
        Use proper tables for layout, and various formatting fixes.
    mtk
        Various formatting fixes.

listen.2
    mtk
        Rewrote various parts.

mbind.2
    Andi Kleen / mtk / Alain Portal
        Modify explanation of EINVAL 'maxnode' error.

mmap.2
    mtk
        Add comma to clarify meaning of a sentence.

open.2
    mtk
        Clarify initial description of O_EXCL.
        Clarify description of behaviors of O_CREAT | O_EXCL
        for symbolic links.
        Clarify text describing use of lockfiles without O_EXCL.
    mtk, with input from Timo Sirainen and Trond Myklebust
        O_EXCL is supported on NFSv3 and later, with Linux 2.6 and later.

pipe.2
    mtk
        Rename 'filedes' argument 'pipefd'.

pivot_root.2
    mtk
        s/cwd/current working directory/

seteuid.2
    mtk
        Minor changes.

setpgid.2
    mtk
        Add credentials(7) to SEE ALSO, and updated copyright credits,
        to reflect my rewrite of a few months ago.

setsid.2
    mtk
        Add getsid(2) and credentials(7) to SEE ALSO.

spu_create.2
    Alain Portal / mtk; acked by Jeremy Kerr
        Minor formatting/wording changes.
    mtk
        Put EPERM in right alphabetical position in ERRORS list.

argz_add.3
    mtk
        Formatting fixes.

atexit.3
    mtk
        Minor changes to example program.

cerf.3
    mtk
        These functions are still not present as at glibc 2.7.

dbopen.3
    Alain Portal / mtk
        Various minor spelling and formatting fixes.

envz_add.3
    mtk
        Formatting fixes.

fexecve.3
    mtk
        Fix placement of feature test macro in SYNOPSIS.

fmax.3
fmin.3
    mtk
        Small rewording.

getline.3
    mtk
        Minor changes to example program.

getrpcent.3
getrpcport.3
    mtk
        Use modern C prototypes in SYNOPSIS.

getutent.3
    Alain Portal / mtk
        Formatting fixes.

mbsnrtowcs.3
mbsrtowcs.3
mbstowcs.3
    mtk
        Use .IP tags to create properly formatted lists.

rpc.3
    mtk
        Convert function declarations to use modern C prototypes.
        Add text and start of page describing header files
        and types required by functions.
        Reformat discussion of request under clnt_control().

xdr.3
    mtk
        Convert function declarations to use modern C prototypes.
        Remove crufty "int empty" from xdrrec_eof() description.

console_codes.4
    Phil Endecott
        Relocate misplaced line:
            "and if LF/NL (new line mode) is set also a carriage return;"
        as per http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=458338.

console_ioctl.4
    mtk
        Formatting fixes.

bootparam.7
    mtk, after a note by Alan Portal
        Fix reference to kernel documentation source file in the
        "The Sound Driver" subsection.

man-pages.7
    Alain Portal
        Move CONFIGURATION description after SYNOPSIS description.
    mtk / Alain Portal
        Note that header files should be surrounded by angle brackets (<>).

posixoptions.7
    mtk
        Minor formatting and wording fixes.

rtnetlink.7
    Andreas Henriksson
        Fix description of RTM_F_EQUALIZE.
        as per http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=458325.

signal.7
    mtk
        Minor formatting and wording fixes.

socket.7
    mtk
        Small rewording of discussion of O_ASYNC.

spufs.7
    mtk / Jeremy Kerr / Alain Portal
        s/SPE/SPU/


==================== Changes in man-pages-2.76 ====================

Released: 2008-01-14


Contributors
------------

The following people contributed notes, ideas, or patches that have
been incorporated in changes in this release:

Alain Portal <aportal@univ-montp2.fr>
Carlo Marcelo Arenas Belon <carenas@sajinet.com.pe>
Jeremy Kerr <jk@ozlabs.org>
Sam Varshavchik <mrsam@courier-mta.com>
Trond Myklebust <trond.myklebust@fys.uio.no>

Apologies if I missed anyone!


Global changes
--------------

longjmp.3
printf.3
scanf.3
setbuf.3
setjmp.3
sk98lin.4
environ.7
    mtk
        Rework/remove use of ".ad" macros.

ioctl_list.2
mlock.2
mprotect.2
mremap.2
syslog.2
cfree.3
mpool.3
offsetof.3
rpc.3
stdin.3
    mtk
        Fix unbalanced quotes in formatting macros.

ftok.3
    mtk
        s/i-node/inode/, for consistency with other pages and POSIX.1-2001.

Typographical or grammatical errors have been corrected in several places.


Changes to individual pages
---------------------------

chown.2
    mtk
        Minor wording change.

dup.2
    mtk
        Reordered text in DESCRIPTION and added some details for dup2().

open.2
    Trond Myklebust / mtk
        Minor fix to O_EXCL changes in previous release.

gettid.2
    mtk
        Rewrote DESCRIPTION; noted that thread ID is not the same
        thing as a POSIX thread ID.

pipe.2
    mtk
        Rewrote DESCRIPTION; minor additions to EXAMPLE text.

umask.2
    mtk
        A few rewrites and additions.

strptime.3
    Carlo Marcelo Arenas Belon / mtk
        Add "#define _XOPEN_SOURCE" to example program.

initrd.4
    mtk
        Use quotes more consistently in formatting macros.

random.4
    mtk, after a report by Daniel Kahn Gilmor
        Add 2.6 details for /proc/sys/kernel/random/poolsize.
        as per http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=459232.

pthreads.7
    mtk
        Minor changes.

spufs.7
    mtk / Jeremy Kerr
        Define abbreviation "MSS".


==================== Changes in man-pages-2.77 ====================

Released: 2008-01-31


Contributors
------------

The following people contributed notes, ideas, or patches that have
been incorporated in changes in this release:

Pavel Heimlich <tropikhajma@seznam.cz>
Phil Endecott <phil_vonar_endecott@chezphil.org>
Thomas Huriaux <thomas.huriaux@gmail.com>
Vincent Lefevre <vincent@vinc17.org>
WANG Cong <xiyou.wangcong@gmail.com>

Apologies if I missed anyone!


Global changes
--------------

stdarg.3
bootparam.7
    Thomas Huriaux
        Fix broken use of single quotes at start of line,
        as per: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=462636

Typographical or grammatical errors have been corrected in several places.

New pages
---------

remove_COLOPHON.sh
    mtk
        Script to remove the COLOPHON section from the man pages provided
        as command-line arguments.  This is useful to remove the COLOPHON
        sections from all of the man pages in two different release trees
        in order to do a "diff -ruN" to see the "real" differences
        between the trees.


Changes to individual pages
---------------------------

fcntl.2
    mtk
        Replace tables with .TP macros.

fork.2
    mtk
        Added discussion of directory streams.
        Removed "#include <sys/types>" from SYNOPSIS.
        Changed authorship notice.

futex.2
    mtk
        Add ENOSYS error to errors.
    Phil Endecott
        Explicitly describe return value in the event of an error.

inotify_add_watch.2
    mtk
        Minor wording changes.

splice.2
    WANG Cong
        Fix types for 2 and 4 arguments in splice prototype.

wait.2
    Phil Endecott
        Clarify description of return value for WNOHANG.

tkill.2
    mtk
        Rewrote DESCRIPTION; emphasized that tkill() is obsoleted by
        tgkill().

alloca.3
    mtk
        Change description in NAME section.
        Various rewrites and additions (including notes on longjmp() and
        SIGSEGV).
    mtk / Vincent Lefevre
        Weaken warning against use of alloca(), and
        point out some cases where it can be useful;
        as per http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=461100.

bootparam.7
    Pavel Heimlich
        Remove junk line.

inotify.7
    mtk
        Replace tables with .TP macros.
        s/MultiSource Synchronization/MultiSource Synchronization (MSS)/


==================== Changes in man-pages-2.78 ====================

Released: 2008-02-15


Contributors
------------

The following people contributed notes, ideas, or patches that have
been incorporated in changes in this release:

Davide Libenzi <davidel@xmailserver.org>
Greg Banks <gnb@melbourne.sgi.com>
Michael Tokarev <mjt@tls.msk.ru>
Phil Endecott <phil_vonar_endecott@chezphil.org>

Apologies if I missed anyone!


Global changes
--------------

sigaction.2
signal.2
sigwaitinfo.2
signal.7
    mtk
        Add SEE ALSO entry referring to new signalfd.2 page.

Typographical or grammatical errors have been corrected in several places.


New pages
---------

eventfd.2
    mtk, with input and review from Davide Libenzi
        Documents the eventfd() system call, new in 2.6.22.

signalfd.2
    mtk, with input and review from Davide Libenzi
        Documents the signalfd() system call, new in 2.6.22.

Changes to individual pages
---------------------------

futex.2
    mtk / Phil Endecott
        Improve wording describing error returns.

open.2
    Greg Banks
        Greatly expand the detail on O_DIRECT.

reboot.2
    mtk / Michael Tokarev
        Fix RETURN VALUE description: in some cases reboot() does not
        return.
    mtk
        Rename the 'flag' argument to 'cmd', since that is more meaningful,
        and also what is used in the kernel source.
        Other minor wording changes.


==================== Changes in man-pages-2.79 ====================

Released: 2008-03-07


Contributors
------------

The following people contributed notes, ideas, or patches that have
been incorporated in changes in this release:

Andries E. Brouwer <Andries.Brouwer@cwi.nl>
Chris Heath <chris@heathens.co.nz>
Davide Libenzi <davidel@xmailserver.org>
Fernando Luis Vázquez Cao <fernando@oss.ntt.co.jp>
Heikki Orsila <shdl@zakalwe.fi>
Jeremy Kerr <jk@ozlabs.org>
Justin Pryzby <justinpryzby@users.sourceforge.net>
Lasse Kärkkäinen <tronic@trn.iki.fi>
Michael Haardt <michael@moria.de>
Mike Frysinger <vapier@gentoo.org>
Ron Burk <ronburk@gmail.com>
Sam Varshavchik <mrsam@courier-mta.com>
Samuel Thibault <samuel.thibault@ens-lyon.org>
Walter Harms <WHarms@bfs.de>

Apologies if I missed anyone!


Global changes
--------------

Typographical or grammatical errors have been corrected in several places.


New pages
---------

timerfd_create.2
    mtk, with input and review from Davide Libenzi
        Documents the timerfd_create(), timerfd_settime(), and
        timerfd_gettime() system calls, which are new in 2.6.25.


New links
---------

timerfd_gettime.2
timerfd_settime.2
    mtk
        Links to new timerfd_create.2 page.

eventfd_read.3
eventfd_write.3
    mtk
        Links to eventfd.2.


Changes to individual pages
---------------------------

Makefile
    aeb
        Remove code relating to man1/README, which no longer exists.

execve.2
    mtk
        Clarify detail of RLIMIT_STACK/4 limit for argv+environ.

getitimer.2
    mtk
        Added SEE ALSO entry referring to timerfd_create.2.

getrusage.2
    mtk
        Minor rewordings.

open.2
    Michael Haardt
        Move discussion of 'mode' argument under description of O_CREAT.

signalfd.2
    mtk
        Fix type for 'ssi_ptr' field.
        See http://sources.redhat.com/ml/libc-hacker/2008-01/msg00002.html.

syscalls.2
    mtk
        Add timerfd_create(), timerfd_settime(), and timerfd_gettime()
        to list.

syslog.2
    Jeremy Kerr
        Add info on command type 10.
        Add details on types 6, 7, 8, and 9.
        Minor grammar fix.
    mtk
        Update LOG_BUF_LEN details.
        Update RETURN VALUE section.
        Notes capability requirements under EPERM error.
        Minor fix to description of type==3 and type==4.
        Other minor edits.

ctime.3
    Walter Harms
        Note that POSIX requires localtime() to act as though tzset()
        was called, but localtime_r() does not have the same requirement.
        See also http://thread.gmane.org/gmane.comp.time.tz/2034/

getaddrinfo.3
    mtk
        Clarify discussion of NULL 'hints' argument; other minor rewrites.
    mtk / Sam Varshavchik
        Remove some duplicated text.

malloc.3
    Lasse Kärkkäinen / Mike Frysinger / mtk
        Clarify description of realloc() behavior for
        ((size == 0) && (ptr != NULL)).

posix_fallocate.3
    Samuel Thibault
        s/stdlib.h/fcntl.h/ in SYNOPSIS.

proc.5
    Fernando Luis Vázquez Cao
        Update /proc/[number]/cmdline description.
        It used to be true that the command line arguments were
        not accessible when the process had been swapped out.
        In ancient kernels (circa 2.0.*) the problem was that the
        kernel relied on get_phys_addr to access the user space buffer,
        which stopped working as soon as the process was swapped out.
        Recent kernels use get_user_pages for the same purpose and thus
        they should not have that limitation.

epoll.7
    Davide Libenzi / mtk
        Clarify the somewhat unintuitive behavior that occurs if a file
        descriptor in an epoll set is closed while other file descriptors
        referring to the same underlying open file description remain
        open.
        See also http://thread.gmane.org/gmane.linux.kernel/596462/.
    mtk
        Clarify error that occurs if we add an epoll fd to its own set.
    mtk
        A few minor rewordings.
    mtk, after a note by Chris Heath
        Rework Q1/A1, describing what happens when adding the same
        file descriptor twice to an epoll set, and when adding duplicate
        file descriptors to the same epoll set.
    Heikki Orsila / mtk / Davide Libenzi
        Clarify Q9/A9 to discuss packet/token-oriented files.
    mtk, after comments by Davide Libenzi and Chris Heath
        Added Q0/A0, making explicit that the key for items in an epoll
        set is [file descriptor, open file description].
    mtk, after a note by Ron Burk
        Change A3, to note that when events are available,
        the epoll file descriptor will indicate as being readable.
    mtk
        Add some further explanation to Q5/A5 about why an epoll file
        descriptor cannot be passed across a Unix domain socket.

posixoptions.7
    mtk
        Add SEE ALSO entry for standards(7).

regex.7
    mtk
        Add grep(1) to SEE ALSO.
        See http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=348552.

standards.7
    mtk
        Add SEE ALSO entry for posixoptions(7).

time.7
    mtk
        Added SEE ALSO entry referring to timerfd_create.2.


==================== Changes in man-pages-2.80 ====================

Released: 2008-06-05


Contributors
------------

The following people contributed notes, ideas, or patches that have
been incorporated in changes in this release:

Adrian Bunk <bunk@kernel.org>
Alain Portal <aportal@univ-montp2.fr>
Andreas Herrmann <andreas.herrmann3@amd.com>
Andrew Morton <akpm@linux-foundation.org>
Andries E. Brouwer <Andries.Brouwer@cwi.nl>
Anoop <acv@linux.vnet.ibm.com>
Aurelien Gerome <ag@roxor.cx>
Daniel Burr <dburr@topcon.com>
Davide Libenzi <davidel@xmailserver.org>
Felix Kater <fkater@googlemail.com>
Folkert van Heusden <folkert@vanheusden.com>
Hamaji Shinichiro <shinichiro.hamaji@gmail.com>
Heikki Orsila <shd@modeemi.fi>
Ingo Molnar <mingo@elte.hu>
Justin Pryzby <justinpryzby@users.sourceforge.net>
Karsten Weiss <K.Weiss@science-computing.de>
Martin Pitt <mpitt@debian.org>
Marty Leisner <leisner@rochester.rr.com>
Nicolas François <nicolas.francois@trialog.com>
Nick Piggin <npiggin@suse.de>
Petter Reinholdtsen <pere@hungry.com>
Reuben Thomas <rrt@sc3d.org>
Sam Varshavchik <mrsam@courier-mta.com>
Stuart Brady <sdbrady@ntlworld.com>
Theodoros V. Kalamatianos <thkala@softlab.ece.ntua.gr>
Thomas Huriaux <thomas.huriaux@gmail.com>
Tim Stoakes <tim@stoakes.net>
Timothy Baldwin <T.E.Baldwin99@members.leeds.ac.uk>
Tolga Dalman <tdalman@project-psi.org>

Apologies if I missed anyone!


Global changes
--------------

bdflush.2
inotify_add_watch.2
mprotect.2
sigprocmask.2
ctime.3
getusershell.3
setbuf.3
st.4
ip.7
packet.7
    mtk
        Replace "(il)legal" by "(not) permitted" or "(in)valid".

read.2
utime.2
filesystems.5
packet.7
    mtk
        s/time stamp/timestamp/, for consistency with majority use
        in other pages, and in POSIX.1.

madvise.2
mbind.2
mincore.2
mmap.2
mmap2.2
msync.2
remap_file_pages.2
    mtk
        Change name of 'start' argument to 'addr' for consistency
        with:
            * other memory-related interfaces
            * POSIX specification (for those interfaces in POSIX)
            * Linux and glibc source code (in at least some cases)

Various pages
    mtk
        s/filesystem/file system/, for consistency with majority use
        in other pages, and in POSIX.1.

Various pages
    mtk
        s/zeroes/zeros/, for consistency with majority use
        in other pages, and in POSIX.1.

abs.3
proc.5
    mtk
        s/builtin/built-in/, for consistency with majority use
        in other pages, and in POSIX.1.

mknod.2
ftw.3
    mtk
        s/normal file/regular file/

Various pages
    mtk
        s/nonempty/non-empty/

Various pages
    mtk
        s/nonzero/non-zero/

Various pages
    mtk
        s/realtime/real-time/, for consistency with majority usage.

Various pages
    mtk
        s/command line/command-line/ when used attributively.

Various pages
    mtk
        Use "run time" when non-attributive, "run-time" when attributive.

Various pages
    mtk
        Various pages that I wrote carried a slightly modified version
        of the "verbatim" license.  In the interests of minimizing
        license proliferation, I've reverted the modified form
        so that the license is exactly the same as on other pages
        carrying the verbatim license.

epoll_ctl.2
getitimer.2
getrlimit.2
unix.7
    mtk
        s/since kernel x.y.z/since Linux x.y.z/

wait.2
inotify.7
    mtk
        Reformat kernel version information for flags.

Typographical or grammatical errors have been corrected in several places.
(Special thanks to Nicolas François.)


New pages
---------

random_r.3
    mtk, after a suggestion by aeb
        Documents random_r(3), srandom_r(3), initstate_r(3), and
        setstate_r(3), which are the reentrant equivalents of
        random(3), srandom(3), initstate(3), and setstate(3).


New links
---------

lutimes.3
    mtk
        Link to futimes.3.

initstate_r.3
setstate_r.3
srandom_r.3
    mtk
        Links to random_r.3.

daylight.3
timezone.3
tzname.3
    mtk
        Links to tzset.3.

isnanf.3
isnanl.3
    mtk
        Links to finite.3.

encrypt_r.3
setkey_r.3
    mtk
        Links to encrypt.3.


Changes to individual pages
---------------------------

clone.2
    mtk
        Added note that CLONE_STOPPED (which no-one uses anyway) is
        now deprecated.

epoll_create.2
    mtk
        Add NOTES section pointing out that 'size' argument is unused
        since kernel 2.6.8.

epoll_ctl.2
    mtk
        Added portability note to BUGS text for EPOLL_CTL_DEL.

epoll_wait.2
    mtk
        If the 'sigmask' is NULL, then epoll_pwait() is equivalent
        to epoll_wait().

fork.2
    mtk
        NOTES: since glibc 2.3.3, the glibc NPTL fork() wrapper
        bypasses the fork() system call to invoke clone() with
        flags providing equivalent functionality.

futex.2
    mtk, after a note from Adrian Bunk
        FUTEX_FD has been removed, as of kernel 2.6.26.

futimesat.2
    mtk
        Note that this system call is made obsolete by utimensat(2).

getgroups.2
    Petter Reinholdtsen
        SEE ALSO: Add getgrouplist(3).
        as per http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=479284.
    mtk
        NGROUPS_MAX increased in kernel 2.6.4.
        SEE ALSO: Add credentials(7).
    mtk
        Reformat DESCRIPTION and RETURN VALUE sections to be more
        consistent with man-pages style.
        Add some more detail to descriptions of system calls.
        Clarified what happens if caller of getgroups() is a member of
        more than 'size' supplementary groups.
        ERRORS: Add ENOMEM.

getpriority.2
    mtk, after a note from Ingo Molnar
        Add text in NOTES about the punchier effect of nice values in
        kernel 2.6.23 and later.
        Add Documentation/scheduler/sched-nice-design.txt to SEE ALSO list.

gettid.2
    mtk
        Added VERSIONS section noting that this system call first
        appeared in 2.4.11.

kill.2
    Marty Leisner / mtk
        Add text explicitly noting that sig==0 can be used to check for
        the existence of a PID or PGID.
    mtk
        A few minor rewordings.

mbind.2
    mtk
        The location of the numactl package has changed.

mmap.2
    mtk
        Added some .SS headings to make structure of page a little
        more obvious.
    mtk, with input from Nick Piggin
        MAP_POPULATE supports both file and anonymous mappings.
        Since 2.6.23, MAP_POPULATE supports private mappings.
        Since 2.6.23, MAP_NONBLOCK causes MAP_POPULATE to be a no-op.
    mtk
        NOTES: Added details on mapping address that is selected by
        kernel when MAP_FIXED is / isn't specified.

mount.2
    mtk
        The MS_REMOUNT changes in 2.4 were at 2.4.10 (not 2.4).
    mtk
        Minor wording change.

msgctl.2
    mtk
        Clarify that "unused" fields in msginfo structure are
        "unused within the kernel".
        msginfo.msgpool is measured in kilobytes, not bytes.
        Minor rewordings in comments for msginfo structure.

msgop.2
    mtk
        Various minor rewordings and restructurings for clarity.
    mtk, after a note from Reuben Thomas
        Remove "msgop" from NAME section.

mkdir.2
    mtk
        Clarify meaning of "BSD group semantics".
        SEE ALSO: add chown(2).

mknod.2
    mtk
        SEE ALSO: add chown(2) and chmod(2).

mmap.2
    mtk
        SEE ALSO: add mprotect(2) and shmat(2).

mprotect.2
    Hamaji Shinichiro
        SYNOPSIS: s/size_t \*len/size_t len/

open.2
    mtk
        Note that O_CLOEXEC should be in the next POSIX.1 revision.
    mtk
        More than just ext2 supports "mount -o bsdgroups" nowadays,
        so make the discussion about group ownership of new files a bit
        more generic.
    mtk
        SEE ALSO: add chown(2) and chmod(2).

poll.2
    mtk
        If the 'sigmask' is NULL, then ppoll() is equivalent to poll()
        with respect to signal mask manipulations.

posix_fadvise.2
    mtk
        s/posix_madvise (2)/posix_madvise (3)/;
        (The referred-to page still doesn't exist yet, but hopefully
        will do sometime soon.)

ptrace.2
    Anoop, Acked by Roland McGrath.
        Re PTRACE_PEEKUSER: the offsets and data returned might not
        match with the definition of struct user.
        See also http://lkml.org/lkml/2008/5/8/375

recv.2
    Felix Kater / mtk
        Improve wording for EAGAIN error in discussion of MSG_DONTWAIT.

rmdir.2
    Martin Pitt
        POSIX.1 also allows EEXIST for the ENOTEMPTY error condition.
        as per http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=467552.

sched_setscheduler.2
    mtk, with input from Ingo Molnar
        Add description of SCHED_IDLE policy (new in 2.6.23).
        Tweak description of SCHED_BATCH.
        Minor rewordings.

select_tut.2
    Justin Pryzby
        Various wording clean-ups.

semctl.2
    mtk
        Clarify that "unused" fields in seminfo structure are
        "unused within the kernel".
        Minor rewordings in comments for seminfo structure.

semop.2
    Aurelien Gerome
        Small fix in example code.

setpgid.2
    mtk / Karsten Weiss
        Clarify description of setpgid() a little.

shmctl.2
    mtk
        Clarify that "unused" fields in shminfo structure are
        "unused within the kernel".
        Minor rewordings in comments for shminfo structure.

shmop.2
    mtk, after a note from Reuben Thomas
        Remove "shmop" from NAME section.

signalfd.2
    mtk
        Added BUGS text noting that before kernel 2.6.25, the ssi_int
        and ssi_ptr fields are not set.
        Added comments describing fields in signalfd_siginfo structure.
        Update field names in example program (s/signo/ssi_signo/).
        Various small fixes, and remove duplicated sentence.
        Minor edits to structure definition.

sigqueue.2
    mtk
        Added some comments to code in NOTES.

stat.2
    mtk
        Minor wording change.

symlink.2
    mtk
        SEE ALSO: add lchown(2).

sync_file_range.2
    mtk / Andrew Morton
        Remove statement that (SYNC_FILE_RANGE_WAIT_BEFORE |
        SYNC_FILE_RANGE_WRITE | SYNC_FILE_RANGE_WAIT_AFTER) is
        a traditional fdatasync(2) operation.
        See https://bugzilla.mozilla.org/show_bug.cgi?id=421482
        comments 129 to 131.

syscalls.2
    mtk
        This page is now up to date as at kernel 2.6.25.

syslog.2
    mtk
        Small tidy up of language relating to permissions/capabilities.

timerfd_create.2
    mtk
        Minor change to example program.
        Minor wording change.

utime.2
    Reuben Thomas
        Remove unnecessary subheading for utimes().
        as per http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=477402.
    mtk
        Change description in NAME line ("or" is not correct: these calls
        always change *both* timestamps).
        CONFORMING TO: utimes() is in POSIX.1-2001.
    mtk
        Rename 'buf' argument of utime() to 'times' (like utimes()).
        Clarify explanation of EACCES and EPERM errors.
        Remove BUGS section, since it doesn't seem to add useful
        information.
        Clarified discussion of capabilities, and noted that
        CAP_DAC_OVERRIDE also has a role.
        Other minor rewordings.

wait.2
    mtk, after a note by Justin Pryzby
        Add a sentence clarifying that even though the default disposition
        of SIGCHLD is "ignore", explicitly setting the disposition to
        SIG_IGN results in different treatment of zombies.

aio_cancel.3
aio_error.3
aio_fsync.3
aio_read.3
aio_return.3
aio_suspend.3
aio_write.3
    Kevin O'Gorman <kogorman@csc.calpoly.edu>
        Add "Link with -lrt" to SYNOPSIS.

backtrace.3
    Nicolas François
        s/backtrace_symbols/backtrace_symbols_fd/ in one sentence.
    mtk
        Fix bogus reference to variable 'strings': should be:
        "the array of pointers".

ctime.3
    mtk
        Add warning under NOTES that asctime(), ctime(), gmtime(), and
        localtime() may each overwrite the static object returned by any
        of the other calls.
        Other minor edits.

dlopen.3
    mtk
        Add more detail to the description of the fields in the
        structure returned by dladdr().

fexecve.3
    mtk
        Clean up SYNOPSIS after work by cut-and-paste-Pete:
        the necessary header file is <unistd.h> not <sys/time.h>!

futimes.3
    mtk
        Add documentation of lutimes(), which appeared in glibc 2.6.
    mtk
        Change description in NAME line ("or" is not correct: these calls
        always change *both* timestamps).
        CONFORMING TO: futimes() did not come from 4.2BSD.  (It came from
        FreeBSD; see the FreeBSD man page.)

getenv.3
    mtk
        Noted that caller must not modify returned value string.
        Noted that getenv() is not reentrant: the buffer may be statically
        allocated and overwritten by later calls to getenv(), putenv(),
        setenv(), or unsetenv().
        Other minor rewrites.

getgrent.3
    Petter Reinholdtsen
        SEE ALSO: Add getgrouplist(3).
        as per http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=479284.

gethostbyname.3
    mtk
        Add 'h_errno' to NAME list.

getopt.3
    mtk
        Add 'optarg', 'optind', 'opterr', and 'optopt' to NAME section.
        Add subheading for getopt_long() and getopt_long_only()
        description.

getpt.3
    mtk
        Point out that this function should be avoided in favor of
        posix_openpt().
        Add ERRORS section referring to open(2).

getsubopt.3
    Daniel Burr
        SYNOPSIS: Fix declaration of valuep.
        as per http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=476672.

malloc.3
    mtk
        RETURN VALUE: Note circumstances in which successful malloc() and
        calloc() can return NULL.

mq_open.3
    mtk, after a note by Marty Leisner
        Note that <fcntl.h> is needed for O_* constants and <sys/stat.h>
        is needed for 'mode' constants.

opendir.3
    mtk
        Describe treatment of close-on-exec flag by opendir() and
        fdopendir().

openpty.3
    mtk
        SEE ALSO: add ttyname(3).

raise.3
    mtk / Timothy Baldwin
        Clarify semantics of raise() when called from a multithreaded
        program.
        as per http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=476484.
    mtk
        Rewrites and additions to various parts of the page.

rand.3
    Tolga Dalman / aeb / mtk
        Remove outdated warning in NOTES; encourage the use of
        random(3) instead.
    Folkert van Heusden
        Clarify wording describing range of values returned by rand().

random.3
    aeb / mtk / Tolga Dalman
        Recommend use or random_r(3) for multithreaded applications
        that need independent, reproducible sequences of random numbers.

        Move references to "The Art of Computer Programming" and
        "Numerical Recipes", formerly in rand(3), to this page.

        Add drand48(93) to SEE ALSO list.

regex.3
    Heikki Orsila
        Clarify description of 'rm_eo' field.

sem_open.3
    mtk, after a note by Marty Leisner
        Note that <fcntl.h> is needed for O_* constants and <sys/stat.h> is
        needed for 'mode' constants.

sem_post.3
    mtk
        Added pointer to example in sem_wait(3).

sem_close.3
sem_destroy.3
sem_getvalue.3
sem_init.3
sem_open.3
sem_post.3
sem_unlink.3
sem_wait.3
    mtk, after a note from Marty Leisner
        Add text to SYNOPSIS noting the need to link with "-lrt" or
        "-pthread".

setenv.3
    mtk
        setenv() copies 'name' and 'value' (contrast with putenv()).
        unsetenv() of a nonexistent variable does nothing and is
        considered successful.
        Noted that setenv() and unsetenv() need not be reentrant.

shm_open.3
    mtk, after a note by Marty Leisner
        Note that <fcntl.h> is needed for O_* constants and <sys/stat.h> is
        needed for 'mode' constants.

undocumented.3
    mtk
        initstate_r(3), setkey_r(3), setstate_r(3) are now documented.

utmp.5
    Nicolas François
        Small rewording.

resolv.conf.5
    Nicolas François
        gethostname() is in Section 2, not section 3.

ascii.7
    Stuart Brady
        Fix rendering of ' (backtick) and apostrophe (') in tables

charsets.7
    Nicolas François
        s/unicode.com/unicode.org/

credentials.7
    mtk
        NOTES: Pthreads requires that all threads share the same UIDs and
        GIDs.  But the Linux kernel maintains separate UIDs and GIDs for
        every thread.  NPTL does some work to ensure that credential
        changes by any thread are carried through to all POSIX threads in
        a process.
    mtk
        sysconf(_SC_NGROUPS_MAX) can be used to determine the number of
        supplementary groups that a process may belong to.
        Clarify that supplementary group IDs are specified in POSIX.1-2001.

epoll.7
    mtk, after a note from Sam Varshavchik
        For answer A2, change "not recommended" to "careful programming
        may be required".

inotify.7
    mtk
        Document SIGIO feature (new in 2.6.25) for inotify file descriptors.
    mtk
        Note that select()/poll()/epoll_wait() indicate a ready inotify
        file descriptor as readable.
    mtk
        Document IN_ATTRIB in a little more detail.

pthreads.7
    Justin Pryzby
        Grammar fix, plus fix typo in script.
    mtk
        Add list of thread-safe functions.

standards.7
    mtk
        Add a section on the upcoming POSIX revision.

ld.so.8
    Justin Pryzby / mtk
        Various wording improvements.


==================== Changes in man-pages-3.00 ====================

Released: 2008-06-12, Konolfingen


Contributors
------------

The following people contributed notes, ideas, or patches that have
been incorporated in changes in this release:

Andries Brouwer <Andries.Brouwer@cwi.nl>
Stuart Brady <sdbrady@ntlworld.com>

Apologies if I missed anyone!


Global changes
--------------

The POSIX.1 man pages (sections 0p, 1p, 3p) have been moved out
of this package into the separate man-pages-posix package.
This made sense because those pages are seldom changed (only formatting
fixes, etc.) so that it was unnecessary to redistribute them with each
man-pages release.


console_codes.4
random.4
dir_colors.5
proc.5
glob.7
    Stuart Brady
        s/`/\`/ for backquotes used in command substitution, for
        proper rendering in UTF-8.

Various pages
    mtk, after a note from Stuart Brady
        Using /'x'/ to denote a character (string) renders poorly in
        UTF-8, where the two ' characters render as closing single
        quotes.  On the other hand, using /`x'/ renders nicely on UTF-8,
        where proper opening and closing single quotes are produced by
        groff(1), but looks ugly when rendered in ASCII.  Using the
        sequence /\\aqx\\aq/ produces a reasonable rendering ('\\aq'
        is a vertical "apostrophe quote") in both UTF-8 and ASCII.
        So that change is made in a number of pages.
        See also http://www.cl.cal.ac.uk/~mgk25/ucs/quotes.html.

Various pages
    mtk
        Replace form /`string'/ by /"string"/, since the former renders
        poorly in ASCII.

termios.3
console_codes.4
tty_ioctl.4
termcap.5
charsets.7
    mtk
        Control character names (^X) are written boldface, without
        quotes.

printf.3
scanf.3
proc.5
glob.7
regex.7
    mtk
        Various edits to try and bring some consistency to the use of
        quotes.


Changes to individual pages
---------------------------

tty_ioctl.4
    mtk
        Small rewordings in description of packet mode.

locale.7
    mtk
        Minor formatting fixes.


==================== Changes in man-pages-3.01 ====================

Released: 2008-06-25, Munich


Contributors
------------

The following people contributed notes, ideas, or patches that have
been incorporated in changes in this release:

Alain Portal <aportal@univ-montp2.fr>
Andreas Herrmann <andreas.herrmann3@amd.comm>
Andrew P <ap@zip.com.au>
Andrew Clayton <andrew@digital-domain.net>
Bart Van Assche <bart.vanassche@gmail.com>
Christian Borntraeger <borntraeger@de.ib.com>
Christoph Hellwig <hch@infradead.org>
Daniele Giacomini <appunti2@gmail.com>
Dorin Lazar <dorin.lazar@gmail.com>
George Spelvin <linux@horizon.com>
Jason Englander <jason@englanders.cc>
Jeff Moyer <jmoyer@redhat.com>
Laurent Vivier <laurent.vivier@bull.net>
Masatake YAMOTO <yamoto@redhat.com>
Matt Mackall <mpm@selenic.com>
Neil Horman <nhorman@tuxdriver.com>
Pavel Machek <pavel@suse.cz>
Peter Zijlstra <a.p.zijlstra@chello.nl>
Petr Baudis <pasky@suse.cz>
Petr Gajdos <pgajdos@suse.cz>
Roman Zippel <zippel@linux-m68k.org>
Sam Varshavchik <mrsam@courier-mta.com>
Samuel Thibault <samuel.thibault@ens-lyon.org>
Stephane Chazelas <stephane_chazelas@yahoo.fr>
Stuart Cunningham <stuartc@rd.bbc.co.uk>
Thomas Gleixner <tglx@linutronix.de>
Tolga Dalman <tdalman@project-psi.org>
Yao Zhao <dragonlinux@gmail.com>
WANG Cong <wcong@critical-links.com>

Apologies if I missed anyone!


New and rewritten pages
-----------------------

acct.5
    mtk
        A complete rewrite of this page, now with much more detail.

hostname.7
    mtk
        A description of hostname resolution.  Taken from FreeBSD 6.2,
        and lightly edited for man-pages style.

symlink.7
    mtk
        A description of symbolic links.  Taken from FreeBSD 6.2, but
        heavily edited for Linux details, improved readability, and
        man-pages style.


Newly documented interfaces in existing pages
---------------------------------------------

getrlimit.2
    mtk / Peter Zijlstra
        Add description of RLIMIT_RTTIME limit, new in 2.6.25.

mkstemp.3
    mtk
        Add description of mkostemp(), new in glibc 2.7.

core.5
    mtk, after a note by Petr Gajdos; review by Neil Horman
        Document core_pattern pipe syntax, which appeared in
        kernel 2.6.19.
        Add an example program demonstrating use of core_pattern
        pipe syntax.
    mtk
        Document /proc/PID/coredump_filter, new in kernel 2.6.23.
        Documentation was based on the text in
        Documentation/filesystems/proc.txt, plus testing, and
        checking the kernel source.

proc.5
    mtk
        Document /proc/PID/oom_score, which was new in kernel 2.6.11.
        This file displays the "badness" score of the process, which
        provides the basis for OOM-killer decisions.
    mtk
        Document /proc/PID/oom_adj, which was new in kernel 2.6.11.
        This file influences the oom_score of a process.
    mtk
        Document /proc/PID/limits, which was new in 2.6.24.
        This file displays a process's resource limits.
    mtk
        Document /proc/PID/fdinfo/*, which was new in 2.6.22.
        These files display info about each descriptor opened by the
        process: the current file offset, and the file access mode +
        file status flags as set in open() or fcntl(F_SETFL).
    mtk
        Document /proc/PID/mountinfo, which was new in 2.6.26.
        This file displays information about mount points.
        Closely based on text from Documentation/filesystems/proc.txt.
    mtk
        Document /proc/PID/mountstats, which was new in 2.6.17.
        This file displays statistics about mount points.
    mtk
        Document /proc/PID/status.
    Samuel Thibault / mtk, review by Laurent Vivier,
                Christian Borntraeger, and Andrew P
        Document guest (virtual CPU) time field in /proc/stat.
        Document guest (virtual CPU) time fields in /proc/PID/stat.


New links
---------

mkostemp.3
    mtk
        Link to mkstemp.3.

getcwd.2
    mtk
        Link to getcwd.3, which describes several interfaces, among
        them getcwd(), which is in fact a system call.


Global changes
--------------

sched_setaffinity.2
sched_setscheduler.2
set_mempolicy.2
mbind.2
    mtk
        SEE ALSO: Add cpuset(7).

chown.2
faccessat.2
fchmodat.2
fchownat.2
fstatat.2
getxattr.2
link.2
linkat.2
listxattr.2
open.2
readlink.2
removexattr.2
rename.2
setxattr.2
stat.2
symlink.2
symlinkat.2
unlink.2
futimes.3
remove.3
path_resolution.7
    mtk
        SEE ALSO: Add symlink(7).

intro.1
time.1
fcntl.2
gethostbyname.3
ioctl_list.2
    mtk
        Wrap source lines so that new sentence starts on new line.

addseverity.3
backtrace.3
dlopen.3
fmtmsg.3
getnameinfo.3
getpt.3
grantpt.3
makecontext.3
ptsname.3
tcgetsid.3
unlockpt.3
wordexp.3
    mtk
        Added VERSIONS section.

msgctl.2
msgget.2
semget.2
semop.2
pciconfig_read.2
basename.3
cmsg.3
ftok.3
console_ioctl.4
tzfile.5
mq_overview.7
pty.7
    mtk
        For consistency, "fix" cases where argument of .B or .I was
        on the following source line.

adjtimex.2
getrusage.2
io_getevents.2
poll.2
select.2
semop.2
sigwaitinfo.2
aio_suspend.3
clock_getres.3
mq_receive.3
mq_send.3
sem_wait.3
proc.5
    mtk
        SEE ALSO: add time(7)

Typographical or grammatical errors have been corrected in several places.
(Special thanks to Nicolas François and Alain Portal.)


Changes to individual pages
---------------------------

acct.2
    mtk
        Add a few more words to DESCRIPTION.
        NOTES: Add pointer to acct(5).

alarm.2
    Alain Portal
        s/process/calling process/ so as to say that the alarm signal is
        delivered to the calling process.

brk.2
    Yao Zhao / mtk
        Clarify discussion of return value of sbrk().
    mtk
        DESCRIPTION: Add some sentences giving an overview of these
        interfaces.
        Add note recommending use of malloc(3).
        Change name of brk() argument to the simpler 'addr'.
        Add "(void *)" cast to "-1" for error return of sbrk().
        Removed some incorrect text about "brk(0)".
        Note that SUSv2 specified the return value of sbrk().
        Added a detail on the glibc brk() wrapper.
        Remove discussions of old standards (C89 and POSIX.1-1990);
        CONFORMING TO already discusses the situation with respect
        to more recent standards.

chmod.2
    mtk
        Clarify description of chmod() and fchmod().
        Add further detail on S_ISUID, S_ISGID, and S_ISVTX permissions.
        Reformat list of permissions bits.

chown.2
    mtk
        Describe rules governing ownership of new files (bsdgroups
        versus sysvgroups, and the effect of the parent directory's
        set-group-ID permission bit).

chroot.2
    Alain Portal
        Clarify description a little.
        s/changes the root directory/
          changes the root directory of the calling process/

execve.2
    mtk
        Fix text that warns against use of NULL argv and envp.
        Using a NULL envp does in fact seem to be portable (works
        on Solaris and FreeBSD), but the Linux semantics for a NULL
        argv certainly aren't consistent with other implementations.
        See http://bugzilla.kernel.org/show_bug.cgi?id=8408.

getdents.2
    mtk, after a note from George Spelvin
        Document d_type field, present since kernel 2.6.4.
        Other minor edits.

getitimer.2
    mtk
        Noted that POSIX.1 leaves interactions with alarm(), sleep(),
        and usleep() unspecified.
        Linux 2.6.16 removed the MAX_SEC_IN_JIFFIES ceiling on timer
        values.
        Other minor changes.

io_cancel.2
io_destroy.2
io_getevents.2
io_setup.2
io_submit.2
    mtk, after a note by Masatake YAMOTO and input from Jeff Moyer
        Describe the unconventional error return provided by the
        wrapper function in libaio (and contrast with behavior if
        the system call is invoked via syscall(2)).
        See http://thread.gmane.org/gmane.linux.ltp/4445/
    Alain Portal / mtk
        Re-order ERRORS and SEE ALSO entries to be alphabetical.

io_getevents.2
    Alain Portal
        Small wording fix.

io_submit.2
    Jeff Moyer
        s/AIO request blocks/AIO control blocks/

mknod.2
    mtk
        Note that EEXIST applies, even if the pathname is a
        (possibly dangling) symbolic link.

nanosleep.2
    mtk, after a report from Stephane Chazelas
        Remove crufty discussion of HZ, and replace with a pointer
        to time(7).
        See http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=485636
    mtk, after some discussions with Bart Van Assche and Roman Zippel
        NOTES: describe CLOCK_REALTIME versus CLOCK_NANOSLEEP
        See also http://thread.gmane.org/gmane.linux.kernel/696854/
        "nanosleep() uses CLOCK_MONOTONIC, should be CLOCK_REALTIME?"
    mtk
        Replace mentions of "process' by "thread".
        NOTES: describe case where clock_nanosleep() can be preferable.
        Some minor rewrites.

open.2
    mtk, after a note from Christoph Hellwig
        NOTES: Note that access mode flags are not single bits,
        and document the Linuxism "access mode 3".
        See also http://thread.gmane.org/gmane.linux.kernel/653123.

readdir.2
    mtk
        Minor wording fixes.

recv.2
    Alain Portal
        Add comment to 'ee_pad' field in structure definition.

sched_setscheduler.2
    mtk
        Add pointer to discussion of RLIMIT_RTTIME in getrlimit.2.
    mtk, after a note by Andrew Clayton
        Rewrote and restructured various parts of the page for greater
        clarity.
    mtk
        Add more detail to the rules that are applied when an
        unprivileged process with a non-zero RLIMIT_RTPRIO limit
        changes policy and priority.
        SEE ALSO: Add Documentation/scheduler/sched-rt-group.txt

sync_file_range.2
    Pavel Machek
        SYNC_FILE_RANGE_WRITE can block on writes greater than request
        queue size.  For some background, see
        http://thread.gmane.org/gmane.linux.kernel/687713/focus=688340

syscalls.2
    mtk
        Added system call history back to version 1.2.
        Fix typo on kernel version for pivot_root().

syslog.2
    WANG Cong
        Document ENOSYS error, which can occur if kernel was built without
        CONFIG_PRINTK.

utime.2
    Nicolas François
        Clarify description of 'times' array for utimes().

adjtime.3
    mtk
        The longstanding bug that if delta was NULL, olddelta
        didn't return the outstanding clock adjustment, is now fixed
        (since glibc 2.8 + kernel 2.6.26).
        http://sourceware.org/bugzilla/show_bug?id=2449
        http://bugzilla.kernel.org/show_bug.cgi?id=6761

dprintf.3
    mtk
        Note that these functions are included in the next POSIX revision.
        Remove editorial discussion about what the functions should have
        been named.

ftime.3
    mtk
        Rewrote various pieces, and added some details.

getaddrinfo.3
    mtk
        Improve description or 'hints' and 'res' arguments.
        Add details on numeric strings that can be specified for 'node'.
        Other fairly major restructurings and rewrites to improve
        logical structure and clarity of the page.
        SEE ALSO: Add hostname(7).

gethostbyname.3
    mtk
        DESCRIPTION: Add reference to inet_addr(3) for dotted notation.
        SEE ALSO: add inet(3).
    mtk
        Added BUGS section noting that gethostbyname() does not
        recognize hexadecimal components in dotted address strings;
        See http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=482973

getmntent.3
    mtk, after Stuart Cunningham pointed out the typo
        Remove statement that LSB deprecates the functions
        "endmntent(), setmntent() [sic] and setmntent()".
        This doesn't seem to be true (I can't find mention of it
        being deprecated in any of the LSB specs).  Rather, LSB simply
        doesn't specify these functions.  (LSB 1.3 had a spec of
        setmntent(), but not getmntent() or endmntent(), and noted
        that having a spec of setmntent() was of little use without
        also having a spec of getmntent().)
        See also https://lists.linux-foundation.org/pipermail/lsb-discuss/2006-October/003078.html

getnameinfo.3
    Tolga Dalman
        Remove mention of sa_len field from example code.
        That field is a BSDism not present on Linux.
    mtk
        Various minor changes.

inet.3
    mtk / Stephane Chazelas
        inet_aton() is *not* in POSIX.1.
        Rewrote discussion of why inet_addr() is disfavored.
        SEE ALSO: Add getaddrinfo(3).
        as per http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=482979.
    mtk, after a note by Stephane Chazelas
        Describe the various address forms supported by inet_aton().
    mtk
        Rewrite description of inet_network().
        Clarify discussion of inet_lnaof(), inet_netof(), and inet_makeaddr().
        Add discussion of Classful Addressing, noting that it is obsolete.
        Added an EXAMPLE program.
    mtk
        Relocate discussion of i386 byte order to NOTES.
        Note that inet_aton() returns an address in network byte order.
        SEE ALSO: Add byteorder(3) and getnameinfo(3).

inet_ntop.3
    mtk
        Remove unneeded header files from SYNOPSIS.
        SEE ALSO: Add inet(3) and getnameinfo(3).
        Make NAME line more precise.
        Move errors to an ERRORS section.
        Add EXAMPLE section pointing to inet_pton(3).

inet_pton.3
    mtk / Stephane Chazelas
        Remove statement that inet_pton() extends inet_ntoa();
        that's not really true, since inet_pton() doesn't support
        all of the string forms that are supported by inet_ntoa().
        SEE ALSO: Add getaddrinfo(3).
        as per http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=482987.
    mtk
        Describe IPv6 address formats.
        Describe dotted decimal format in more detail.
        Add an example program.
    mtk
        Remove unneeded header files from SYNOPSIS.
        Make NAME line more precise.
        Make description of return value more precise.
        SEE ALSO: Add inet(3).

mkfifo.3
    mtk
        Note that EEXIST applies, even if the pathname is a
        (possibly dangling) symbolic link.

mkstemp.3
    mtk
        Fix discussion of O_EXCL flag.
        These functions may also fail for any of the errors described
        in open(2).
        Various other rewordings.

readdir.3
    mtk
        Document DT_LNK (symbolic link) for d_type field.
        Reorder DT_ entries alphabetically.

remainder.3
    mtk
        Recommend against drem(), in favor of remainder().

scanf.3
    mtk, after a note from Stephane Chazelas
        Add an ERRORS section documenting at least some of the errors
        that may occur for scanf().
        See also http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=487254.
    mtk, after a note from Stephane Chazelas; review by Stephane Chazelas
        Document the GNU 'a' modifier for dynamically allocating strings.
        See also http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=487254.
        Document the GNU 'm' modifier for dynamically allocating strings.

strcat.3
    Andreas Herrmann
        s/strcat/strncat/ (a typo that changed the semantics in
        DESCRIPTION).

strerror.3
    mtk, after a note from Daniele Giacomini
        Modify SYNOPSIS to show prototypes of both versions of strerror_r(),
        and make other small clarifications of the description regarding
        the two versions.

random.4
    George Spelvin (taking time out from his busy Broadway schedule),
    with some tweaks by Matt Mackall and mtk
        Add a Usage subsection that recommends most users to use
        /dev/urandom, and emphasizes parsimonious usage of
        /dev/random.

locale.5
    Petr Baudis <pasky@suse.cz>
        LC_TIME: Describe first_weekday and first_workday.

proc.5
    mtk
        The various CPU time fields in /proc/stat and /proc/PID/stat
        return time in clock ticks (USER_HZ, cputime_to_clock_t(),
        sysconf(_SC_CLK_TCK)).
        Updated, clarified and expanded the description several
        fields in /proc/[number]/stat.
    mtk
        Clarified and expanded the description of /proc/[number]/fd.
    mtk
        Updated and clarified the description of /proc/[number]/statm.
    mtk
        Updated and clarified the description of /proc/sys/fs/dentry-state.
    mtk
        Many formatting, wording, and grammar fixes.

man-pages.7
    mtk
        Enhanced description of VERSIONS section.

mq_overview.7
    mtk
        Note that Linux does not currently support ACLs for POSIX
        message queues.

sem_overview.7
    mtk
        Note that Linux supports ACLs on POSIX named semaphores
        since 2.6.19.

time.7
    mtk, with some suggestions from Bart Van Assche and Thomas Gleixner
        Added some details about where jiffies come into play.
        Added section on high-resolution timers.
        Mentioned a few other time-related interfaces at various
        points in the page.
        See http://thread.gmane.org/gmane.linux.kernel/697378.

unix.7
    mtk, after a note by Samuel Thibault
        Provide a clear description of the three types of address that
        can appear in the sockaddr_un structure: pathname, unnamed,
        and abstract.


==================== Changes in man-pages-3.02 ====================

Released: 2008-07-02, Konolfingen


Contributors
------------

The following people contributed notes, ideas, or patches that have
been incorporated in changes in this release:

Alain Portal <aportal@univ-montp2.fr>
Andries Brouwer <Andries.Brouwer@cwi.nl>
Reuben Thomas <rrt@sc3d.org>
Sam Varshavchik <mrsam@courier-mta.com>
Stephane Chazelas <stephane_chazelas@yahoo.fr>
WANG Cong <xiyou.wangcong@gmail.com>

Apologies if I missed anyone!


New and rewritten pages
-----------------------

clock_nanosleep.2
    mtk
        A description of the clock_nanosleep() system call,
        which was added in kernel 2.6.

getgrouplist.3
    mtk
        A near complete rewrite, including additional information and
        a new example program.

getutmp.3
    mtk
        Documents getutmp(3) and getutmpx(3).

gnu_get_libc_version.3
    mtk
        Documents gnu_get_libc_version(3) and gnu_get_libc_release(3).

sigwait.3
    mtk
        Documents sigwait(3).

shm_overview.7
    mtk
        An overview of the POSIX shared memory API.


Newly documented interfaces in existing pages
---------------------------------------------

updwtmp.3
    mtk
        Document updwtmpx(3).


New links
---------

getutmpx.3
    mtk
        Link to getutmp.3.

gnu_get_libc_release.3
    mtk
        Link to gnu_get_libc_version.3

updwtmpx.3
    mtk
        Link to updwtmp.3

utmpxname.3
    mtk
        Link to getutent.3.

utmpx.5
    mtk
        Link to utmp.5.


Global changes
--------------

Various pages
    mtk
        s/user name/username/

Various pages
    mtk
        s/host name/hostname/


Changes to individual pages
---------------------------

fchmodat.2
    Alain Portal
        SEE ALSO: add symlink.7.  (3.01 changelog wrongly said this
        had been done.)

io_setup.2
    Alain Portal
        Remove superfluous text from RETURN VALUE.

mmap.2
    mtk
        SEE ALSO: Add mmap(2), shm_overview(7).

shmget.2
shmop.2
    mtk
        SEE ALSO: add shm_overview(7).

sigreturn.2
    mtk
        Added a bit more detail on what sigreturn() actually does.

signalfd.2
sigsuspend.2
    mtk
        SEE ALSO: Add sigwait(3).

sigwaitinfo.2
    mtk
        Describe behavior when multiple threads are blocked in
        sigwaitinfo()/sigtimedwait().
        SEE ALSO: Add sigwait(3).

dirfd.3
    mtk
        RETURN VALUE: describe return value on success.
        Add an ERRORS section documenting POSIX.1-specified errors.

getaddrinfo.3
    mtk, after a note by Stephane Chazelas
        getaddrinfo() supports specifying IPv6 scope-IDs.

getlogin.3
    mtk
        ERRORS: add ENOTTY.
        SEE ALSO: add utmp(5).

getutent.3
    WANG Cong
        utmpname() does return a value.
    mtk
        Add paragraph to start of DESCRIPTION recommending
        use of POSIX.1 "utmpx" functions.
        CONFORMING TO: mention utmpxname().
        Add an ERRORS section.
        There are no utmpx equivalents of the _r reentrant functions.
        Clarify discussion of return values.
        Add pointer to definition of utmp structure in utmp(5).
        Clarify discussion of utmpx file on other systems (versus
        Linux situation).

getutent.3
    mtk
        SEE ALSO: add getutmp(3)

inet_pton.3
    Stephane Chazelas
        Fix error in description of IPv6 presentation format:
        s/x.x.x.x.x.x.x.x/x:x:x:x:x:x:x:x/.

setbuf.3
    Reuben Thomas / mtk
        Fix confused wording for return value of setvbuf().
        Fixes http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=488104.
    mtk
        Other minor rewordings.

shm_open.3
    mtk
        SEE ALSO: add shm_overview(7).

random.4
    mtk, after a note by Alain Portal
        Slight rewording to make life easier for non-native English
        speakers.

utmp.5
    mtk
        Add discussion of POSIX.1 utmpx specification.
        Provide a little more detail on fields of utmp structure.
        Added comments to macros for ut_type field.
        Correct the description of the ut_id field.
    mtk
        Consolidate duplicated information about ut_tv and ut_session
        on biarch platforms.
    mtk
        Move some text from CONFORMING TO to NOTES.
        Removed some crufty text.
        SEE ALSO: add login(3), logout(3), logwtmp(3).
        UT_LINESIZE is 32 (not 12).
    mtk
        SEE ALSO: add getutmp(3)

man-pages.7
    mtk
        Enhanced the discussion of font conventions.

signal.7
    mtk
        Note that the delivery order of multiple pending standard
        signals is unspecified.
        SEE ALSO: Add sigwait(3).


==================== Changes in man-pages-3.03 ====================

Released: 2008-07-08, Konolfingen


Contributors
------------

The following people contributed notes, ideas, or patches that have
been incorporated in changes in this release:

Alain Portal <aportal@univ-montp2.fr>
Andi Kleen <ak@muc.de>
Hidetoshi Seto <seto.hidetoshi@jp.fujitsu.com>
Li Zefan <lizf@cn.fujitsu.com>
Paul Jackson <pj@sgi.com>
Sam Varshavchik <mrsam@courier-mta.com>

Apologies if I missed anyone!


New and rewritten pages
-----------------------

getcpu.2
    Andi Kleen, with some text and edits by mtk
        Documents the getcpu(2) system call, introduced in Linux 2.6.19.

sched_getcpu.3
    mtk
        Documents sched_getcpu(3), a wrapper for getcpu(2), provided
        since glibc 2.6.

cpuset.7
    Paul Jackson, with review and editing by mtk, and comments by
    Hidetoshi Seto and Li Zefan
        A description of the cpuset file system, the mechanism introduced
        kernel 2.6.12 for confining processes to designated processors
        and nodes.  (Becomes the fourth largest page in man-pages!)


Newly documented interfaces in existing pages
---------------------------------------------

readdir.3
    mtk
        Add documentation of readdir_r().


New links
---------

updwtmpx.3
    Alain Portal
        Link to updwtmp.3 (3.02 changelog wrongly said this had been done).

readdir_r.3
    mtk
        Link to readdir.3.


Global changes
--------------

get_mempolicy.2
mbind.2
sched_setaffinity.2
set_mempolicy.2
    mtk
        SEE ALSO: Add getcpu(2).

accept.2
close.2
connect.2
dup.2
epoll_wait.2
fcntl.2
flock.2
futex.2
msgop.2
poll.2
read.2
recv.2
select.2
semop.2
send.2
sigwaitinfo.2
spu_run.2
wait.2
write.2
aio_suspend.3
mq_receive.3
mq_send.3
scanf.3
sem_wait.3
usleep.3
inotify.7
    mtk
        ERRORS: Added reference to signal(7) in discussion of EINTR.

Various pages
    mtk
        Wrapped very long source lines.


Changes to individual pages
---------------------------

accept.2
    mtk
        Small wording change.

io_getevents.2
    mtk
        ERRORS: Add EINTR error.

open.2
    mtk
        ERRORS: Add EINTR error.

sigaction.2
    mtk
        Note circumstances in which each SA_* flag is meaningful.
    mtk
        Describe POSIX specification, and Linux semantics for
        SA_NOCLDWAIT when establishing a handler for SIGCHLD.
    mtk
        Add pointer under SA_RESTART to new text in signal(7)
        describing system call restarting.
    mtk
        Other minor edits.

truncate.2
    mtk
        ERRORS: Added EINTR error.
        A few minor rewordings.

wait.2
    mtk
        Remove statement that WUNTRACED and WCONTINUED only have effect
        if SA_NOCLDSTOP has not been set for SIGCHLD.  That's not true.

errno.3
    mtk
        Add a pointer to signal(7) for further explanation of EINTR.

getgrouplist.3
    mtk
        SEE ALSO: Add passwd(5).

readdir.3
    mtk
        Remove <sys/types.h> from SYNOPSIS; POSIX.1-2001 does not
        require it.
        Some minor rewordings.

sleep.3
    mtk
        RETURN VALUE: explicitly mention interruption by signal handler.
        SEE ALSO: add signal(7).

usleep.3
    mtk
        POSIX.1-2001 also only documents EINVAL.

group.5
    mtk
        SEE ALSO: Add getgrent(3), getgrnam(3).

passwd.5
    mtk
        SEE ALSO: Add getpwent(3), getpwnam(3).

proc.5
    mtk
        Add pointer to description of /proc/PID/cpuset in cpuset(7).

signal.7
    mtk
        Add a section describing system call restarting, and noting
        which system calls are affected by SA_RESTART, and which
        system calls are never restarted.
    mtk
        Describe the aberrant Linux behavior whereby a stop signal
        plus SIGCONT can interrupt some system calls, even if no
        signal handler has been established, and note the system
        calls that behave this way.
    mtk
        Note a few more architectures on which signal numbers are valid.
        SEE ALSO: added a number of pages.
    mtk
        Update async-signal-safe function list for POSIX.1-2004 (which
        adds sockatmark()).


==================== Changes in man-pages-3.04 ====================

Released: 2008-07-15, Konolfingen


Contributors
------------

The following people contributed notes, ideas, or patches that have
been incorporated in changes in this release:

Alain Portal <aportal@univ-montp2.fr>
Andrea Arcangeli <andrea@cpushare.com>
Andreas Mohr <andi@lisas.de>
Andrew Morgan <morgan@kernel.org>
Erik Bosman <ejbosman@cs.vu.nl>
John Brooks <aspecialj@gmail.com>
Nikanth Karthikesan <knikanth@suse.de>
Pavel Heimlich <tropikhajma@seznam.cz>
Petr Gajdos <pgajdos@suse.cz>
Sam Varshavchik <mrsam@courier-mta.com>
Serge Hallyn <serue@us.ibm.com>
Sripathi Kodi <sripathik@in.ibm.com>
Vincent Lefevre <vincent@vinc17.org>

Apologies if I missed anyone!


Web site
--------

licenses.html
    mtk
        A page describing the preferred licenses for new pages that
        are contributed to man-pages.


New and rewritten pages
-----------------------

utimensat.2
    mtk
        New page documenting the utimensat() system call, new in 2.6.22,
        and futimens() library function.

end.3
    mtk
        Documents etext, edata, and end symbols.


Newly documented interfaces in existing pages
---------------------------------------------

memchr.3
    mtk
        Add description of rawmemchr().

proc.5
    mtk
        Document /proc/config.gz (new in kernel 2.6).
    mtk, based on text from Documentation/vm/sysctl.txt
        Document /proc/sys/vm/oom_kill_allocating_task
        (new in Linux 2.6.24).
        Document /proc/sys/vm/oom_dump_tasks
        (new in Linux 2.6.25).
        Document /proc/sys/vm/panic_on_oom
        (new in Linux 2.6.18).


New links
---------

edata.3
etext.3
    mtk
        Links to end.3.

futimens.3
    mtk
        Link to new utimensat.2.

getdate_err.3
    mtk
        Link to getdate.3.

h_errno.3
    mtk
        Link to gethostbyname.3.

optarg.3
opterr.3
optind.3
optopt.3
    mtk
        Links to getopt.3.

rawmemchr.3
    mtk
        Link to memchr.3.

sys_errlist.3
sys_nerr.3
    mtk
        Links to perror.3.


Global changes
--------------

Various pages
    mtk
        s/parameter/argument/ when talking about the things given
        to a function call, for consistency with majority usage.

Various pages
    mtk
        s/UNIX/Unix/, when not used as part of a trademark,
        for consistency with majority usage in pages.

Various pages
    mtk, after a note from Alain Portal
        Put SEE ALSO entries into alphabetical order.

Various pages
    mtk
        Remove period at end of SEE ALSO list.

Various pages
    mtk, after a note by Alain Portal
        Even when the CONFORMING TO section is just a list of standards,
        they should be terminated by a period.

getpriority.2
MB_LEN_MAX.3
MB_CUR_MAX.3
fwide.3
mblen.3
rtime.3
st.4
proc.5
bootparam.7
man-pages.7
utf-8.7
tcp.5
    mtk / Alain Portal
        Small wording fixes -- express <=, <, >=, > in words when in
        running text.

sched_setparam.2
sched_setscheduler.2
getgrent_r.3
hash.3
    mtk
        Minor rewording w.r.t. use of the term "parameter".

Typographical or grammatical errors have been corrected in several
other places.  (Many, many thanks to Alain Portal!)


Changes to individual pages
---------------------------

capget.2
    Andrew Morgan
        Update in line with addition of file capabilities and
        64-bit capability sets in kernel 2.6.2[45].

clock_nanosleep.2
    mtk
        Add "Link with -lrt" to SYNOPSIS.

getrusage.2
    Sripathi Kodi
        Document RUSAGE_THREAD, new in 2.6.26.
    mtk
        Improve description of RUSAGE_CHILDREN.
        Add pointer to /proc/PID/stat in proc(5).
        Other minor clean-ups.

ioprio_set.2
    Nikanth Karthikesan
        Since Linux 2.6.25, CAP_SYS_ADMIN is longer required to set
        a low priority (IOPRIO_CLASS_IDLE).

mount.2
    mtk
        Since Linux 2.6.26, MS_RDONLY honors bind mounts.

openat.2
    mtk
        SEE ALSO: add utimensat(3).

prctl.2
    Serge Hallyn, with some edits/input from mtk
        Document PR_CAPBSET_READ and PR_CAPBSET_DROP.
    Erik Bosman
        Document PR_GET_TSC and PR_SET_TSC.
    mtk, reviewed by Andrea Arcangeli
        Document PR_SET_SECCOMP and PR_GET_SECCOMP.
    mtk
        PR_SET_KEEPCAPS and PR_GET_KEEPCAPS operate on a per-thread
        setting, not a per-process setting.
    mtk
        Clarify fork(2) details for PR_SET_PDEATHSIG.
    mtk
        Add description of PR_SET_SECUREBITS and PR_GET_SECUREBITS,
        as well as pointer to further info in capabilities(7).
    mtk
        PR_GET_ENDIAN returns endianness info in location pointed to by
        arg2 (not as function result, as was implied by previous text).
    mtk
        Expand description of PR_SET_NAME and PR_GET_NAME.
    mtk
        RETURN VALUE: bring up to date for various options.
    mtk
        Various improvements in ERRORS.
    mtk
        Note that PR_SET_TIMING setting of PR_TIMING_TIMESTAMP is not
        currently implemented.
    mtk
        Minor changes:
        * Clarify wording for PR_GET_UNALIGN, PR_GET_FPEMU, and
          PR_GET_FPEXC.
        * Some reformatting of kernel version information.
        * Reorder PR_GET_ENDIAN and PR_SET_ENDIAN entries.

readlinkat.2
    John Brooks / mtk
         Fix and reword erroneous RETURN VALUE text.

recv.2
    mtk
        Noted which flags appeared in Linux 2.2.

sched_setaffinity.2
    mtk, after a Fedora downstream patch
        Update type used for cpusetsize argument in SYNOPSIS.

select.2
    Andreas Mohr / mtk
        Clarify "zero timeout" case.
        as per http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=490868.

send.2
    mtk
        Noted which flags appeared in Linux 2.2.

sigaction.2
    mtk
        Document si_overrun and si_tid fields of siginfo structure.
        Add some text for si_trapno field.
        The si_errno field is *generally* unused.
    mtk
        Put descriptions of SA_* constants in alphabetical order.

signal.2
    mtk
        Rewrote and expanded portability discussion.
        NOTES: Show the raw prototype of signal() (without use of
        sighandler_t).

signalfd.2
    mtk
        Modify description of ssi_trapno field.

swapon.2
    mtk
        Fix two version number typos for MAX_SWAPFILES discussion:
        s/2.6.10/2.4.10/

utime.2
    mtk
         SEE ALSO: add utimensat(2), futimens(3).

dl_iterate_phdr.3
    Alain Portal
        SEE ALSO: Add elf(5).

crypt.3
    mtk, after a Fedora downstream patch
        Describe additional encryption algorithms.
        See also: https://bugzilla.redhat.com/show_bug.cgi?id=428280.

errno.3
    mtk
        Small rewrites in DESCRIPTION.

exec.3
    mtk, after a note from Alain Portal
        Small rewording.

exp10.3
    Alain Portal
        SEE ALSO: Add log10(3).

exp2.3
    Alain Portal
        Add C99 to CONFORMING TO.

fgetgrent.3
    Alain Portal
        Add references to group(5).
    mtk
        Minor rewordings.
        SEE ALSO: add fopen(3).

fgetpwent.3
    Alain Portal
        Add reference to passwd(5).
    mtk
        Minor rewordings.
        SEE ALSO: add fopen(3).

frexp.3
    Alain Portal
        Add C99 to CONFORMING TO.

futimes.3
    mtk
         SEE ALSO: remove futimesat(2); add utimensat(2).

getopt.3
    mtk
        Add details on initial value of optind, and note that it can
        be reset (to 1) to restart scanning of an argument vector.
        Add a NOTES section describing the glibc-specific behavior
        when optind is reset to 0 (rather than 1).
        See http://groups.google.com/group/comp.unix.programmer/browse_thread/thread/be0d0b7a07a165fb
    mtk
        Note glibc extensions under CONFORMING TO.

getspnam.3
    mtk
        Improve comments on struct spwd.

getpw.3
    Alain Portal
        RETURN VALUE: note that errno is set on error.
    mtk
        Add EINVAL error.

insque.3
    mtk / Alain Portal
        Minor rewordings.

log.3
    Alain Portal
        Remove unnecessary sentence in ERRORS.

log10.3
    mtk
        SEE ALSO: Add exp10(3).

offsetof.3
    Alain Portal
        Small wording improvement.

pow.3
    Alain Portal
        Remove unnecessary sentence in ERRORS.

printf.3
    mtk / Alain Portal
        Many small formatting fixes.

proc.5
    mtk
        Remove redundant summary list of files in description of
        /proc/sys/kernel.
        Make kernel version for /proc/sys/kernel/panic_on_oops more precise.
        Make kernel version for /proc/sys/kernel/pid_max more precise.
        Add Documentation/sysctl/vm.txt to SEE ALSO.
        Other minor edits.

profil.3
    mtk / Alain Portal
         Small wording improvement.

rtime.3
    mtk, after a note by Alain Portal
        Clarify meaning of midnight on 1 Jan 1900/1970.
    mtk
        Remove netdate(1) and rdate(1) from SEE ALSO, since these pages
        don't seem to exist on Linux systems.

scanf.3
    Vincent Lefevre / mtk
        Clarify treatment of initial white space by %% conversion
        specification.
        as per http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=435648.
    mtk
        Many small formatting fixes.

stdin.3
    Alain Portal
        Rename CONSIDERATIONS section to NOTES, and relocate
        to appropriate place on page.

tmpfile.3
    mtk, after a note by Alain Portal
        Prepend "POSIX.1-2001 specifies that: " to the sentence stating
        that tmpfile() may write to stdout.  (AFAICS, glibc's tmpfile()
        does not do this.)

ttyname.3
    Alain Portal
        Remove unnecessary sentence in ERRORS.

wcsdup.3
    Alain Portal
        Make wording more precise: the memory allocated by wcsdup(3)
        *should* be freed with free(3).

wordexp.3
    Alain Portal / mtk
        Move example into proper EXAMPLE section.

tty_ioctl.4
    mtk / Petr Gajdos
        The features in the "Get and Set Window Size" subsection
        require the inclusion of <sys/ioctl.h>.

capabilities.7
    Serge Hallyn, plus a bit of work by mtk
        Document file capabilities, per-process capability bounding set,
        changed semantics for CAP_SETPCAP, and other changes in 2.6.2[45].
        Add CAP_MAC_ADMIN, CAP_MAC_OVERRIDE, CAP_SETFCAP.
        Various smaller fixes.
    mtk, plus review by Serge Hallyn and Andrew Morgan
        Add text detailing how CAP_SETPCAP (theoretically) permits -- on
        pre-2.6.25 kernels, and 2.6.25 and later kernels with file
        capabilities disabled -- a thread to change the capability sets
        of another thread.
        Add section describing rules for programmatically adjusting
        thread capability sets.
        Add some words describing purpose of inheritable set.
        Note existence of CONFIG_SECURITY_CAPABILITIES config option.
        Describe rationale for capability bounding set.
        Document securebits flags (new in 2.6.26).
        Remove obsolete BUGS section.
        SEE ALSO: Add getcap(8), setcap(8), and various libcap pages.
    mtk
        Add text noting that if we set the effective flag for one
        file capability, then we must also set the effective flag for all
        other capabilities where the permitted or inheritable bit is set.
    mtk
        Since Linux 2.6.25, CAP_SYS_ADMIN is no longer required for
        ioprio_set() to set IOPRIO_CLASS_IDLE class.
    mtk
        Reword discussion of CAP_LINUX_IMMUTABLE to be file-system neutral.

man-pages.7
   mtk
       A list of standards in the CONFORMING TO list should be
       terminated by a period.
       The list of pages in a SEE ALSO list should not be
       terminated by a period.

tcp.7
    mtk
        Correct a detail for sysctl_tcp_adv_win_scale.
        Formatting fixes.


==================== Changes in man-pages-3.05 ====================

Released: 2008-07-23, Konolfingen


Contributors
------------

The following people contributed notes, ideas, or patches that have
been incorporated in changes in this release:

Alain Portal <aportal@univ-montp2.fr>
Andries Brouwer <Andries.Brouwer@cwi.nl>
Brian M. Carlson <sandals@crustytoothpaste.ath.cx>
Fabian Kreutz <kreutz@dbs.uni-hannover.de>
Franck Jousseaume <franck.jousseaume@gmail.com>
Sam Varshavchik <mrsam@courier-mta.com>
Uli Schlacter <psychon@znc.in>

Apologies if I missed anyone!


New and rewritten pages
-----------------------

matherr.3
    mtk, with review by Andries Brouwer
        A description of the SVID-specified mechanism for reporting
        math exceptions.
        See http://thread.gmane.org/gmane.linux.man/266.

math_error.7
    mtk, with review and suggested input from Andries Brouwer
        A description of how math functions report errors.
        See http://thread.gmane.org/gmane.linux.man/249.


Global changes
--------------

Various pages
    mtk
        s/floating point/floating-point/ when used attributively.

Various pages
    mtk
        For consistency with majority usage:
        s/plus infinity/positive infinity/
        s/minus infinity/negative infinity/

Typographical or grammatical errors have been corrected in several
other places.


Changes to individual pages
---------------------------

brk.2
    mtk
        SEE ALSO: add end(3).

open.2
    Brian M. Carlson / mtk
        Remove ambiguity in description of support for O_EXCL on NFS.
        As per http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=491791.

prctl.2
    mtk
        Place options in some semblance of alphabetical order.
        (No content or formatting changes were made.)

cerf.3
    mtk
        Bump version number: these functions are still missing in
        glibc 2.8.

fenv.3
    mtk
        SEE ALSO: Add math_error(7).

INFINITY.3
    mtk
        SEE ALSO: Add math_error(7).

nan.3
    mtk
        Remove unneeded "Compile with" piece in SYNOPSIS.
        SEE ALSO: Add math_error(7).

rpc.3
    mtk / Franck Jousseaume
        Fix errors introduced into a few prototypes when converting
        function declarations to use modern C prototypes in man-pages-2.75.

ipv6.7
    mtk, after a report from Uli Schlacter
        Document the IPV6_V6ONLY flag.


==================== Changes in man-pages-3.06 ====================

Released: 2008-08-05, Konolfingen


Contributors
------------

The following people contributed notes, ideas, or patches that have
been incorporated in changes in this release:

Andreas Jaeger <aj@novell.com>
Andries Brouwer <Andries.Brouwer@cwi.nl>
Fabian Kreutz <kreutz@dbs.uni-hannover.de>
Gernot Tenchio <g.tenchio@telco-tech.de>
Sam Varshavchik <mrsam@courier-mta.com>
Tolga Dalman <tdalman@project-psi.org>

Apologies if I missed anyone!


New and rewritten pages
-----------------------

erfc.3
    mtk
        Created after removing the erfc() material from erf.3.
        Documents the complementary error function.

y0.3
    mtk
        Created after removing the y*() material from j0.3.
        Documents the Bessel functions of the second kind.
        Included ERRORS section; noted that an exception is not
        raised on underflow, see also
        http://sources.redhat.com/bugzilla/show_bug.cgi?id=6806;
        and errno is not set on overflow, see also
        http://sources.redhat.com/bugzilla/show_bug.cgi?id=6808;
        Included BUGS section noting that errno is incorrectly
        set for pole error; see also
        http://sources.redhat.com/bugzilla/show_bug.cgi?id=6807.

scalbln.3
    mtk
        Created after removing the scalbln*() and scalbn*() material
        from scalb.3.  Documents scalbln() and scalbn() functions.
        Included ERRORS section; noted that errno is not set; see
        also http://sources.redhat.com/bugzilla/show_bug.cgi?id=6803.


New and changed links
---------------------

erfcf.3
erfcl.3
    mtk
        Changed these links to point to new erfc.3 page.

scalblnf.3
scalblnl.3
scalbn.3
scalbnf.3
scalbnl.3
    mtk
        Changed these links to point to new scalbln.3 page.

y0f.3
y0l.3
y1.3
y1f.3
y1l.3
yn.3
ynf.3
ynl.3
    mtk
        Changed these links to point to new y0.3 page.


Global changes
--------------

Various pages
    mtk
        s/floating point/floating-point/ when used attributively.

Typographical or grammatical errors have been corrected in several
other places.


Changes to individual pages
---------------------------

crypt.3
    mtk
        Tweak discuss text describing support for Blowfish.

ctime.3
    mtk / Gernot Tenchio
        Added some words to make clear that the string returned by
        ctime() and asctime() is null-terminated.

math_error.7
    Sam Varshavchik
        Reverse order of SYNOPSIS and NAME sections.
    mtk
        NOTES: Summarize the state of glibc support for exceptions
        and errno for error reporting.


Changes to individual pages (math functions)
--------------------------------------------

Almost all of the changes in this release relate to math man pages.
Very many changes were made to the math pages, including:

* Fixed feature test macros (FTMs).  Often, the FTM requirements
  for the "float" and "long double" versions of a math function are
  different from the requirements for the "double" version.  Each math
  page now shows the correct FTM requirements for all three versions
  of the function(s) it describes.  This may have required either
  a change to the existing FTM text (if the requirements for the
  "double" function were already described), or the addition of an FTM
  description to a SYNOPSIS where one was not previously present
  (typically because the "double" version of the function does not
  require any FTMs to be defined).
* CONFORMING TO: in many cases, POSIX.1-2001 was not mentioned.
  Where a function is specified in POSIX.1-2001, this is now noted.
  Also, statements about what other standards a function conforms to
  were generally clarified.  (The wording about which functions conformed
  to C99 was previously often done as an add on sentence; now it is made
  part of the first sentence of the CONFORMING TO section, along with
  POSIX.1-2001.)
* RETURN VALUE: in many cases, pages lacked descriptions of the return
  value when the function arguments are special values such as +0, -0,
  NaN (not-a-number), +infinity, -infinity, etc.  This has been fixed.
  I carried out tests on glibc 2.8 to ensure that all of these
  functions match the RETURN VALUE descriptions (and the POSIX.1-2001
  requirements).
* ERRORS: many pages lacked a clear (or indeed any) description of
  how errno is set on error and what exception is raised for each error.
  This has been fixed.  The ERRORS sections are now generally headed up
  as per the POSIX.1 way of doing things, describing Pole / Range /
  Domain errors, as applicable.
  I carried out tests on glibc 2.8 to ensure that all of these
  functions match the ERRORS descriptions.  Deviations from POSIX.1-2001
  requirements have been filed as glibc bug reports, and noted in the
  man pages.  (The pages now describe the situation for ERRORS as at glibc
  2.8; I may eventually try and extend the text with descriptions of
  changes in older versions of glibc.)
  NOTE: one point that has not been covered in any page is the
  circumstances that generate inexact (FE_INEXACT) exceptions.
  (The details for these exceptions are not specified in POSIX.1-2001,
  and I haven't gone looking for the standards that describe the details.)

acos.3
    mtk
        SYNOPSIS: Added feature test macro requirements.
        RETURN VALUE: Added details for special argument cases.
        Rewrote ERRORS section.
        Updated CONFORMING TO.

acosh.3
    mtk
        SYNOPSIS: Fixed feature test macro requirements.
        Added RETURN VALUE section.
        Rewrote ERRORS section.
        Updated CONFORMING TO.

asin.3
    mtk
        SYNOPSIS: Added feature test macro requirements.
        RETURN VALUE: Added details for special argument cases.
        Rewrote ERRORS section.
        Updated CONFORMING TO.

asinh.3
    mtk
        SYNOPSIS: Added feature test macro requirements.
        DESCRIPTION: Some rewording.
        RETURN VALUE: Added details for special argument cases.
        Added (null) ERRORS section.
        Updated CONFORMING TO.

atan.3
    mtk
        SYNOPSIS: Added feature test macro requirements.
        DESCRIPTION: Some rewording.
        RETURN VALUE: Added details for special argument cases.
        Added (null) ERRORS section.
        Updated CONFORMING TO.

atan2.3
    mtk
        SYNOPSIS: Added feature test macro requirements.
        DESCRIPTION: Some rewording.
        RETURN VALUE: Added details for special argument cases.
        Added (null) ERRORS section.
        Updated CONFORMING TO.

atanh.3
    mtk
        SYNOPSIS: Fixed feature test macro requirements.
        Added RETURN VALUE section.
        Rewrote ERRORS section.
        Updated CONFORMING TO.
        Added BUGS section noting that pole error sets errno to EDOM,
        when it should be ERANGE instead; see also
        http://sources.redhat.com/bugzilla/show_bug.cgi?id=6759.

cbrt.3
    mtk
        SYNOPSIS: Fixed feature test macro requirements.
        Added RETURN VALUE section.
        Added (null) ERRORS section.
        Updated CONFORMING TO.

ceil.3
    mtk
        SYNOPSIS: Added feature test macro requirements.
        DESCRIPTION: Enhanced.
